<?php
// Ensure there's data to work with.
if (!isset($data)) {
  $data = [
    'preload_img_page_templates' => '',
    'preload_img_page_url' => '',
  ];
}
?>

<div class="img-repeater shown">
  <div class="img-repeater-first-row">
    <div class="cbx-numeric-label-wrp">
      <div class="option-label"><?php esc_html_e('Preload first', 'sstxtdomain'); ?></div>
      <select name="repeater_img_preload_first_x_select" id="repeater_img_preload_first_x_select">
        <?php
        $current_value = get_option('repeater_img_preload_first_x_select', '3'); // Default to '3' if not set.
        for ($i = 0; $i <= 5; $i++) :
          $selected = selected($current_value, (string) $i, false);
          echo "<option value='{$i}' {$selected}>{$i}</option>";
        endfor;
        ?>
      </select>
      <div class="option-label"><?php esc_html_e('images on', 'sstxtdomain'); ?></div>
    </div>

    <select class="repeater-dropdown" name="preload_img_repeater_data[preload_img_page_templates]">
      <?php
      $options = [
        '' => __('Select a page template', 'sstxtdomain'),
        'is_front_page' => __('Front Page', 'sstxtdomain'),
        'is_home' => __('Posts Page', 'sstxtdomain'),
        'ss_is_single_blog_post' => __('Single Blog Post', 'sstxtdomain'),
        'ss_is_single_page' => __('Single Page', 'sstxtdomain'),
        'is_archive' => __('Archive Page', 'sstxtdomain'),
        'is_category' => __('Category Archive Page', 'sstxtdomain'),
        'is_tag' => __('Tag Archive Page', 'sstxtdomain'),
        'is_tax' => __('Custom Taxonomy Archive Page', 'sstxtdomain'),
        'is_author' => __('Author Archive Page', 'sstxtdomain'),
        'is_search' => __('Search Results Page', 'sstxtdomain'),
        'is_404' => __('404 Not Found Page', 'sstxtdomain'),
        'is_post_type_archive' => __('Post Type Archive Page', 'sstxtdomain'),
      ];


      // Optionally, get custom post type options if needed.
      global $styleHandler;
      $custom_post_type_options = $styleHandler->get_custom_post_type_options();
      $options = array_merge($options, $custom_post_type_options);

      // Check if WooCommerce is active and add its options.
      if (class_exists('WooCommerce')) {
        $woocommerceOptions = [
          'is_shop' => __('WooCommerce Shop Page', 'sstxtdomain'),
          'is_product_category' => __('WooCommerce Product Category Page', 'sstxtdomain'),
          'is_product_tag' => __('WooCommerce Product Tag Page', 'sstxtdomain'),
          'is_product' => __('WooCommerce Single Product Page', 'sstxtdomain'),
          'is_cart' => __('WooCommerce Cart Page', 'sstxtdomain'),
          'is_checkout' => __('WooCommerce Checkout Page', 'sstxtdomain'),
          'is_account_page' => __('WooCommerce Account Page', 'sstxtdomain'),
        ];

        $options = array_merge($options, $woocommerceOptions);
      }

      foreach ($options as $value => $display) {
        $selected = ($data['preload_img_page_templates'] === $value) ? 'selected' : '';
        echo "<option value='" . esc_attr($value) . "' {$selected}>" . esc_html($display) . "</option>";
      }
      ?>
    </select>

    <input class="repeater-page-string" type="text" name="preload_img_repeater_data[preload_img_page_url]" value="<?php echo esc_attr($data['preload_img_page_url'] ?? ''); ?>" placeholder="<?php esc_attr_e('Use a part of the URL', 'sstxtdomain'); ?>">

    <button type="button" class="remove-repeater-field"><?php esc_html_e('Remove Field', 'sstxtdomain'); ?></button>
  </div>
</div>