<!-- Button to toggle <textarea> heigt -->
<?php
$toggle_textarea_height = <<<HTML
<div class="toggle-textarea-height">
  <svg class="expand-text svg-1" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 50 50" preserveAspectRatio="xMidYMid meet" width="100%" height="100%">
    <line x1="25" y1="45" x2="25" y2="5" fill="none" stroke="#000" stroke-linecap="round" stroke-linejoin="round" stroke-width="10" />
    <path d="M45,30,25,5,5,30" fill="none" stroke="#000" stroke-linecap="round" stroke-linejoin="round" stroke-width="10" />
  </svg>

  <svg class="expand-text svg-2" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 50 50" preserveAspectRatio="xMidYMid meet" width="100%" height="100%">
    <line x1="25" y1="5" x2="25" y2="45" fill="none" stroke="#000" stroke-linecap="round" stroke-linejoin="round" stroke-width="10" />
    <path d="M5,20,25,45,45,20" fill="none" stroke="#000" stroke-linecap="round" stroke-linejoin="round" stroke-width="10" />
  </svg>
</div>
HTML;
?>

<div class="hovering-nav" id="nav-for-ss-tab-3">
  <a class="hovering-nav-link" href="#load-ccs-asynchronously">Load CSS Asynchronously</a>
  <a class="hovering-nav-link" href="#used-css">Used CSS</a>
  <a class="hovering-nav-link" href="#remove-syles">Remove CSS</a>
  <a class="hovering-nav-link" href="#delay-styles">Delay CSS</a>
  <!-- <a class="hovering-nav-link" href="#add-critical-css">Critical CSS</a> -->
</div>

<div id="ss-tab-3" role="tabpanel" aria-labelledby="ss-tab3" aria-expanded="false" tabindex="0">
  <div class="option-groups-wrap">

    <!-- Preload CSS -->

    <div class="options-section" id="load-ccs-asynchronously">
      <div class="options-group enable-only">
        <div class="ss-left-label">
          <h2 class="ss-option-label"><?php esc_html_e('Load CSS Asynchronously', 'sstxtdomain'); ?></h2>
        </div>

        <input type="checkbox" class="ss-checkbox" name="preload_styles" id="preload_styles" value="1" <?php echo get_option('preload_styles') === '1' ? 'checked' : ''; ?>>
        <label for="preload_styles" class="ss-checkbox-label enable-section">
          <div class="enabled"><?php esc_html_e('Enabled', 'sstxtdomain'); ?></div>
          <div class="disabled"><?php esc_html_e('Disabled', 'sstxtdomain'); ?></div>
        </label>

        <div class="ss-right-contents">
          <div class="disable-opacity">

            <div class="option-label"><?php echo nl2br(wp_kses(__('Note that if you are using options from below (Used CSS, Delay CSS, or Remove CSS), the asynchronous loading will not have an effect. Future updates will allow mixing these settings, but for now, only enable Load CSS Asynchronously if it’s the sole CSS-related setting in use. 

CSS is usually loaded synchronously, meaning the browser stops rendering until each CSS file is fetched and applied. 
Enabling this option loads all CSS files asynchronously, meaning the browser downloads all files at the same time, and applies each as soon as it downloads, resulting in faster page loading. 
Layout inconsistencies are rare but possible.
', 'sstxtdomain'), array())); ?></div>

          </div>
        </div>
      </div>
    </div>

    <!-- Used CSS -->

    <div class="options-section" id="used-css">
      <div class="options-group">
        <div class="ss-left-label">
          <h2 class="ss-option-label"><?php esc_html_e('Used CSS', 'sstxtdomain'); ?></h2>
        </div>

        <input type="checkbox" class="ss-checkbox" name="enable_used_css" id="enable_used_css" value="1" <?php echo get_option('enable_used_css') === '1' ? 'checked' : ''; ?>>
        <label for="enable_used_css" class="ss-checkbox-label enable-section">
          <div class="enabled"><?php esc_html_e('Enabled', 'sstxtdomain'); ?></div>
          <div class="disabled"><?php esc_html_e('Disabled', 'sstxtdomain'); ?></div>
        </label>
        <div class="ss-right-contents">
          <div class="disable-opacity">

            <div class="option-label"><?php echo nl2br(wp_kses(__('The Super Speed plugin collects information about the CSS used on the page and creates a single CSS file to replace all other CSS files.

After enabling this option, you can remove all CSS files in the "Remove CSS" section below. Note that the plugin cannot gather styles for elements dynamically created by JavaScript, such as pop-ups. CSS files that contain styles for these elements need to be excluded from removal.

Purge the cache completely for all pages and posts after enabling this option.

A new Used CSS file will be generated each time a page or post is edited.

You can refresh this data from the admin toolbar on the frontend.', 'sstxtdomain'), array())); ?></div>

            <div class="">
              <span class="tooltip-wrap">
                <div class="tooltip"><?php esc_html_e('When this option is enabled, an information container will be added to the page, just below the admin bar. This element is static, and will not stick to the stop of the page as you scroll. You will see a blue, full-with element, with text on the left "SuperSpeed Page Info". Click the element to expand it. Once expanded, you will see the information. This information container is only visible to users with Editor permissions, such as editor and admin.', 'sstxtdomain'); ?></div>
                <div class="tooltip-icon">?</div>
              </span>
              <input type="checkbox" class="ss-checkbox" name="used_css_file_info" id="used_css_file_info" value="1" <?php echo get_option('used_css_file_info') === '1' ? 'checked' : ''; ?>>
              <label for="used_css_file_info" class="ss-checkbox-label"><?php esc_html_e('For testing, print the used CSS file link on the page', 'sstxtdomain'); ?></label>
            </div>

            <div class="">
              <span class="tooltip-wrap">
                <div class="tooltip"><?php esc_html_e('If your blog posts use a single template with a consistent layout, the same CSS file can be used for all posts. However, if your posts use different templates or have unique, manually-constructed layouts, enable this option. When enabled, a unique Used CSS file will be generated for each blog post, ensuring the correct styles are applied to each post’s specific layout.', 'sstxtdomain'); ?></div>
                <div class="tooltip-icon">?</div>
              </span>
              <input type="checkbox" class="ss-checkbox" name="used_css_different_post_layout" id="used_css_different_post_layout" value="1" <?php echo get_option('used_css_different_post_layout') === '1' ? 'checked' : ''; ?>>
              <label for="used_css_different_post_layout" class="ss-checkbox-label"><?php esc_html_e('Generate unique CSS for each blog post', 'sstxtdomain'); ?></label>
            </div>

            <div class="">
              <span class="tooltip-wrap">
                <div class="tooltip"><?php esc_html_e('If posts within a Custom Post Type (CPT) share a consistent layout using a single template, the same CSS file can be applied to all posts in that CPT. However, if your CPT posts use different templates or have unique, manually-constructed layouts, enable this option. When enabled, a unique Used CSS file will be generated for each CPT post, ensuring the correct styles are applied to each post’s specific layout.', 'sstxtdomain'); ?></div>
                <div class="tooltip-icon">?</div>
              </span>
              <input type="checkbox" class="ss-checkbox" name="used_css_different_cpt_layout" id="used_css_different_cpt_layout" value="1" <?php echo get_option('used_css_different_cpt_layout') === '1' ? 'checked' : ''; ?>>
              <label for="used_css_different_cpt_layout" class="ss-checkbox-label"><?php esc_html_e('Generate unique CSS for each Custom Post Type (CPT) post', 'sstxtdomain'); ?></label>
            </div>

            <div class="option-label"><?php esc_html_e('Load Used CSS on pages:', 'sstxtdomain'); ?></div>
            <div class="radios-and-textboxes">
              <?php $loadUsedCssOnPagesRadio = get_option('load_used_css_on_pages_radio', 'used_css_load_all_pages'); // Get the option with a default value 
              ?>
              <span class="tooltip-wrap">
                <div class="tooltip"><?php esc_html_e('You can choose to apply the above settings to all pages, exclude only specific pages from the settings, or apply the settings only on selected pages. From these 3 inline buttons, only one can be active. Any settings made under an inactive button will not be applied.', 'sstxtdomain'); ?></div>
                <div class="tooltip-icon">?</div>
              </span>
              <div class="ss-radio-wrap">
                <input type="radio" id="used_css_load_all_pages" name="load_used_css_on_pages_radio" value="used_css_load_all_pages" data-show-container="show_used_css_load_all_pages" <?php checked('used_css_load_all_pages', $loadUsedCssOnPagesRadio); ?>>
                <label for="used_css_load_all_pages" class="ss-radio-label"><?php esc_html_e('All Pages', 'sstxtdomain'); ?></label>
                <input type="radio" id="used_css_load_exclude_pages" name="load_used_css_on_pages_radio" value="used_css_load_exclude_pages" data-show-container="show_used_css_load_exclude_pages" <?php checked('used_css_load_exclude_pages', $loadUsedCssOnPagesRadio); ?>>
                <label for="used_css_load_exclude_pages" class="ss-radio-label"><?php esc_html_e('Exclude Pages', 'sstxtdomain'); ?></label>
                <input type="radio" id="used_css_load_specific_pages" name="load_used_css_on_pages_radio" value="used_css_load_specific_pages" data-show-container="show_used_css_load_specific_pages" <?php checked('used_css_load_specific_pages', $loadUsedCssOnPagesRadio); ?>>
                <label for="used_css_load_specific_pages" class="ss-radio-label"><?php esc_html_e('Only On Pages', 'sstxtdomain'); ?></label>
              </div>
              <div class="text-container" id="show_used_css_load_all_pages"></div>

              <div class="text-container " id="show_used_css_load_exclude_pages">
                <div class="tooltip-option-text">
                  <span class="tooltip-wrap">
                    <div class="tooltip"><?php esc_html_e('The Home page URL is just the domain (e.g., ‘https://domain.com‘). The domain is included in every URL on the website. Placing only the domain in the textarea would exclude every page. Using this option to exclude the Home page avoids the issue.', 'sstxtdomain'); ?></div>
                    <div class="tooltip-icon">?</div>
                  </span>
                  <input type="checkbox" class="ss-checkbox" name="used_css_exclude_home" id="used_css_exclude_home" value="1" <?php echo get_option('used_css_exclude_home') === '1' ? 'checked' : ''; ?>>
                  <label for="used_css_exclude_home" class="ss-checkbox-label"><?php esc_html_e('Exclude Home Page', 'sstxtdomain'); ?></label>
                </div>
                <span class="tooltip-wrap">
                  <div class="tooltip"><?php esc_html_e('Run the function on all pages, except for the ones specified in the textarea below. Enter the URLs of the pages you want to exclude, with one URL per line. You can use full URLs, such as ’https://domain.com/about-us’, or partial URLs that match a specific page or set of pages, like ’about-us’ or ’/category/blog/’. Partial URLs can be useful for targeting multiple pages with a similar structure or within the same directory.', 'sstxtdomain'); ?></div>
                  <div class="tooltip-icon">?</div>
                </span>
                <div class="wrap-ta-and-btn">
                  <textarea name="used_css_exclude_pages_textarea" id="used_css_exclude_pages_textarea"><?php echo esc_textarea(get_option('used_css_exclude_pages_textarea')); ?></textarea>
                  <div class="wrap-ta-expander">
                    <?php echo $toggle_textarea_height; ?>
                  </div>
                </div>

              </div>
              <div class="text-container " id="show_used_css_load_specific_pages">
                <div class="tooltip-option-text">
                  <span class="tooltip-wrap">
                    <div class="tooltip"><?php esc_html_e('The Home page URL is just the domain (e.g., ‘https://domain.com‘). The domain is included in every URL on the website. Placing only the domain in the textarea would include every page. Using this option to include the Home page avoids the issue.', 'sstxtdomain'); ?></div>
                    <div class="tooltip-icon">?</div>
                  </span>
                  <input type="checkbox" class="ss-checkbox" name="used_css_include_home" id="used_css_include_home" value="1" <?php echo get_option('used_css_include_home') === '1' ? 'checked' : ''; ?>>
                  <label for="used_css_include_home" class="ss-checkbox-label"><?php esc_html_e('Include Home Page', 'sstxtdomain'); ?></label>
                </div>
                <span class="tooltip-wrap">
                  <div class="tooltip"><?php esc_html_e('Run the function only on the pages specified in the textarea below. Enter the URLs of the pages you want to include, with one URL per line. You can use full URLs, such as ’https://domain.com/about-us’, or partial URLs that match a specific page or set of pages, like ’about-us’ or ’/category/blog/’. Partial URLs can be useful for targeting multiple pages with a similar structure or within the same directory.', 'sstxtdomain'); ?></div>
                  <div class="tooltip-icon">?</div>
                </span>
                <div class="wrap-ta-and-btn">
                  <textarea name="used_css_spacific_pages_textarea" id="used_css_spacific_pages_textarea"><?php echo esc_textarea(get_option('used_css_spacific_pages_textarea')); ?></textarea>
                  <div class="wrap-ta-expander">
                    <?php echo $toggle_textarea_height; ?>
                  </div>
                </div>

              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

    <!-- Delay Styles -->

    <div class="options-section" id="delay-styles">
      <div class="options-group">
        <div class="ss-left-label">
          <h2 class="ss-option-label"><?php esc_html_e('Delay CSS', 'sstxtdomain'); ?></h2>
        </div>
        <input type="checkbox" class="ss-checkbox" name="enable_ext_delay_css" id="enable_ext_delay_css" value="1" <?php echo get_option('enable_ext_delay_css') === '1' ? 'checked' : ''; ?>>
        <label for="enable_ext_delay_css" class="ss-checkbox-label enable-section">
          <div class="enabled"><?php esc_html_e('Enabled', 'sstxtdomain'); ?></div>
          <div class="disabled"><?php esc_html_e('Disabled', 'sstxtdomain'); ?></div>
        </label>
        <div class="ss-right-contents">
          <div class="disable-opacity">

            <div class="option-label"><?php echo nl2br(wp_kses(__('Optimize your page loading speed by delaying CSS files that aren’t critical for the initial view. 
By delaying the loading of these non-critical CSS files, you can prioritize the rendering of above-the-fold content, improving the page loading speed and user experience.
Delay CSS files of sections that appear later or further down the page, such as pop-ups, mega-menus, comments sections, footers, or any other content that isn’t immediately visible to the user.
', 'sstxtdomain'), array())); ?></div>

            <div class="radios-and-textboxes">
              <?php $checkedCSSDelayLinksRadio = get_option('delay_css_links_radio_checked', 'delay_all_links_css'); // Get the option with a default value 
              ?>
              <span class="tooltip-wrap">
                <div class="tooltip"><?php esc_html_e('You can choose to delay all CSS files, exclude specific CSS files from being removed, or delay only certain CSS files. From these 3 inline buttons, only one can be active. Any settings made under an inactive button will not be applied.', 'sstxtdomain'); ?></div>
                <div class="tooltip-icon">?</div>
              </span>
              <div class="ss-radio-wrap">
                <input type="radio" id="delay_all_links_css" name="delay_css_links_radio_checked" value="delay_all_links_css" data-show-container="show_delay_all_links_css" <?php checked('delay_all_links_css', $checkedCSSDelayLinksRadio); ?>>
                <label for="delay_all_links_css" class="ss-radio-label"><?php esc_html_e('All Styles', 'sstxtdomain'); ?></label>
                <input type="radio" id="delay_exclude_links_css" name="delay_css_links_radio_checked" value="delay_exclude_links_css" data-show-container="show_delay_exclude_links_css" <?php checked('delay_exclude_links_css', $checkedCSSDelayLinksRadio); ?>>
                <label for="delay_exclude_links_css" class="ss-radio-label"><?php esc_html_e('Exclude Styles', 'sstxtdomain'); ?></label>
                <input type="radio" id="delay_specific_links_css" name="delay_css_links_radio_checked" value="delay_specific_links_css" data-show-container="show_delay_specific_links_css" <?php checked('delay_specific_links_css', $checkedCSSDelayLinksRadio); ?>>
                <label for="delay_specific_links_css" class="ss-radio-label"><?php esc_html_e('Only These Styles', 'sstxtdomain'); ?></label>
              </div>
              <div class="text-container" id="show_delay_all_links_css">
              </div>
              <div class="text-container " id="show_delay_exclude_links_css">
                <span class="tooltip-wrap">
                  <div class="tooltip"><?php echo nl2br(wp_kses(__('Delay all CSS files except for those added to this textarea. Add full or partial URLs from external files, or full or partial IDs from inline scripts.
To find which files are use on the page, you may use the option from the admin toolbar on the frontend. Hover over "No-Cache Reload" to see and select  "List JS & CSS".', 'sstxtdomain'), array())); ?></div>
                  <div class="tooltip-icon">?</div>
                </span>
                <div class="wrap-ta-and-btn">
                  <textarea name="delay_exclude_links_css_textarea" id="delay_exclude_links_css_textarea"><?php echo esc_textarea(get_option('delay_exclude_links_css_textarea')); ?></textarea>
                  <div class="wrap-ta-expander">
                    <?php echo $toggle_textarea_height; ?>
                  </div>
                </div>

                <button class="remove-duplicate-btn third-btn"><?php esc_html_e('Remove Duplicate Lines', 'sstxtdomain'); ?></button>
              </div>
              <div class="text-container " id="show_delay_specific_links_css">
                <span class="tooltip-wrap">
                  <div class="tooltip"><?php echo nl2br(wp_kses(__('Only the CSS files added to this textarea will be delayed. All other scripts will load normally. Add full or partial URLs from external files, or full or partial IDs from inline scripts.
To find which files are use on the page, you may use the option from the admin toolbar on the frontend. Hover over "No-Cache Reload" to see and select  "List JS & CSS".', 'sstxtdomain'), array())); ?></div>
                  <div class="tooltip-icon">?</div>
                </span>
                <div class="wrap-ta-and-btn">
                  <textarea name="delay_spacific_links_css_textarea" id="delay_spacific_links_css_textarea"><?php echo esc_textarea(get_option('delay_spacific_links_css_textarea')); ?></textarea>
                  <div class="wrap-ta-expander">
                    <?php echo $toggle_textarea_height; ?>
                  </div>
                </div>

                <button class="remove-duplicate-btn third-btn"><?php esc_html_e('Remove Duplicate Lines', 'sstxtdomain'); ?></button>
              </div>
            </div>


            <div class="radios-and-textboxes">
              <?php $checkedCSSDelayPagesRadio = get_option('delay_css_pages_radio_checked', 'delay_all_pages_css_radio'); // Get the option with a default value 
              ?>
              <span class="tooltip-wrap">
                <div class="tooltip"><?php esc_html_e('You can choose to apply the above settings to all pages, exclude only specific pages from the settings, or apply the settings only on selected pages. From these 3 inline buttons, only one can be active. Any settings made under an inactive button will not be applied.', 'sstxtdomain'); ?></div>
                <div class="tooltip-icon">?</div>
              </span>
              <div class="ss-radio-wrap">
                <input type="radio" id="delay_all_pages_css_radio" name="delay_css_pages_radio_checked" value="delay_all_pages_css_radio" data-show-container="show_delay_all_pages_css_radio" <?php checked('delay_all_pages_css_radio', $checkedCSSDelayPagesRadio); ?>>
                <label for="delay_all_pages_css_radio" class="ss-radio-label"><?php esc_html_e('All Pages', 'sstxtdomain'); ?></label>
                <input type="radio" id="delay_exclude_pages_css_radio" name="delay_css_pages_radio_checked" value="delay_exclude_pages_css_radio" data-show-container="show_delay_exclude_pages_css_radio" <?php checked('delay_exclude_pages_css_radio', $checkedCSSDelayPagesRadio); ?>>
                <label for="delay_exclude_pages_css_radio" class="ss-radio-label"><?php esc_html_e('Exclude Pages', 'sstxtdomain'); ?></label>
                <input type="radio" id="delay_spacific_pages_css_radio" name="delay_css_pages_radio_checked" value="delay_spacific_pages_css_radio" data-show-container="show_delay_spacific_pages_css_radio" <?php checked('delay_spacific_pages_css_radio', $checkedCSSDelayPagesRadio); ?>>
                <label for="delay_spacific_pages_css_radio" class="ss-radio-label"><?php esc_html_e('Only On Pages', 'sstxtdomain'); ?></label>
              </div>
              <div class="text-container" id="show_delay_all_pages_css_radio">
              </div>
              <div class="text-container " id="show_delay_exclude_pages_css_radio">
                <div class="tooltip-option-text">
                  <span class="tooltip-wrap">
                    <div class="tooltip"><?php esc_html_e('The Home page URL is just the domain (e.g., ‘https://domain.com‘). The domain is included in every URL on the website. Placing only the domain in the textarea would exclude every page. Using this option to exclude the Home page avoids the issue.', 'sstxtdomain'); ?></div>
                    <div class="tooltip-icon">?</div>
                  </span>
                  <input type="checkbox" class="ss-checkbox" name="delay_css_exclude_home" id="delay_css_exclude_home" value="1" <?php echo get_option('delay_css_exclude_home') === '1' ? 'checked' : ''; ?>>
                  <label for="delay_css_exclude_home" class="ss-checkbox-label"><?php esc_html_e('Exclude Home Page', 'sstxtdomain'); ?></label>
                </div>
                <span class="tooltip-wrap">
                  <div class="tooltip"><?php esc_html_e('Run the function on all pages, except for the ones specified in the textarea below. Enter the URLs of the pages you want to exclude, with one URL per line. You can use full URLs, such as ’https://domain.com/about-us’, or partial URLs that match a specific page or set of pages, like ’about-us’ or ’/category/blog/’. Partial URLs can be useful for targeting multiple pages with a similar structure or within the same directory.', 'sstxtdomain'); ?></div>
                  <div class="tooltip-icon">?</div>
                </span>
                <div class="wrap-ta-and-btn">
                  <textarea name="delay_exclude_pages_css_textarea" id="delay_exclude_pages_css_textarea"><?php echo esc_textarea(get_option('delay_exclude_pages_css_textarea')); ?></textarea>
                  <div class="wrap-ta-expander">
                    <?php echo $toggle_textarea_height; ?>
                  </div>
                </div>

              </div>
              <div class="text-container " id="show_delay_spacific_pages_css_radio">
                <div class="tooltip-option-text">
                  <span class="tooltip-wrap">
                    <div class="tooltip"><?php esc_html_e('The Home page URL is just the domain (e.g., ‘https://domain.com‘). The domain is included in every URL on the website. Placing only the domain in the textarea would include every page. Using this option to include the Home page avoids the issue.', 'sstxtdomain'); ?></div>
                    <div class="tooltip-icon">?</div>
                  </span>
                  <input type="checkbox" class="ss-checkbox" name="delay_css_include_home" id="delay_css_include_home" value="1" <?php echo get_option('delay_css_include_home') === '1' ? 'checked' : ''; ?>>
                  <label for="delay_css_include_home" class="ss-checkbox-label"><?php esc_html_e('Include Home Page', 'sstxtdomain'); ?></label>
                </div>
                <span class="tooltip-wrap">
                  <div class="tooltip"><?php esc_html_e('Run the function only on the pages specified in the textarea below. Enter the URLs of the pages you want to include, with one URL per line. You can use full URLs, such as ’https://domain.com/about-us’, or partial URLs that match a specific page or set of pages, like ’about-us’ or ’/category/blog/’. Partial URLs can be useful for targeting multiple pages with a similar structure or within the same directory.', 'sstxtdomain'); ?></div>
                  <div class="tooltip-icon">?</div>
                </span>
                <div class="wrap-ta-and-btn">
                  <textarea name="delay_specific_pages_css_textarea" id="delay_specific_pages_css_textarea"><?php echo esc_textarea(get_option('delay_specific_pages_css_textarea')); ?></textarea>
                  <div class="wrap-ta-expander">
                    <?php echo $toggle_textarea_height; ?>
                  </div>
                </div>

              </div>
            </div>

          </div>
        </div>
      </div>
    </div>

    <!-- Remove CSS -->

    <div class="options-section" id="remove-syles">
      <div class="options-group">
        <div class="ss-left-label">
          <h2 class="ss-option-label"><?php esc_html_e('Remove CSS', 'sstxtdomain'); ?></h2>
        </div>

        <input type="checkbox" class="ss-checkbox" name="enable_dequeue_styles" id="enable_dequeue_styles" value="1" <?php echo get_option('enable_dequeue_styles') === '1' ? 'checked' : ''; ?>>
        <label for="enable_dequeue_styles" class="ss-checkbox-label enable-section">
          <div class="enabled"><?php esc_html_e('Enabled', 'sstxtdomain'); ?></div>
          <div class="disabled"><?php esc_html_e('Disabled', 'sstxtdomain'); ?></div>
        </label>
        <div class="ss-right-contents">
          <div class="disable-opacity">

            <div class="option-label"><?php echo nl2br(wp_kses(__('The options below allow you to selectively remove CSS files from your pages to improve the loading speed. You can choose to remove CSS files, exclude specific CSS files from being removed, or remove only certain CSS files. These settings can be applied to all pages, exclude specific pages from CSS removal, or only remove files on selected pages.

To easily identify which CSS files are loaded on a page, use the "List Scripts and JS" tool in the admin bar on the front end. This tool displays all CSS files and JS scripts on the page, even those injected with a delay.

After configuring the settings, test your front end thoroughly to ensure the layout looks as expected.', 'sstxtdomain'), array())); ?></div>

            <div class="radios-and-textboxes">
              <?php $checkedDeqLinksCSSRadio = get_option('dequeue_css_links_radio_checked', 'dequeue_all_links_css'); // Get the option with a default value 
              ?>
              <span class="tooltip-wrap">
                <div class="tooltip"><?php esc_html_e('You can choose to remove all CSS files, exclude specific CSS files from being removed, or delay only certain CSS files. From these 3 inline buttons, only one can be active. Any settings made under an inactive button will not be applied.', 'sstxtdomain'); ?></div>
                <div class="tooltip-icon">?</div>
              </span>
              <div class="ss-radio-wrap">
                <input type="radio" id="dequeue_all_links_css" name="dequeue_css_links_radio_checked" value="dequeue_all_links_css" data-show-container="show_dequeue_all_links_css" <?php checked('dequeue_all_links_css', $checkedDeqLinksCSSRadio); ?>>
                <label for="dequeue_all_links_css" class="ss-radio-label"><?php esc_html_e('All Styles', 'sstxtdomain'); ?></label>

                <input type="radio" id="dequeue_exclude_links_css" name="dequeue_css_links_radio_checked" value="dequeue_exclude_links_css" data-show-container="show_dequeue_exclude_links_css" <?php checked('dequeue_exclude_links_css', $checkedDeqLinksCSSRadio); ?>>
                <label for="dequeue_exclude_links_css" class="ss-radio-label"><?php esc_html_e('Exclude Styles', 'sstxtdomain'); ?></label>

                <input type="radio" id="dequeue_specific_links_css" name="dequeue_css_links_radio_checked" value="dequeue_specific_links_css" data-show-container="show_dequeue_specific_links_css" <?php checked('dequeue_specific_links_css', $checkedDeqLinksCSSRadio); ?>>
                <label for="dequeue_specific_links_css" class="ss-radio-label"><?php esc_html_e('Only These Styles', 'sstxtdomain'); ?></label>
              </div>
              <div class="text-container" id="show_dequeue_all_links_css">
              </div>
              <div class="text-container " id="show_dequeue_exclude_links_css">
                <div>
                  <span class="tooltip-wrap">
                    <div class="tooltip"><?php echo nl2br(wp_kses(__('Enable this option to prevent the removal of CSS files loaded from external domains. This is particularly important for third-party services that require external resources to function properly.
Please note that when generating Unique CSS, we are unable to include 3rd party styles. By enabling this option, you ensure that these external styles remain intact.
If you enable this setting, you don’t need to separately exclude Google Fonts CSS files, as they are also considered 3rd party external styles and will be automatically preserved.', 'sstxtdomain'), array())); ?></div>
                    <div class="tooltip-icon">?</div>
                  </span>
                  <input type="checkbox" class="ss-checkbox" name="dequeue_css_exclude_3rd_party" id="dequeue_css_exclude_3rd_party" value="1" <?php echo get_option('dequeue_css_exclude_3rd_party') === '1' ? 'checked' : ''; ?>>
                  <label for="dequeue_css_exclude_3rd_party" class="ss-checkbox-label"><?php esc_html_e('Exclude 3rd party external styles', 'sstxtdomain'); ?></label>
                </div>

                <div>
                  <span class="tooltip-wrap">
                    <div class="tooltip"><?php esc_html_e('Enable this option to prevent the removal of Google Fonts CSS files. This will only work if the fonts are added via a <link> tag in the HTML. This option cannot remove Google fonts added via @font-face CSS rules, inside the themes, or plugin’s CSS files.', 'sstxtdomain'); ?></div>
                    <div class="tooltip-icon">?</div>
                  </span>
                  <input type="checkbox" class="ss-checkbox" name="used_css_exclude_google" id="used_css_exclude_google" value="1" <?php echo get_option('used_css_exclude_google') === '1' ? 'checked' : ''; ?>>
                  <label for="used_css_exclude_google" class="ss-checkbox-label"><?php esc_html_e('Exclude Google fonts', 'sstxtdomain'); ?></label>
                </div>
                <span class="tooltip-wrap">
                  <div class="tooltip"><?php echo nl2br(wp_kses(__('Remove all CSS files except for those added to this textarea. Add full or partial URLs from external files, or full or partial IDs from inline scripts.
To find which files are use on the page, you may use the option from the admin toolbar on the frontend. Hover over "No-Cache Reload" to see and select  "List JS & CSS".', 'sstxtdomain'), array())); ?></div>
                  <div class="tooltip-icon">?</div>
                </span>
                <div class="wrap-ta-and-btn">
                  <textarea name="dequeue_exclude_links_css_textarea" id="dequeue_exclude_links_css_textarea"><?php echo esc_textarea(get_option('dequeue_exclude_links_css_textarea')); ?></textarea>
                  <div class="wrap-ta-expander">
                    <?php echo $toggle_textarea_height; ?>
                  </div>
                </div>

                <button class="remove-duplicate-btn third-btn"><?php esc_html_e('Remove Duplicate Lines', 'sstxtdomain'); ?></button>
              </div>
              <div class="text-container " id="show_dequeue_specific_links_css">
                <span class="tooltip-wrap">
                  <div class="tooltip"><?php esc_html_e('Only the CSS files added to this textarea will be removed. All other scripts will load normally. Add full or partial URLs from external files, or full or partial IDs from inline scripts.
To find which files are use on the page, you may use the option from the admin toolbar on the frontend. Hover over "No-Cache Reload" to see and select  "List JS & CSS".', 'sstxtdomain'); ?></div>
                  <div class="tooltip-icon">?</div>
                </span>
                <div class="wrap-ta-and-btn">
                  <textarea name="dequeue_spacific_links_css_textarea" id="dequeue_spacific_links_css_textarea"><?php echo esc_textarea(get_option('dequeue_spacific_links_css_textarea')); ?></textarea>
                  <div class="wrap-ta-expander">
                    <?php echo $toggle_textarea_height; ?>
                  </div>
                </div>

                <button class="remove-duplicate-btn third-btn"><?php esc_html_e('Remove Duplicate Lines', 'sstxtdomain'); ?></button>
              </div>
            </div>

            <div class="radios-and-textboxes">
              <?php $checkedDeqCSSPagesRadio = get_option('remove_pages_css_radio_checked', 'dequeue_all_pages_css'); // Get the option with a default value 
              ?>
              <span class="tooltip-wrap">
                <div class="tooltip"><?php esc_html_e('You can choose to apply the above settings to all pages, exclude only specific pages from the settings, or apply the settings only on selected pages. From these 3 inline buttons, only one can be active. Any settings made under an inactive button will not be applied.', 'sstxtdomain'); ?></div>
                <div class="tooltip-icon">?</div>
              </span>
              <div class="ss-radio-wrap">
                <input type="radio" id="dequeue_all_pages_css" name="remove_pages_css_radio_checked" value="dequeue_all_pages_css" data-show-container="show_dequeue_all_pages_css" <?php checked('dequeue_all_pages_css', $checkedDeqCSSPagesRadio); ?>>
                <label for="dequeue_all_pages_css" class="ss-radio-label"><?php esc_html_e('All Pages', 'sstxtdomain'); ?></label>
                <input type="radio" id="exclude_remove_pages_css" name="remove_pages_css_radio_checked" value="exclude_remove_pages_css" data-show-container="show_exclude_remove_pages_css" <?php checked('exclude_remove_pages_css', $checkedDeqCSSPagesRadio); ?>>
                <label for="exclude_remove_pages_css" class="ss-radio-label"><?php esc_html_e('Exclude Pages', 'sstxtdomain'); ?></label>
                <input type="radio" id="dequeue_specific_pages_css" name="remove_pages_css_radio_checked" value="dequeue_specific_pages_css" data-show-container="show_dequeue_specific_pages_css" <?php checked('dequeue_specific_pages_css', $checkedDeqCSSPagesRadio); ?>>
                <label for="dequeue_specific_pages_css" class="ss-radio-label"><?php esc_html_e('Only On Pages', 'sstxtdomain'); ?></label>
              </div>
              <div class="text-container" id="show_dequeue_all_pages_css">
              </div>
              <div class="text-container " id="show_exclude_remove_pages_css">
                <div class="tooltip-option-text">
                  <span class="tooltip-wrap">
                    <div class="tooltip"><?php esc_html_e('The Home page URL is just the domain (e.g., ‘https://domain.com‘). The domain is included in every URL on the website. Placing only the domain in the textarea would exclude every page. Using this option to exclude the Home page avoids the issue.', 'sstxtdomain'); ?></div>
                    <div class="tooltip-icon">?</div>
                  </span>
                  <input type="checkbox" class="ss-checkbox" name="dequeue_css_exclude_home" id="dequeue_css_exclude_home" value="1" <?php echo get_option('dequeue_css_exclude_home') === '1' ? 'checked' : ''; ?>>
                  <label for="dequeue_css_exclude_home" class="ss-checkbox-label"><?php esc_html_e('Exclude Home Page', 'sstxtdomain'); ?></label>
                </div>
                <span class="tooltip-wrap">
                  <div class="tooltip"><?php esc_html_e('Run the function on all pages, except for the ones specified in the textarea below. Enter the URLs of the pages you want to exclude, with one URL per line. You can use full URLs, such as ’https://domain.com/about-us’, or partial URLs that match a specific page or set of pages, like ’about-us’ or ’/category/blog/’. Partial URLs can be useful for targeting multiple pages with a similar structure or within the same directory.', 'sstxtdomain'); ?></div>
                  <div class="tooltip-icon">?</div>
                </span>
                <div class="wrap-ta-and-btn">
                  <textarea name="dequeue_exclude_pages_css_textarea" id="dequeue_exclude_pages_css_textarea"><?php echo esc_textarea(get_option('dequeue_exclude_pages_css_textarea')); ?></textarea>
                  <div class="wrap-ta-expander">
                    <?php echo $toggle_textarea_height; ?>
                  </div>
                </div>

              </div>
              <div class="text-container " id="show_dequeue_specific_pages_css">
                <div class="tooltip-option-text">
                  <span class="tooltip-wrap">
                    <div class="tooltip"><?php esc_html_e('The Home page URL is just the domain (e.g., ‘https://domain.com‘). The domain is included in every URL on the website. Placing only the domain in the textarea would include every page. Using this option to include the Home page avoids the issue.', 'sstxtdomain'); ?></div>
                    <div class="tooltip-icon">?</div>
                  </span>
                  <input type="checkbox" class="ss-checkbox" name="dequeue_css_include_home" id="dequeue_css_include_home" value="1" <?php echo get_option('dequeue_css_include_home') === '1' ? 'checked' : ''; ?>>
                  <label for="dequeue_css_include_home" class="ss-checkbox-label"><?php esc_html_e('Include Home Page', 'sstxtdomain'); ?></label>
                </div>
                <span class="tooltip-wrap">
                  <div class="tooltip"><?php esc_html_e('Run the function only on the pages specified in the textarea below. Enter the URLs of the pages you want to include, with one URL per line. You can use full URLs, such as ’https://domain.com/about-us’, or partial URLs that match a specific page or set of pages, like ’about-us’ or ’/category/blog/’. Partial URLs can be useful for targeting multiple pages with a similar structure or within the same directory.', 'sstxtdomain'); ?></div>
                  <div class="tooltip-icon">?</div>
                </span>
                <div class="wrap-ta-and-btn">
                  <textarea name="dequeue_spacific_pages_css_textarea" id="dequeue_spacific_pages_css_textarea"><?php echo esc_textarea(get_option('dequeue_spacific_pages_css_textarea')); ?></textarea>
                  <div class="wrap-ta-expander">
                    <?php echo $toggle_textarea_height; ?>
                  </div>
                </div>

              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

    <!-- Critical CSS -->

    <div class="options-section" id="add-critical-css">
      <div class="options-group">
        <div class="ss-left-label">
          <h2 class="ss-option-label"><?php esc_html_e('Critical CSS', 'sstxtdomain'); ?></h2>
        </div>

        <input type="checkbox" class="ss-checkbox" name="critical_css_enable" id="critical_css_enable" value="1" <?php echo get_option('critical_css_enable') === '1' ? 'checked' : ''; ?>>
        <label for="critical_css_enable" class="ss-checkbox-label enable-section">
          <div class="enabled"><?php esc_html_e('Enabled', 'sstxtdomain'); ?></div>
          <div class="disabled"><?php esc_html_e('Disabled', 'sstxtdomain'); ?></div>
        </label>

        <div class="ss-right-contents">
          <div class="disable-opacity">
            <div class="text-container ">

              <!-- Repeater fields start -->
              <div id="css-repeater-fields">
                <?php
                global $wpdb;
                $table_name = $wpdb->prefix . 'critical_css_repeater_fields';
                $critical_css_repeater_data = $wpdb->get_results(
                  "SELECT * FROM {$table_name}",
                  ARRAY_A
                );

                if (is_array($critical_css_repeater_data)) {
                  foreach ($critical_css_repeater_data as $key => $data) {
                ?>
                    <div class="css-repeater shown">
                      <div class="css-repeater-first-row">
                        <select class="css-dropdown" name="critical_css_repeater_data[<?php echo $key; ?>][critical_css_page_templates]">
                          <?php

                          // We are adding Custom Post Types to the options

                          // Set 'Select a page template' as the first, default and empty option
                          $options = array('' => 'Select a page template');

                          // Calling a function from the class and file styleHandler.php
                          global $styleHandler;

                          // Get the custom post type options
                          $custom_post_type_options = $styleHandler->get_custom_post_type_options();

                          // Merge the custom post type options with the rest of the options
                          $options = array_merge($options, $custom_post_type_options);

                          // Rest of the dropdown options
                          $options = array_merge($options, array(
                            //'' => 'Select a page template',
                            'is_front_page' => 'Front Page',
                            'is_home' => 'Posts Page',
                            'ss_is_single_blog_post' => 'Single Blog Post',
                            'ss_is_single_page' => 'Single Page',
                            'is_archive' => 'Archive Page',
                            'is_category' => 'Category Archive Page',
                            'is_tag' => 'Tag Archive Page',
                            'is_tax' => 'Custom Taxonomy Archive Page',
                            'is_author' => 'Author Archive Page',
                            'is_search' => 'Search Results Page',
                            'is_404' => '404 Not Found Page',
                            'is_post_type_archive' => 'Post Type Archive Page',
                          ));

                          // check if WooCommerce is active
                          if (class_exists('WooCommerce')) {
                            // add WooCommerce related options
                            $options = array_merge($options, array(
                              'is_shop' => 'WooCommerce Shop Page',
                              'is_product_category' => 'WooCommerce Product Category Page',
                              'is_product_tag' => 'WooCommerce Product Tag Page',
                              'is_product' => 'WooCommerce Single Product Page',
                              'is_cart' => 'WooCommerce Cart Page',
                              'is_checkout' => 'WooCommerce Checkout Page',
                              'is_account_page' => 'WooCommerce Account Page',
                            ));
                          }

                          foreach ($options as $value => $display) {
                            $selected = isset($data['critical_css_page_templates']) && $data['critical_css_page_templates'] === $value ? 'selected' : '';
                            echo '<option value="' . $value . '" ' . $selected . '>' . $display . '</option>';
                          }
                          ?>
                        </select>

                        <input class="css-page-string" type="text" name="critical_css_repeater_data[<?php echo $key; ?>][critical_css_page_url]" value="<?php echo esc_attr($data['critical_css_page_url'] ?? ''); ?>" placeholder="Use a part of the URL">
                        <button type="button" class="remove-css-field">Remove Field</button>
                      </div>
                      <div class="wrap-ta-and-btn text-container ">
                        <textarea class="critical-css" name="critical_css_repeater_data[<?php echo $key; ?>][critical_css]" placeholder="Paste the CSS here"><?php echo esc_textarea($data['critical_css'] ?? ''); ?></textarea>
                        <div class="wrap-ta-expander">
                          <?php echo $toggle_textarea_height; ?>
                        </div>
                      </div>

                      <div class="radios-and-textboxes">
                        <?php
                        $repeaterId = 'repeater_' . substr(md5(uniqid(rand(), true)), 0, 10);
                        $checkedCriticalCSSDelayPagesRadio = get_option('critical_delay_css__links_radio_checked_' . $repeaterId, 'critical_delay_all_links_css'); // Get the option with a default value 
                        ?>

                        <div class="ss-radio-wrap">
                          <input type="radio" id="critical_delay_all_links_css_<?php echo $repeaterId; ?>" class="critical_css_repeater_radio" name="critical_delay_css__links_radio_checked_<?php echo $repeaterId; ?>" value="critical_delay_all_links_css" data-show-container="show_critical_delay_all_links_css_<?php echo $repeaterId; ?>" <?php checked('critical_delay_all_links_css', $data['critical_css_radio']); ?>>
                          <label for="critical_delay_all_links_css_<?php echo $repeaterId; ?>" class="ss-radio-label"><?php esc_html_e('Delay All Styles', 'sstxtdomain'); ?></label>

                          <input type="radio" id="critical_delay_exclude_links_css_<?php echo $repeaterId; ?>" class="critical_css_repeater_radio" name="critical_delay_css__links_radio_checked_<?php echo $repeaterId; ?>" value="critical_delay_exclude_links_css" data-show-container="show_critical_delay_exclude_links_css_<?php echo $repeaterId; ?>" <?php checked('critical_delay_exclude_links_css', $data['critical_css_radio']); ?>>
                          <label for="critical_delay_exclude_links_css_<?php echo $repeaterId; ?>" class="ss-radio-label"><?php esc_html_e('Exclude Styles From Delay', 'sstxtdomain'); ?></label>

                          <input type="radio" id="critical_delay_specific_links_css_<?php echo $repeaterId; ?>" class="critical_css_repeater_radio" name="critical_delay_css__links_radio_checked_<?php echo $repeaterId; ?>" value="critical_delay_specific_links_css" data-show-container="show_critical_delay_specific_links_css_<?php echo $repeaterId; ?>" <?php checked('critical_delay_specific_links_css', $data['critical_css_radio']); ?>>
                          <label for="critical_delay_specific_links_css_<?php echo $repeaterId; ?>" class="ss-radio-label"><?php esc_html_e('Delay Only These Styles', 'sstxtdomain'); ?></label>
                        </div>

                        <div class="text-container" id="show_critical_delay_all_links_css_<?php echo $repeaterId; ?>">
                        </div>
                        <div class="text-container " id="show_critical_delay_exclude_links_css_<?php echo $repeaterId; ?>">
                          <div class="wrap-ta-and-btn">
                            <textarea class="critical_delay_exclude_links_css_textarea" name="critical_delay_exclude_links_css_textarea" id="critical_delay_exclude_links_css_textarea_<?php echo $repeaterId; ?>"><?php echo esc_textarea($data['critical_exclude_links']); ?></textarea>
                            <div class="wrap-ta-expander">
                              <?php echo $toggle_textarea_height; ?>
                            </div>
                          </div>
                        </div>
                        <div class="text-container " id="show_critical_delay_specific_links_css_<?php echo $repeaterId; ?>">
                          <div class="wrap-ta-and-btn">
                            <textarea class="critical_delay_specific_links_css_textarea" name="critical_delay_specific_links_css_textarea" id="critical_delay_specific_links_css_textarea_<?php echo $repeaterId; ?>"><?php echo esc_textarea($data['critical_delay_specific_links']); ?></textarea>
                            <div class="wrap-ta-expander">
                              <?php echo $toggle_textarea_height; ?>
                            </div>
                          </div>
                        </div>
                      </div>

                    </div>
                <?php
                  }
                } else {
                  error_log('No data returned from the database for critical_css_repeater_data.');
                }

                ?>
              </div>
              <div class="wrap-critical-css-btn">
                <button type="button" id="add-critical-css-btn">Add Field</button>
              </div>
              <!-- Repeater fields end -->

            </div>
          </div>
        </div>
      </div>
    </div>


  </div>
</div>