<!-- Button to toggle <textarea> heigt -->
<?php
$toggle_textarea_height = <<<HTML
<div class="toggle-textarea-height">
  <svg class="expand-text svg-1" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 50 50" preserveAspectRatio="xMidYMid meet" width="100%" height="100%">
    <line x1="25" y1="45" x2="25" y2="5" fill="none" stroke="#000" stroke-linecap="round" stroke-linejoin="round" stroke-width="10" />
    <path d="M45,30,25,5,5,30" fill="none" stroke="#000" stroke-linecap="round" stroke-linejoin="round" stroke-width="10" />
  </svg>

  <svg class="expand-text svg-2" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 50 50" preserveAspectRatio="xMidYMid meet" width="100%" height="100%">
    <line x1="25" y1="5" x2="25" y2="45" fill="none" stroke="#000" stroke-linecap="round" stroke-linejoin="round" stroke-width="10" />
    <path d="M5,20,25,45,45,20" fill="none" stroke="#000" stroke-linecap="round" stroke-linejoin="round" stroke-width="10" />
  </svg>
</div>
HTML;
?>

<div class="hovering-nav" id="nav-for-ss-tab-2">
  <a class="hovering-nav-link" href="#remove-javascript">Remove JS</a>
  <a class="hovering-nav-link" href="#defer-js">Defer JS</a>
  <a class="hovering-nav-link" href="#delay-js">Delay JS</a>
</div>

<div id="ss-tab-2" role="tabpanel" aria-labelledby="ss-tab2" aria-expanded="false" tabindex="0">
  <div class="option-groups-wrap">

    <!-- Delay JS -->

    <div class="options-section" id="delay-js">
      <div class="options-group">
        <div class="ss-left-label">
          <h2 class="ss-option-label"><?php esc_html_e('Delay JS', 'sstxtdomain'); ?></h2>
        </div>
        <input type="checkbox" class="ss-checkbox" name="ss_enable_delay_ext_js" id="ss_enable_delay_ext_js" value="1" <?php echo get_option('ss_enable_delay_ext_js') === '1' ? 'checked' : ''; ?>>
        <label for="ss_enable_delay_ext_js" class="ss-checkbox-label enable-section">
          <div class="enabled"><?php esc_html_e('Enabled', 'sstxtdomain'); ?></div>
          <div class="disabled"><?php esc_html_e('Disabled', 'sstxtdomain'); ?></div>
        </label>

        <div class="ss-right-contents">
          <div class="disable-opacity">

            <div class="option-label"><?php echo nl2br(wp_kses(__('If you are unsure about how to set up options related to JavaScript, then only use this one.
Delaying all JavaScript, on all pages, is the best way to improve page load speed.
            
The options below allow you to selectively delay JavaScript on your pages. You can choose to delay all scripts, exclude specific scripts from being delayed, or delay only certain scripts. These settings can be applied to all pages, exclude specific pages from delaying scripts, or only delay scripts on selected pages.

To easily identify the JS scripts on a page, use the ‘List Scripts and JS’ tool in the admin bar on the front end. This tool displays all CSS files and JS scripts on the page, even those injected with a delay.

After configuring the delay settings, test your front end thoroughly to ensure all functionality works as expected, such as menus, accordions, tabs, sliders, etc. Keep in mind that delaying scripts may affect the functionality of certain elements until the scripts are fully loaded.
', 'sstxtdomain'), array())); ?></div>

            <div class="radios-and-textboxes">
              <?php $checkedDelExRadioLinks = get_option('ss_delay_js_links_radio_checked', 'delay_ext_all_links_radio'); // Get the option with a default value 
              ?>
              <span class="tooltip-wrap">
                <div class="tooltip"><?php esc_html_e('You can choose to delay all JS scripts, exclude specific JS scripts from being removed, or remove only certain JS scripts. From these 3 inline buttons, only one can be active. Any settings made under an inactive button will not be applied.', 'sstxtdomain'); ?></div>
                <div class="tooltip-icon">?</div>
              </span>
              <div class="ss-radio-wrap">
                <input type="radio" id="delay_ext_all_links_radio" name="ss_delay_js_links_radio_checked" value="delay_ext_all_links_radio" data-show-container="show_delay_ext_all_links_radio" <?php checked('delay_ext_all_links_radio', $checkedDelExRadioLinks); ?>>
                <label for="delay_ext_all_links_radio" class="ss-radio-label"><?php esc_html_e('All Scripts', 'sstxtdomain'); ?></label>

                <input type="radio" id="delay_ext_exclude_links_radio" name="ss_delay_js_links_radio_checked" value="delay_ext_exclude_links_radio" data-show-container="show_delay_ext_exclude_links_radio" <?php checked('delay_ext_exclude_links_radio', $checkedDelExRadioLinks); ?>>
                <label for="delay_ext_exclude_links_radio" class="ss-radio-label"><?php esc_html_e('Exclude Scripts', 'sstxtdomain'); ?></label>

                <input type="radio" id="delay_ext_specific_links_radio" name="ss_delay_js_links_radio_checked" value="delay_ext_specific_links_radio" data-show-container="show_delay_ext_specific_links_radio" <?php checked('delay_ext_specific_links_radio', $checkedDelExRadioLinks); ?>>
                <label for="delay_ext_specific_links_radio" class="ss-radio-label"><?php esc_html_e('Only These Scripts', 'sstxtdomain'); ?></label>
              </div>
              <div class="text-container" id="show_delay_ext_all_links_radio">
              </div>
              <div class="text-container" id="show_delay_ext_exclude_links_radio">
                <span class="tooltip-wrap">
                  <div class="tooltip"><?php echo nl2br(wp_kses(__('Delay all JS scripts except for those added to this textarea. Add full or partial URLs from external files, or full or partial IDs from inline scripts.
To find which files are use on the page, you may use the option from the admin toolbar on the frontend. Hover over "No-Cache Reload" to see and select  "List JS & CSS".', 'sstxtdomain'), array())); ?></div>
                  <div class="tooltip-icon">?</div>
                </span>
                <div class="wrap-ta-and-btn">
                  <textarea name="ss_delay_ext_exclude_links_textarea" id="ss_delay_ext_exclude_links_textarea"><?php echo esc_textarea(get_option('ss_delay_ext_exclude_links_textarea')); ?></textarea>
                  <div class="wrap-ta-expander">
                    <?php echo $toggle_textarea_height; ?>
                  </div>
                </div>

                <button class="remove-duplicate-btn third-btn"><?php esc_html_e('Remove Duplicate Lines', 'sstxtdomain'); ?></button>
              </div>
              <div class="text-container" id="show_delay_ext_specific_links_radio">
                <span class="tooltip-wrap">
                  <div class="tooltip"><?php esc_html_e('Only the JS scripts added to this textarea will be delayed. All other scripts will load normally. Add full or partial URLs from external files, or full or partial IDs from inline scripts.
To find which files are use on the page, you may use the option from the admin toolbar on the frontend. Hover over "No-Cache Reload" to see and select  "List JS & CSS".', 'sstxtdomain'); ?></div>
                  <div class="tooltip-icon">?</div>
                </span>
                <div class="wrap-ta-and-btn">
                  <textarea name="ss_delay_ext_specific_links_textarea" id="ss_delay_ext_specific_links_textarea"><?php echo esc_textarea(get_option('ss_delay_ext_specific_links_textarea')); ?></textarea>
                  <div class="wrap-ta-expander">
                    <?php echo $toggle_textarea_height; ?>
                  </div>
                </div>

                <button class="remove-duplicate-btn third-btn"><?php esc_html_e('Remove Duplicate Lines', 'sstxtdomain'); ?></button>
              </div>
            </div>



            <div class="radios-and-textboxes">
              <?php $checkedDelExRadioPages = get_option('ss_delay_ext_pages_radio_checked', 'delay_ext_all_pages_radio'); // Get the option with a default value 
              ?>
              <span class="tooltip-wrap">
                <div class="tooltip"><?php esc_html_e('You can choose to apply the above settings to all pages, exclude only specific pages from the settings, or apply the settings only on selected pages. From these 3 inline buttons, only one can be active. Any settings made under an inactive button will not be applied.', 'sstxtdomain'); ?></div>
                <div class="tooltip-icon">?</div>
              </span>
              <div class="ss-radio-wrap">
                <input type="radio" id="delay_ext_all_pages_radio" name="ss_delay_ext_pages_radio_checked" value="delay_ext_all_pages_radio" data-show-container="show_delay_ext_all_pages_radio" <?php checked('delay_ext_all_pages_radio', $checkedDelExRadioPages); ?>>
                <label for="delay_ext_all_pages_radio" class="ss-radio-label"><?php esc_html_e('All Pages', 'sstxtdomain'); ?></label>
                <input type="radio" id="delay_ext_excl_pages_radio" name="ss_delay_ext_pages_radio_checked" value="delay_ext_excl_pages_radio" data-show-container="show_delay_ext_excl_pages_radio" <?php checked('delay_ext_excl_pages_radio', $checkedDelExRadioPages); ?>>
                <label for="delay_ext_excl_pages_radio" class="ss-radio-label"><?php esc_html_e('Exclude Pages', 'sstxtdomain'); ?></label>
                <input type="radio" id="delay_ext_specific_pages_radio" name="ss_delay_ext_pages_radio_checked" value="delay_ext_specific_pages_radio" data-show-container="show_delay_ext_specific_pages_radio" <?php checked('delay_ext_specific_pages_radio', $checkedDelExRadioPages); ?>>
                <label for="delay_ext_specific_pages_radio" class="ss-radio-label"><?php esc_html_e('Only On Pages', 'sstxtdomain'); ?></label>
              </div>
              <div class="text-container" id="show_delay_ext_all_pages_radio">
              </div>
              <div class="text-container" id="show_delay_ext_excl_pages_radio">
                <div class="tooltip-option-text">
                  <span class="tooltip-wrap">
                    <div class="tooltip"><?php esc_html_e('The Home page URL is just the domain (e.g., ‘https://domain.com‘). The domain is included in every URL on the website. Placing only the domain in the textarea would exclude every page. Using this option to exclude the Home page avoids the issue.', 'sstxtdomain'); ?></div>
                    <div class="tooltip-icon">?</div>
                  </span>
                  <input type="checkbox" class="ss-checkbox" name="ss_delay_js_exclude_home" id="ss_delay_js_exclude_home" value="1" <?php echo get_option('ss_delay_js_exclude_home') === '1' ? 'checked' : ''; ?>>
                  <label for="ss_delay_js_exclude_home" class="ss-checkbox-label  lower-checkmark-3px"><?php esc_html_e('Exclude Home Page', 'sstxtdomain'); ?></label>
                </div>
                <span class="tooltip-wrap">
                  <div class="tooltip"><?php esc_html_e('Run the function on all pages, except for the ones specified in the textarea below. Enter the URLs of the pages you want to exclude, with one URL per line. You can use full URLs, such as ’https://domain.com/about-us’, or partial URLs that match a specific page or set of pages, like ’about-us’ or ’/category/blog/’. Partial URLs can be useful for targeting multiple pages with a similar structure or within the same directory.', 'sstxtdomain'); ?></div>
                  <div class="tooltip-icon">?</div>
                </span>
                <div class="wrap-ta-and-btn">
                  <textarea name="ss_delay_ext_excl_pages_textarea" id="ss_delay_ext_excl_pages_textarea"><?php echo esc_textarea(get_option('ss_delay_ext_excl_pages_textarea')); ?></textarea>
                  <div class="wrap-ta-expander">
                    <?php echo $toggle_textarea_height; ?>
                  </div>
                </div>

                <button class="remove-duplicate-btn third-btn"><?php esc_html_e('Remove Duplicate Lines', 'sstxtdomain'); ?></button>
              </div>
              <div class="text-container" id="show_delay_ext_specific_pages_radio">
                <div class="tooltip-option-text">
                  <span class="tooltip-wrap">
                    <div class="tooltip"><?php esc_html_e('The Home page URL is just the domain (e.g., ‘https://domain.com‘). The domain is included in every URL on the website. Placing only the domain in the textarea would include every page. Using this option to include the Home page avoids the issue.', 'sstxtdomain'); ?></div>
                    <div class="tooltip-icon">?</div>
                  </span>
                  <input type="checkbox" class="ss-checkbox" name="ss_delay_js_include_home" id="ss_delay_js_include_home" value="1" <?php echo get_option('ss_delay_js_include_home') === '1' ? 'checked' : ''; ?>>
                  <label for="ss_delay_js_include_home" class="ss-checkbox-label lower-checkmark-3px"><?php esc_html_e('Include Home Page', 'sstxtdomain'); ?></label>
                </div>
                <span class="tooltip-wrap">
                  <div class="tooltip"><?php esc_html_e('Run the function only on the pages specified in the textarea below. Enter the URLs of the pages you want to include, with one URL per line. You can use full URLs, such as ’https://domain.com/about-us’, or partial URLs that match a specific page or set of pages, like ’about-us’ or ’/category/blog/’. Partial URLs can be useful for targeting multiple pages with a similar structure or within the same directory.', 'sstxtdomain'); ?></div>
                  <div class="tooltip-icon">?</div>
                </span>
                <div class="wrap-ta-and-btn">
                  <textarea name="ss_delay_ext_specific_pages_textarea" id="ss_delay_ext_specific_pages_textarea"><?php echo esc_textarea(get_option('ss_delay_ext_specific_pages_textarea')); ?></textarea>
                  <div class="wrap-ta-expander">
                    <?php echo $toggle_textarea_height; ?>
                  </div>
                </div>

                <button class="remove-duplicate-btn third-btn"><?php esc_html_e('Remove Duplicate Lines', 'sstxtdomain'); ?></button>
              </div>
            </div>

          </div>
        </div>
      </div>
    </div>

    <!-- Defer External JS -->

    <div class="options-section" id="defer-js">
      <div class="options-group">
        <div class="ss-left-label">
          <h2 class="ss-option-label"><?php esc_html_e('Defer JS', 'sstxtdomain'); ?></h2>
        </div>

        <input type="checkbox" class="ss-checkbox" name="ss_enable_defer_ext_js" id="ss_enable_defer_ext_js" value="1" <?php echo get_option('ss_enable_defer_ext_js') === '1' ? 'checked' : ''; ?>>
        <label for="ss_enable_defer_ext_js" class="ss-checkbox-label enable-section">
          <div class="enabled"><?php esc_html_e('Enabled', 'sstxtdomain'); ?></div>
          <div class="disabled"><?php esc_html_e('Disabled', 'sstxtdomain'); ?></div>
        </label>

        <div class="ss-right-contents">
          <div class="disable-opacity">

            <div class="option-label"><?php echo nl2br(wp_kses(__('If you are delaying all JS scripts, there is no need to enable or use these settings.
            
The options below allow you to selectively defer the loading of JavaScript scripts on your pages to improve the loading speed. Deferring scripts means that they will be loaded in the background while the rest of the page continues to load, allowing for faster initial page rendering. You can choose to defer all scripts, exclude specific scripts from being deferred, or defer only certain scripts. These settings will be applied to all pages on your site.

To easily identify the JS scripts on a page, use the ‘List Scripts and JS’ tool in the admin bar on the front end. This tool displays all CSS files and JS scripts on the page, even those injected with a delay. After configuring the defer settings, test your front end thoroughly to ensure all functionality works as expected, such as menus, accordions, tabs, sliders, etc.', 'sstxtdomain'), array())); ?></div>

            <div class="radios-and-textboxes">
              <?php $DeferRadioButtons = get_option('ss_defer_radio_checked', 'defer_all_scripts'); // Get the option with a default value 
              ?>
              <span class="tooltip-wrap">
                <div class="tooltip"><?php esc_html_e('You can choose to defer all JS scripts, exclude specific JS scripts from being deferred, or defer only certain JS scripts. From these 3 inline buttons, only one can be active. Any settings made under an inactive button will not be applied.', 'sstxtdomain'); ?></div>
                <div class="tooltip-icon">?</div>
              </span>
              <div class="ss-radio-wrap">
                <input type="radio" id="defer_all_scripts" name="ss_defer_radio_checked" value="defer_all_scripts" data-show-container="show_defer_all" <?php checked('defer_all_scripts', $DeferRadioButtons); ?>>
                <label for="defer_all_scripts" class="ss-radio-label"><?php esc_html_e('All Scripts', 'sstxtdomain'); ?></label>

                <input type="radio" id="exclude_from_defer" name="ss_defer_radio_checked" value="exclude_from_defer" data-show-container="show_exclude_from_defer" <?php checked('exclude_from_defer', $DeferRadioButtons); ?>>
                <label for="exclude_from_defer" class="ss-radio-label"><?php esc_html_e('Exclude Scripts', 'sstxtdomain'); ?></label>

                <input type="radio" id="defer_specific_links" name="ss_defer_radio_checked" value="defer_specific_links" data-show-container="show_defer_specific_links" <?php checked('defer_specific_links', $DeferRadioButtons); ?>>
                <label for="defer_specific_links" class="ss-radio-label"><?php esc_html_e('Only These Scripts', 'sstxtdomain'); ?></label>
              </div>
              <div class="text-container" id="show_defer_all">
              </div>
              <div class="text-container" id="show_exclude_from_defer">
                <span class="tooltip-wrap">
                  <div class="tooltip"><?php echo nl2br(wp_kses(__('Defer all JS scripts except for those added to this textarea. Add full or partial URLs from external files, or full or partial IDs from inline scripts.
To find which files are use on the page, you may use the option from the admin toolbar on the frontend. Hover over "No-Cache Reload" to see and select  "List JS & CSS".', 'sstxtdomain'), array())); ?></div>
                  <div class="tooltip-icon">?</div>
                </span>
                <div class="wrap-ta-and-btn">
                  <textarea name="ss_exc_defer_textarea" id="ss_exc_defer_textarea"><?php echo esc_textarea(get_option('ss_exc_defer_textarea')); ?></textarea>
                  <div class="wrap-ta-expander">
                    <?php echo $toggle_textarea_height; ?>
                  </div>
                </div>

                <button class="remove-duplicate-btn third-btn"><?php esc_html_e('Remove Duplicate Lines', 'sstxtdomain'); ?></button>
              </div>
              <div class="text-container" id="show_defer_specific_links">
                <span class="tooltip-wrap">
                  <div class="tooltip"><?php echo nl2br(wp_kses(__('Only the JS scripts added to this textarea will be deferred. All other scripts will load normally. Add full or partial URLs from external files, or full or partial IDs from inline scripts.
To find which files are use on the page, you may use the option from the admin toolbar on the frontend. Hover over "No-Cache Reload" to see and select  "List JS & CSS".', 'sstxtdomain'), array())); ?></div>
                  <div class="tooltip-icon">?</div>
                </span>
                <div class="wrap-ta-and-btn">
                  <textarea name="ss_defer_specific_textarea" id="ss_defer_specific_textarea"><?php echo esc_textarea(get_option('ss_defer_specific_textarea')); ?></textarea>
                  <div class="wrap-ta-expander">
                    <?php echo $toggle_textarea_height; ?>
                  </div>
                </div>

                <button class="remove-duplicate-btn third-btn"><?php esc_html_e('Remove Duplicate Lines', 'sstxtdomain'); ?></button>
              </div>
            </div>

            <div>
              <span class="tooltip-wrap">
                <div class="tooltip"><?php esc_html_e('Do not defer libraries and other JS scripts that set up functions used by dependent scripts.', 'sstxtdomain'); ?></div>
                <div class="tooltip-icon">?</div>
              </span>
              <input type="checkbox" class="ss-checkbox" name="ss_defer_exclude_support" id="ss_defer_exclude_support" value="1" <?php echo get_option('ss_defer_exclude_support') === '1' ? 'checked' : ''; ?>>
              <label for="ss_defer_exclude_support" class="ss-checkbox-label"><?php esc_html_e('Exclude Support Scripts', 'sstxtdomain'); ?></label>
            </div>

            <div>
              <span class="tooltip-wrap">
                <div class="tooltip"><?php esc_html_e('Do not defer dependent scripts that rely on other scripts to function properly.', 'sstxtdomain'); ?></div>
                <div class="tooltip-icon">?</div>
              </span>
              <input type="checkbox" class="ss-checkbox" name="ss_defer_exclude_dependent" id="ss_defer_exclude_dependent" value="1" <?php echo get_option('ss_defer_exclude_dependent') === '1' ? 'checked' : ''; ?>>
              <label for="ss_defer_exclude_dependent" class="ss-checkbox-label"><?php esc_html_e('Exclude Dependent Scripts', 'sstxtdomain'); ?></label>
            </div>

          </div>
        </div>
      </div>
    </div>

    <!-- Remove JS -->

    <div class="options-section" id="remove-javascript">
      <div class="options-group">
        <div class="ss-left-label">
          <h2 class="ss-option-label"><?php esc_html_e('Remove JS', 'sstxtdomain'); ?></h2>
        </div>

        <input type="checkbox" class="ss-checkbox" name="ss_enable_dequeue" id="ss_enable_dequeue" value="1" <?php echo get_option('ss_enable_dequeue') === '1' ? 'checked' : ''; ?>>
        <label for="ss_enable_dequeue" class="ss-checkbox-label enable-section">
          <div class="enabled"><?php esc_html_e('Enabled', 'sstxtdomain'); ?></div>
          <div class="disabled"><?php esc_html_e('Disabled', 'sstxtdomain'); ?></div>
        </label>

        <div class="ss-right-contents">
          <div class="disable-opacity">

            <div class="option-label"><?php echo nl2br(wp_kses(__('This is an advanced tool that can easily break your site’s functionalities.

Removing jQuery is disabled, because many plugins and themes rely on it. jQuery can be delayed by using the “Delay JS” tool.

The options below allow you to selectively remove JS scripts from your pages to improve the loading speed. You can choose to remove all scripts, exclude specific scripts from being removed, or remove only certain scripts. These settings can be applied to all pages, exclude specific pages from script removal, or only remove scripts on selected pages.

To easily identify the JS scripts on a page, use the ‘List Scripts and JS’ tool in the admin bar on the front end. This tool displays all CSS files and JS scripts on the page, even those injected with a delay.

After configuring the settings, test your front end thoroughly to ensure all functionality works as expected, such as menus, accordions, tabs, sliders, etc.', 'sstxtdomain'), array())); ?></div>

            <div class="radios-and-textboxes">
              <?php $checkedDeqLinksJSRadio = get_option('ss_dequeue_js_links_radio_checked', 'dequeue_all_links_js'); // Get the option with a default value 
              ?>
              <span class="tooltip-wrap">
                <div class="tooltip"><?php esc_html_e('You can choose to remove all JS scripts, exclude specific JS scripts from being removed, or remove only certain JS scripts. From these 3 inline buttons, only one can be active. Any settings made under an inactive button will not be applied.', 'sstxtdomain'); ?></div>
                <div class="tooltip-icon">?</div>
              </span>
              <div class="ss-radio-wrap">
                <input type="radio" id="dequeue_all_links_js" name="ss_dequeue_js_links_radio_checked" value="dequeue_all_links_js" data-show-container="show_dequeue_all_links_js" <?php checked('dequeue_all_links_js', $checkedDeqLinksJSRadio); ?>>
                <label for="dequeue_all_links_js" class="ss-radio-label"><?php esc_html_e('All Scripts', 'sstxtdomain'); ?></label>

                <input type="radio" id="dequeue_exclude_links_js" name="ss_dequeue_js_links_radio_checked" value="dequeue_exclude_links_js" data-show-container="show_dequeue_exclude_links_js" <?php checked('dequeue_exclude_links_js', $checkedDeqLinksJSRadio); ?>>
                <label for="dequeue_exclude_links_js" class="ss-radio-label"><?php esc_html_e('Exclude Scripts', 'sstxtdomain'); ?></label>

                <input type="radio" id="dequeue_specific_links_js" name="ss_dequeue_js_links_radio_checked" value="dequeue_specific_links_js" data-show-container="show_dequeue_specific_links_js" <?php checked('dequeue_specific_links_js', $checkedDeqLinksJSRadio); ?>>
                <label for="dequeue_specific_links_js" class="ss-radio-label"><?php esc_html_e('Only These Scripts', 'sstxtdomain'); ?></label>
              </div>
              <div class="text-container" id="show_dequeue_all_links_js">
              </div>
              <div class="text-container" id="show_dequeue_exclude_links_js">
                <div>
                  <span class="tooltip-wrap">
                    <div class="tooltip"><?php esc_html_e('Enable this option to prevent the removal of scripts loaded from external domains, typically belonging to third-party services like Google Analytics, reCAPTCHA, Maps or other APIs that require external resources to function properly.', 'sstxtdomain'); ?></div>
                    <div class="tooltip-icon">?</div>
                  </span>
                  <input type="checkbox" class="ss-checkbox" name="dequeue_scripts_exclude_3rd_party" id="dequeue_scripts_exclude_3rd_party" value="1" <?php echo get_option('dequeue_scripts_exclude_3rd_party') === '1' ? 'checked' : ''; ?>>
                  <label for="dequeue_scripts_exclude_3rd_party" class="ss-checkbox-label lower-checkmark-3px"><?php esc_html_e('Exclude 3rd party external scripts', 'sstxtdomain'); ?></label>
                </div>
                <span class="tooltip-wrap">
                  <div class="tooltip"><?php echo nl2br(wp_kses(__('Remove all JS scripts except for those added to this textarea. Add full or partial URLs from external files, or full or partial IDs from inline scripts.
To find which files are use on the page, you may use the option from the admin toolbar on the frontend. Hover over "No-Cache Reload" to see and select  "List JS & CSS".', 'sstxtdomain'), array())); ?></div>
                  <div class="tooltip-icon">?</div>
                </span>
                <div class="wrap-ta-and-btn">
                  <textarea name="ss_dequeue_exclude_links_js_textarea" id="ss_dequeue_exclude_links_js_textarea"><?php echo esc_textarea(get_option('ss_dequeue_exclude_links_js_textarea')); ?></textarea>
                  <div class="wrap-ta-expander">
                    <?php echo $toggle_textarea_height; ?>
                  </div>
                </div>
                <button class="remove-duplicate-btn third-btn"><?php esc_html_e('Remove Duplicate Lines', 'sstxtdomain'); ?></button>
              </div>
              <div class="text-container" id="show_dequeue_specific_links_js">
                <span class="tooltip-wrap">
                  <div class="tooltip"><?php echo nl2br(wp_kses(__('Only the JS scripts added to this textarea will be removed. All other scripts will load normally. Add full or partial URLs from external files, or full or partial IDs from inline scripts.
To find which files are use on the page, you may use the option from the admin toolbar on the frontend. Hover over "No-Cache Reload" to see and select  "List JS & CSS".', 'sstxtdomain'), array())); ?></div>
                  <div class="tooltip-icon">?</div>
                </span>
                <div class="wrap-ta-and-btn">
                  <textarea name="ss_dequeue_spacific_links_js_textarea" id="ss_dequeue_spacific_links_js_textarea"><?php echo esc_textarea(get_option('ss_dequeue_spacific_links_js_textarea')); ?></textarea>
                  <div class="wrap-ta-expander">
                    <?php echo $toggle_textarea_height; ?>
                  </div>
                </div>

                <button class="remove-duplicate-btn third-btn"><?php esc_html_e('Remove Duplicate Lines', 'sstxtdomain'); ?></button>
              </div>
            </div>

            <div class="radios-and-textboxes">
              <?php $checkedDeqRadio = get_option('ss_deq_radio_checked', 'dequeue_all_pages'); // Get the option with a default value 
              ?>
              <span class="tooltip-wrap">
                <div class="tooltip"><?php esc_html_e('You can choose to apply the above settings to all pages, exclude only specific pages from the settings, or apply the settings only on selected pages. From these 3 inline buttons, only one can be active. Any settings made under an inactive button will not be applied.', 'sstxtdomain'); ?></div>
                <div class="tooltip-icon">?</div>
              </span>
              <div class="ss-radio-wrap">
                <input type="radio" id="dequeue_all_pages" name="ss_deq_radio_checked" value="dequeue_all_pages" data-show-container="show_all_remove_pages" <?php checked('dequeue_all_pages', $checkedDeqRadio); ?>>
                <label for="dequeue_all_pages" class="ss-radio-label"><?php esc_html_e('All Pages', 'sstxtdomain'); ?></label>
                <input type="radio" id="exclude_remove_pages" name="ss_deq_radio_checked" value="exclude_remove_pages" data-show-container="show_exclude_remove_pages" <?php checked('exclude_remove_pages', $checkedDeqRadio); ?>>
                <label for="exclude_remove_pages" class="ss-radio-label"><?php esc_html_e('Exclude Pages', 'sstxtdomain'); ?></label>
                <input type="radio" id="dequeue_specific_pages" name="ss_deq_radio_checked" value="dequeue_specific_pages" data-show-container="show_dequeue_specific_pages" <?php checked('dequeue_specific_pages', $checkedDeqRadio); ?>>
                <label for="dequeue_specific_pages" class="ss-radio-label"><?php esc_html_e('Only On Pages', 'sstxtdomain'); ?></label>
              </div>
              <div class="text-container" id="show_all_remove_pages"></div>

              <div class="text-container" id="show_exclude_remove_pages">
                <div class="tooltip-option-text">
                  <span class="tooltip-wrap">
                    <div class="tooltip"><?php esc_html_e('The Home page URL is just the domain (e.g., ‘https://domain.com‘). The domain is included in every URL on the website. Placing only the domain in the textarea would exclude every page. Using this option to exclude the Home page avoids the issue.', 'sstxtdomain'); ?></div>
                    <div class="tooltip-icon">?</div>
                  </span>
                  <input type="checkbox" class="ss-checkbox" name="ss_dequeue_js_exclude_home" id="ss_dequeue_js_exclude_home" value="1" <?php echo get_option('ss_dequeue_js_exclude_home') === '1' ? 'checked' : ''; ?>>
                  <label for="ss_dequeue_js_exclude_home" class="ss-checkbox-label lower-checkmark-3px"><?php esc_html_e('Exclude Home Page', 'sstxtdomain'); ?></label>
                </div>
                <span class="tooltip-wrap">
                  <div class="tooltip"><?php esc_html_e('Run the function on all pages, except for the ones specified in the textarea below. Enter the URLs of the pages you want to exclude, with one URL per line. You can use full URLs, such as ’https://domain.com/about-us’, or partial URLs that match a specific page or set of pages, like ’about-us’ or ’/category/blog/’. Partial URLs can be useful for targeting multiple pages with a similar structure or within the same directory.', 'sstxtdomain'); ?></div>
                  <div class="tooltip-icon">?</div>
                </span>
                <div class="wrap-ta-and-btn">
                  <textarea name="ss_exc_deq_js_textarea" id="ss_exc_deq_js_textarea"><?php echo esc_textarea(get_option('ss_exc_deq_js_textarea')); ?></textarea>
                  <div class="wrap-ta-expander">
                    <?php echo $toggle_textarea_height; ?>
                  </div>
                </div>

                <button class="remove-duplicate-btn third-btn"><?php esc_html_e('Remove Duplicate Lines', 'sstxtdomain'); ?></button>
              </div>
              <div class="text-container" id="show_dequeue_specific_pages">
                <div class="tooltip-option-text">
                  <span class="tooltip-wrap">
                    <div class="tooltip"><?php esc_html_e('The Home page URL is just the domain (e.g., ‘https://domain.com‘). The domain is included in every URL on the website. Placing only the domain in the textarea would include every page. Using this option to include the Home page avoids the issue.', 'sstxtdomain'); ?></div>
                    <div class="tooltip-icon">?</div>
                  </span>
                  <input type="checkbox" class="ss-checkbox" name="ss_dequeue_js_include_home" id="ss_dequeue_js_include_home" value="1" <?php echo get_option('ss_dequeue_js_include_home') === '1' ? 'checked' : ''; ?>>
                  <label for="ss_dequeue_js_include_home" class="ss-checkbox-label lower-checkmark-3px"><?php esc_html_e('Include Home Page', 'sstxtdomain'); ?></label>
                </div>
                <span class="tooltip-wrap">
                  <div class="tooltip"><?php esc_html_e('Run the function only on the pages specified in the textarea below. Enter the URLs of the pages you want to include, with one URL per line. You can use full URLs, such as ’https://domain.com/about-us’, or partial URLs that match a specific page or set of pages, like ’about-us’ or ’/category/blog/’. Partial URLs can be useful for targeting multiple pages with a similar structure or within the same directory.', 'sstxtdomain'); ?></div>
                  <div class="tooltip-icon">?</div>
                </span>
                <div class="wrap-ta-and-btn">
                  <textarea name="ss_deq_spec_js_textarea" id="ss_deq_spec_js_textarea"><?php echo esc_textarea(get_option('ss_deq_spec_js_textarea')); ?></textarea>
                  <div class="wrap-ta-expander">
                    <?php echo $toggle_textarea_height; ?>
                  </div>
                </div>

                <button class="remove-duplicate-btn third-btn"><?php esc_html_e('Remove Duplicate Lines', 'sstxtdomain'); ?></button>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>


  </div>
</div>