<!-- Button to toggle <textarea> heigt -->
<?php
$toggle_textarea_height = <<<HTML
<div class="toggle-textarea-height">
  <svg class="expand-text svg-1" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 50 50" preserveAspectRatio="xMidYMid meet" width="100%" height="100%">
    <line x1="25" y1="45" x2="25" y2="5" fill="none" stroke="#000" stroke-linecap="round" stroke-linejoin="round" stroke-width="10" />
    <path d="M45,30,25,5,5,30" fill="none" stroke="#000" stroke-linecap="round" stroke-linejoin="round" stroke-width="10" />
  </svg>

  <svg class="expand-text svg-2" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 50 50" preserveAspectRatio="xMidYMid meet" width="100%" height="100%">
    <line x1="25" y1="5" x2="25" y2="45" fill="none" stroke="#000" stroke-linecap="round" stroke-linejoin="round" stroke-width="10" />
    <path d="M5,20,25,45,45,20" fill="none" stroke="#000" stroke-linecap="round" stroke-linejoin="round" stroke-width="10" />
  </svg>
</div>
HTML;

$placeholder_svg_display = <<<HTML
<svg xmlns="http://www.w3.org/2000/svg" width="200pt" height="150pt" viewBox="0 0 200 50" preserveAspectRatio="xMidYMid meet">
  <g transform="translate(-7.5,139.0) scale(0.1075,-0.115)">
    <path d="M80 1000 l0 -660 920 0 920 0 0 660 0 660 -920 0 -920 0 0 -660z
m1760 95 l0 -486 -197 201 -198 200 -133 -115 -134 -115 -61 48 c-224 177
-373 292 -380 292 -4 0 -136 -127 -292 -281 l-285 -282 0 512 0 511 840 0 840
0 0 -485z m-862 -260 c184 -143 204 -156 220 -143 9 8 68 59 131 112 l114 98
198 -203 c185 -190 198 -207 198 -241 l1 -38 -840 0 c-716 0 -840 2 -840 14 0
8 131 143 292 300 255 250 293 284 307 273 9 -8 107 -85 219 -172z" />
    <path d="M1490 1484 c-75 -32 -120 -102 -120 -184 0 -177 205 -264 333 -142
43 41 60 81 60 142 0 61 -17 101 -60 142 -58 55 -143 72 -213 42z m138 -84
c19 -12 40 -37 49 -58 54 -129 -147 -227 -212 -102 -58 112 57 224 163 160z" />
  </g>
</svg>
HTML;
?>
<div class="hovering-nav" id="nav-for-ss-tab-4">
  <a class="hovering-nav-link" href="#image_data_section">Image Data</a>
  <a class="hovering-nav-link" href="#lcp">LCP</a>
  <a class="hovering-nav-link" href="#lazy-load-images">Images</a>
  <a class="hovering-nav-link" href="#lazy-load-background">Background Images</a>
  <a class="hovering-nav-link" href="#lazy-load-iframes">iFrames</a>
  <a class="hovering-nav-link" href="#lazy-load-videos">Videos</a>
</div>

<div id="ss-tab-4" role="tabpanel" aria-labelledby="ss-tab4" aria-expanded="false" tabindex="0">

  <div class="option-groups-wrap">

    <!-- Image Data Collection -->

    <div class="options-section" id="image_data_section">
      <div class="options-group">
        <div class="ss-left-label">
          <h2 class="ss-option-label"><?php esc_html_e('Image Data Collecting', 'sstxtdomain'); ?></h2>
        </div>

        <input type="checkbox" class="ss-checkbox" name="image_data_collection" id="image_data_collection" value="1" <?php echo get_option('image_data_collection') === '1' ? 'checked' : ''; ?>>
        <label for="image_data_collection" class="ss-checkbox-label enable-section">
          <div class="enabled"><?php esc_html_e('Enabled', 'sstxtdomain'); ?></div>
          <div class="disabled"><?php esc_html_e('Disabled', 'sstxtdomain'); ?></div>
        </label>

        <div class="ss-right-contents">
          <div class="disable-opacity">

            <div class="option-label"><?php echo nl2br(wp_kses(__('The primary objectives of collecting image data are to identify elements with background images and determine the Largest Contentful Paint (LCP) for each page across different screen sizes. Background image details are only accessible after the CSS is loaded and applied. This occurs late in the page load cycle, and we are not able to apply optimizations like auto-preloading the LCP or auto-setting image thumbnails for background images.

When Image Data Collection is enabled, the plugin uses a JS script to gather information about images from the frontend. It opens two iframes, for tablet and mobile views, to identify visible images and the LCP for each screen size. This process runs only for users with editing capabilities, such as administrators and editors, so that visitors are not disturbed by it.

To ensure accurate data collection:
1. Log in to your account.
2. Purge the cache completely for all pages.
3. Visit each page so that the script can run.

Consider disabling the feature temporarily if you need to work without interruptions, as this process runs automatically each time a page is edited.
You can manually refresh this data using the option in the admin toolbar on the frontend.', 'sstxtdomain'), array())); ?></div>

            <div class="inner-section">
              <div>
                <span class="tooltip-wrap">
                  <div class="tooltip"><?php esc_html_e('The Home page URL is just the domain (e.g., ‘https://domain.com‘). The domain is included in every URL on the website. Placing only the domain in the textarea would exclude every page. Using this option to exclude the Home page avoids the issue.', 'sstxtdomain'); ?></div>
                  <div class="tooltip-icon">?</div>
                </span>
                <input type="checkbox" class="ss-checkbox" name="image_data_collection_exclude_home" id="image_data_collection_exclude_home" value="1" <?php echo get_option('image_data_collection_exclude_home') === '1' ? 'checked' : ''; ?>>
                <label for="image_data_collection_exclude_home" class="ss-checkbox-label"><?php esc_html_e('Exclude image data collecting on Home page', 'sstxtdomain'); ?></label>
              </div>

              <div class="text-container ">
                <div class="tooltip-option-text">
                  <span class="tooltip-wrap">
                    <div class="tooltip"><?php esc_html_e('Enable this option to exclude specific pages. In the textarea, enter the URLs of the pages you want to exclude, with one URL per line. You can use full URLs, such as ’https://domain.com/about-us’, or partial URLs that match a specific page or set of pages, like ’/about-us’ or ’category/blog’. Partial URLs can be useful for targeting multiple pages with a similar structure or within the same directory.', 'sstxtdomain'); ?></div>
                    <div class="tooltip-icon">?</div>
                  </span>
                  <input type="checkbox" class="ss-checkbox" name="image_data_collection_exclude_pages_cbx" id="image_data_collection_exclude_pages_cbx" value="1" <?php echo get_option('image_data_collection_exclude_pages_cbx') === '1' ? 'checked' : ''; ?>>
                  <label for="image_data_collection_exclude_pages_cbx" class="ss-checkbox-label"><?php esc_html_e('Exclude image data collecting on these pages', 'sstxtdomain'); ?></label>
                </div>
                <div class="wrap-ta-and-btn">
                  <textarea class="cbx-dependant" name="image_data_collection_exclude_pages_textarea" id="image_data_collection_exclude_pages_textarea"><?php echo esc_textarea(get_option('image_data_collection_exclude_pages_textarea')); ?></textarea>
                  <div class="wrap-ta-expander">
                    <?php echo $toggle_textarea_height; ?>
                  </div>
                </div>
              </div>

              <div>
                <span class="tooltip-wrap">
                  <div class="tooltip"><?php esc_html_e('Blog post URLs usually don’t have a specific identifier, such as ‘domain.com/blog/article-name’. Most websites use this URL structure: ’domain.com/article-name’. You can place the URL of one blog post in the text area below, and exclude it. But, this option allows you to exclude Image Data Collecting from all blog posts.', 'sstxtdomain'); ?></div>
                  <div class="tooltip-icon">?</div>
                </span>
                <input type="checkbox" class="ss-checkbox" name="image_data_collection_exclude_posts" id="image_data_collection_exclude_posts" value="1" <?php echo get_option('image_data_collection_exclude_posts') === '1' ? 'checked' : ''; ?>>
                <label for="image_data_collection_exclude_posts" class="ss-checkbox-label"><?php esc_html_e('Exclude image data collecting on blog posts', 'sstxtdomain'); ?></label>
              </div>

              <?php
              if (is_plugin_active('woocommerce/woocommerce.php')) {
              ?>
                <div>
                  <span class="tooltip-wrap">
                    <div class="tooltip"><?php esc_html_e('Product URLs usually don’t have a specific identifier, such as ’domain.com/products/product-name’. Most websites use this URL structure: ’domain.com/product-name’. You can place the URL of one product page in the text area below, and exclude it. This option allows you to exclude Image Data Collecting from all WooCommerce single product pages.', 'sstxtdomain'); ?></div>
                    <div class="tooltip-icon">?</div>
                  </span>
                  <input type="checkbox" class="ss-checkbox" name="image_data_collection_exclude_products" id="image_data_collection_exclude_products" value="1" <?php echo get_option('image_data_collection_exclude_products') === '1' ? 'checked' : ''; ?>>
                  <label for="image_data_collection_exclude_products" class="ss-checkbox-label"><?php esc_html_e('Exclude image data collecting on WooCommerce products', 'sstxtdomain'); ?></label>
                </div>
              <?php
              }
              ?>

              <!-- CPTs -->
              <?php
              // Fetch custom post types, excluding built-in types
              $args = array(
                'public'   => true,  // Only include public post types
                '_builtin' => false  // Exclude built-in post types like 'post' and 'page'
              );
              $post_types = get_post_types($args, 'names');
              // Exclude 'product' post type
              $post_types = array_diff($post_types, ['product']);
              if ($post_types) {
              ?>
                <div class="text-container">
                  <div class="tooltip-option-text">
                    <span class="tooltip-wrap">
                      <div class="tooltip"><?php esc_html_e('Select this option to enable the textarea. Place the slug from your custom post type in the textarea. If you have multiple CPTs, place each on a new line, one above the other. This will exclude Image Data Collecting from the single posts of those custom post types.', 'sstxtdomain'); ?></div>
                      <div class="tooltip-icon">?</div>
                    </span>
                    <input type="checkbox" class="ss-checkbox" name="image_data_collection_exclude_cpts" id="image_data_collection_exclude_cpts" value="1" <?php checked(get_option('image_data_collection_exclude_cpts'), '1'); ?>>
                    <label for="image_data_collection_exclude_cpts" class="ss-checkbox-label"><?php esc_html_e('Exclude image data collecting on single posts of these custom post types:', 'sstxtdomain'); ?></label>
                  </div>
                  <div class="option-label"><?php esc_html_e('To exclude CPT single post pages, place identifiers on separate lines in the textarea.', 'sstxtdomain'); ?>
                  <?php
                  // Output the remaining custom post types, each on a new line
                  echo '<br>' . implode('<br>', $post_types);
                  echo '</div>';
                  echo '<div class="wrap-ta-and-btn">';
                  echo '<textarea class="cbx-dependant" name="image_data_collection_exclude_cpts_textarea" id="image_data_collection_exclude_cpts_textarea">' . esc_textarea(get_option('image_data_collection_exclude_cpts_textarea')) . '</textarea>';
                  echo '<div class="wrap-ta-expander">';
                  echo $toggle_textarea_height;
                  echo '</div>';
                  echo '</div>';
                  echo '</div>';
                }
                  ?>
                  <!-- CPTs -->

                  </div>
                </div>
            </div>

          </div>
        </div>


        <!-- LCP -->

        <div class="options-section" id="lcp">
          <div class="options-group">
            <div class="ss-left-label">
              <h2 class="ss-option-label"><?php esc_html_e('Largest Contentful Paint (LCP)', 'sstxtdomain'); ?></h2>
            </div>

            <input type="checkbox" class="ss-checkbox" name="lcp_enable" id="lcp_enable" value="1" <?php echo get_option('lcp_enable') === '1' ? 'checked' : ''; ?>>
            <label for="lcp_enable" class="ss-checkbox-label enable-section">
              <div class="enabled"><?php esc_html_e('Enabled', 'sstxtdomain'); ?></div>
              <div class="disabled"><?php esc_html_e('Disabled', 'sstxtdomain'); ?></div>
            </label>

            <div class="ss-right-contents">
              <div class="disable-opacity">

                <div class="option-label">
                  <?php
                  // Escaping HTML with exceptions
                  echo wp_kses(
                    __(
                      'Largest Contentful Paint (LCP) is one of the three Core Web Vitals metrics. It is a measure of how quickly the main part of a web page is loaded. LCP measures the time from when the page starts loading, until the biggest image or text appears on the screen.',
                      'sstxtdomain'
                    ),
                    array('br' => array()) // Allow only <br> tags
                  );
                  ?>
                </div>

                <div class="inline-elements">
                  <span class="tooltip-wrap">
                    <div class="tooltip"><?php esc_html_e('No need to look at the source code or use browser inspector tools. When this option is selected, the Largest Contentful Paint element will have a dashed purple outline. The outline will be mixed with other outlines, if they are enabled, like blue if the image is lazy-loaded, or red if the image is preloaded. The outline will only be visible for accounts with editing permissions, like editors and administrators.', 'sstxtdomain'); ?></div>
                    <div class="tooltip-icon">?</div>
                  </span>
                  <input type="checkbox" class="ss-checkbox" name="visually_mark_lcp" id="visually_mark_lcp" value="1" <?php echo get_option('visually_mark_lcp') === '1' ? 'checked' : ''; ?>>
                  <label for="visually_mark_lcp" class="ss-checkbox-label"><?php esc_html_e('Visually mark the Largest Contentful Paint element', 'sstxtdomain'); ?></label>
                  <span class="img-placeholder-display lcp-color"><?php echo $placeholder_svg_display; ?></span>
                </div>

                <div class="">
                  <span class="tooltip-wrap">
                    <div class="tooltip"><?php esc_html_e('No need to run page speed tests to find the LCP. This feature adds information on top of the Largest Contentful Paint. The info will specify if the LCP is an image, background image, or text element. For images and background images, you will see the element’s classes. In case you are not using the option for auto-preloading the LCP image, you can use the element’s unique class to exclude it from lazy-loading or add to preloading.', 'sstxtdomain'); ?></div>
                    <div class="tooltip-icon">?</div>
                  </span>
                  <input type="checkbox" class="ss-checkbox" name="display_lcp_info" id="display_lcp_info" value="1" <?php echo get_option('display_lcp_info') === '1' ? 'checked' : ''; ?>>
                  <label for="display_lcp_info" class="ss-checkbox-label"><?php esc_html_e('Display information on the LCP element', 'sstxtdomain'); ?></label>
                </div>

                <a class="inner-section needs-image-data" href="#image_data_section">
                  <div class="inner-section-tooltip">
                    <span class="tooltip-wrap">
                      <div class="tooltip"><?php esc_html_e('After the plugin collects image data, it will know which element is the Largest Contentful Paint (LCP).  It will have information about both images and background images. If this options is selected, the right image will be preloaded automatically. You don’t need to exclude LCP images from lazy loading.', 'sstxtdomain'); ?></div>
                      <div class="tooltip-icon">?</div>
                    </span>
                    <input type="checkbox" class="ss-checkbox inner-section-input" name="auto_preload_lcp" id="auto_preload_lcp" value="1" <?php echo get_option('auto_preload_lcp') === '1' ? 'checked' : ''; ?>>
                    <label for="auto_preload_lcp" class="ss-checkbox-label inner-section-enable"><?php esc_html_e('Auto-preload the LCP image or background image', 'sstxtdomain'); ?></label>
                  </div>

                  <div class="inner-section-active">

                    <div class="wrap-selecor-textareas">
                      <div class="text-container ">
                        <div class="tooltip-option-text">
                          <span class="tooltip-wrap">
                            <div class="tooltip"><?php esc_html_e('Enable this option to exclude specific elements from LCP (Largest Contentful Paint) image or background image auto-preload based on their CSS class. In the textarea, enter the unique class of each element you want to exclude, with one class per line. Ensure that the plugin has correctly identified these elements as the Largest Contentful Paint on the relevant pages. This option is useful when you want to prevent LCP preloading for specific elements that may have different performance characteristics or requirements compared to other LCP elements on your site.', 'sstxtdomain'); ?></div>
                            <div class="tooltip-icon">?</div>
                          </span>
                          <input type="checkbox" class="ss-checkbox" name="lcp_prelod_exclude_selector" id="lcp_prelod_exclude_selector" value="1" <?php echo get_option('lcp_prelod_exclude_selector') === '1' ? 'checked' : ''; ?>>
                          <label for="lcp_prelod_exclude_selector" class="ss-checkbox-label"><?php esc_html_e('Exclude preloading the LCP by class', 'sstxtdomain'); ?></label>
                        </div>
                        <div class="wrap-ta-and-btn">
                          <textarea class="cbx-dependant" name="lcp_prelod_exclude_selector_textarea" id="lcp_prelod_exclude_selector_textarea"><?php echo esc_textarea(get_option('lcp_prelod_exclude_selector_textarea')); ?></textarea>
                          <div class="wrap-ta-expander">
                            <?php echo $toggle_textarea_height; ?>
                          </div>
                        </div>
                      </div>
                      <div class="text-container  ">
                        <div class="tooltip-option-text">
                          <span class="tooltip-wrap right">
                            <div class="tooltip"><?php esc_html_e('Select this option to enable the textarea below. Make sure that the plugin has identified the child element as the Largest Contentful Paint. Some elements don’t have a class, or a unique class, and you may be unable to assign a class to the element. If the parent element does have a unique class, or you are only able to add a unique class to the parent, then use this option. By adding the class of the parent element to the textarea, you will be excluding from LCP auto-preloading all child elements inside the parent. When excluding children from multiple parents, place each class on a new line.', 'sstxtdomain'); ?></div>
                            <div class="tooltip-icon">?</div>
                          </span>
                          <input type="checkbox" class="ss-checkbox" name="lcp_prelod_exclude_parent_selector" id="lcp_prelod_exclude_parent_selector" value="1" <?php echo get_option('lcp_prelod_exclude_parent_selector') === '1' ? 'checked' : ''; ?>>
                          <label for="lcp_prelod_exclude_parent_selector" class="ss-checkbox-label"><?php esc_html_e('Exclude preloading the LCP by parent class', 'sstxtdomain'); ?></label>
                        </div>
                        <div class="wrap-ta-and-btn">
                          <textarea class="cbx-dependant" name="lcp_prelod_exclude_parent_selector_textarea" id="lcp_prelod_exclude_parent_selector_textarea"><?php echo esc_textarea(get_option('lcp_prelod_exclude_parent_selector_textarea')); ?></textarea>
                          <div class="wrap-ta-expander">
                            <?php echo $toggle_textarea_height; ?>
                          </div>
                        </div>
                      </div>
                    </div>

                    <div class="text-container ">
                      <div class="tooltip-option-text">
                        <span class="tooltip-wrap">
                          <div class="tooltip"><?php esc_html_e('The Home page URL is just the domain (e.g., ‘https://domain.com‘). The domain is included in every URL on the website. Placing only the domain in the textarea would exclude every page. Using this option to exclude the Home page avoids the issue.', 'sstxtdomain'); ?></div>
                          <div class="tooltip-icon">?</div>
                        </span>
                        <input type="checkbox" class="ss-checkbox" name="lcp_prelod_exclude_home_cbx" id="lcp_prelod_exclude_home_cbx" value="1" <?php echo get_option('lcp_prelod_exclude_home_cbx') === '1' ? 'checked' : ''; ?>>
                        <label for="lcp_prelod_exclude_home_cbx" class="ss-checkbox-label"><?php esc_html_e('Exclude preloading the LCP on the Home page', 'sstxtdomain'); ?></label>
                      </div>
                    </div>
                    <div class="text-container  ">
                      <div class="tooltip-option-text">
                        <span class="tooltip-wrap">
                          <div class="tooltip"><?php esc_html_e('Enable this option to exclude specific pages from LCP (Largest Contentful Paint) image or background image auto-preload. In the textarea, enter the URLs of the pages you want to exclude, with one URL per line. You can use full URLs, such as ’https://domain.com/about-us’, or partial URLs that match a specific page or set of pages, like ’/about-us’ or ’category/blog’. Partial URLs can be useful for targeting multiple pages with a similar structure or within the same directory.', 'sstxtdomain'); ?></div>
                          <div class="tooltip-icon">?</div>
                        </span>
                        <input type="checkbox" class="ss-checkbox" name="lcp_prelod_exclude_pages_cbx" id="lcp_prelod_exclude_pages_cbx" value="1" <?php echo get_option('lcp_prelod_exclude_pages_cbx') === '1' ? 'checked' : ''; ?>>
                        <label for="lcp_prelod_exclude_pages_cbx" class="ss-checkbox-label"><?php esc_html_e('Exclude preloading the LCP on these pages:', 'sstxtdomain'); ?></label>
                      </div>
                      <div class="wrap-ta-and-btn">
                        <textarea class="cbx-dependant" name="lcp_prelod_exclude_pages_textarea" id="lcp_prelod_exclude_pages_textarea"><?php echo esc_textarea(get_option('lcp_prelod_exclude_pages_textarea')); ?></textarea>
                        <div class="wrap-ta-expander">
                          <?php echo $toggle_textarea_height; ?>
                        </div>
                      </div>
                    </div>

                    <div>
                      <span class="tooltip-wrap">
                        <div class="tooltip"><?php esc_html_e('Blog post URLs usually don’t have a specific identifier, such as ’domain.com/blog/article-name’. Most websites use this URL structure: ’domain.com/article-name’. You can place the URL of one blog post in the text area below, and exclude it. This option allows you to exclude LCP auto-preloading from all blog posts.', 'sstxtdomain'); ?></div>
                        <div class="tooltip-icon">?</div>
                      </span>
                      <input type="checkbox" class="ss-checkbox" name="lcp_prelod_exclude_posts" id="lcp_prelod_exclude_posts" value="1" <?php echo get_option('lcp_prelod_exclude_posts') === '1' ? 'checked' : ''; ?>>
                      <label for="lcp_prelod_exclude_posts" class="ss-checkbox-label"><?php esc_html_e('Exclude LCP auto-peloading on blog posts', 'sstxtdomain'); ?></label>
                    </div>

                    <?php
                    if (is_plugin_active('woocommerce/woocommerce.php')) {
                    ?>
                      <div>
                        <span class="tooltip-wrap">
                          <div class="tooltip"><?php esc_html_e('Product URLs usually don’t have a specific identifier, such as ’domain.com/products/product-name’. Most websites use this URL structure: ’domain.com/product-name’. You can place the URL of one product page in the text area below, and exclude it. This option allows you to exclude LCP auto-preloading from all WooCommerce single product pages.', 'sstxtdomain'); ?></div>
                          <div class="tooltip-icon">?</div>
                        </span>
                        <input type="checkbox" class="ss-checkbox" name="lcp_prelod_exclude_products" id="lcp_prelod_exclude_products" value="1" <?php echo get_option('lcp_prelod_exclude_products') === '1' ? 'checked' : ''; ?>>
                        <label for="lcp_prelod_exclude_products" class="ss-checkbox-label"><?php esc_html_e('Exclude LCP auto-peloading on WooCommerce products', 'sstxtdomain'); ?></label>
                      </div>
                    <?php
                    }
                    ?>

                    <!-- CPTs -->
                    <?php
                    // Fetch custom post types, excluding built-in types
                    $args = array(
                      'public'   => true,  // Only include public post types
                      '_builtin' => false  // Exclude built-in post types like 'post' and 'page'
                    );
                    $post_types = get_post_types($args, 'names');
                    // Exclude 'product' post type
                    $post_types = array_diff($post_types, ['product']);
                    if ($post_types) {
                    ?>
                      <div class="text-container">
                        <div class="tooltip-option-text">
                          <span class="tooltip-wrap">
                            <div class="tooltip"><?php esc_html_e('Select this option to enable the textarea. Place the slug from your custom post type in the textarea. If you have multiple CPTs, place each on a new line, one above the other. This will exclude LCP auto-preloading from the single posts of those custom post types.', 'sstxtdomain'); ?></div>
                            <div class="tooltip-icon">?</div>
                          </span>
                          <input type="checkbox" class="ss-checkbox" name="lcp_prelod_exclude_cpts" id="lcp_prelod_exclude_cpts" value="1" <?php checked(get_option('lcp_prelod_exclude_cpts'), '1'); ?>>
                          <label for="lcp_prelod_exclude_cpts" class="ss-checkbox-label"><?php esc_html_e('Exclude LCP auto-peloading on single posts of these custom post types:', 'sstxtdomain'); ?></label>
                        </div>
                        <div class="option-label"><?php esc_html_e('To exclude CPT single post pages, place identifiers on separate lines in the textarea.', 'sstxtdomain'); ?>
                        <?php
                        // Output the remaining custom post types, each on a new line
                        echo '<br>' . implode('<br>', $post_types);
                        echo '</div>';
                        echo '<div class="wrap-ta-and-btn">';
                        echo '<textarea class="cbx-dependant" name="lcp_prelod_exclude_cpts_textarea" id="lcp_prelod_exclude_cpts_textarea">' . esc_textarea(get_option('lcp_prelod_exclude_cpts_textarea')) . '</textarea>';
                        echo '<div class="wrap-ta-expander">';
                        echo $toggle_textarea_height;
                        echo '</div>';
                        echo '</div>';
                        echo '</div>';
                      }
                        ?>
                        <!-- CPTs -->

                        </div>

                </a>
              </div>
            </div>
          </div>
        </div>

        <!-- Images -->

        <div class="options-section" id="lazy-load-images">
          <div class="options-group">
            <div class="ss-left-label">
              <h2 class="ss-option-label"><?php esc_html_e('Images', 'sstxtdomain'); ?></h2>
            </div>

            <input type="checkbox" class="ss-checkbox" name="lazy_load_images" id="lazy_load_images" value="1" <?php echo get_option('lazy_load_images') === '1' ? 'checked' : ''; ?>>
            <label for="lazy_load_images" class="ss-checkbox-label enable-section">
              <div class="enabled"><?php esc_html_e('Enabled', 'sstxtdomain'); ?></div>
              <div class="disabled"><?php esc_html_e('Disabled', 'sstxtdomain'); ?></div>
            </label>

            <div class="ss-right-contents">

              <div class="disable-opacity">

                <div class="inline-elements">
                  <span class="tooltip-wrap">
                    <div class="tooltip"><?php esc_html_e('No need to look at the source code or use browser inspector tools. When this option is selected, all lazy-loaded images inside <img> tags will have a dashed blue outline. The outline will be mixed with other outlines, if they are enabled, like pink if the image is an LCP, or red if the image is preloaded. The outline will only be visible for accounts with editing permissions, like editors and administrators.', 'sstxtdomain'); ?></div>
                    <div class="tooltip-icon">?</div>
                  </span>
                  <input type="checkbox" class="ss-checkbox" name="lazyloaded_img_visually_mark" id="lazyloaded_img_visually_mark" value="1" <?php echo get_option('lazyloaded_img_visually_mark') === '1' ? 'checked' : ''; ?>>
                  <label for="lazyloaded_img_visually_mark" class="ss-checkbox-label"><?php esc_html_e('Visually mark images lazy-loaded by SuperSpeed', 'sstxtdomain'); ?></label>
                  <span class="img-placeholder-display lazy-load-color"><?php echo $placeholder_svg_display; ?></span>
                </div>

                <div class="inline-elements">
                  <span class="tooltip-wrap">
                    <div class="tooltip"><?php esc_html_e('No need to look at the source code or use browser inspector tools. When this option is selected, all preloaded images inside <img> tags will have a dashed red outline. The outline will be mixed with other outlines, if they are enabled, like pink if the image is an LCP. The outline will only be visible for accounts with editing permissions, like editors and administrators.', 'sstxtdomain'); ?></div>
                    <div class="tooltip-icon">?</div>
                  </span>
                  <input type="checkbox" class="ss-checkbox" name="preloaded_img_visually_mark" id="preloaded_img_visually_mark" value="1" <?php echo get_option('preloaded_img_visually_mark') === '1' ? 'checked' : ''; ?>>
                  <label for="preloaded_img_visually_mark" class="ss-checkbox-label"><?php esc_html_e('Visually mark preloaded images', 'sstxtdomain'); ?></label>
                  <span class="img-placeholder-display preload-color"><?php echo $placeholder_svg_display; ?></span>
                </div>
              </div>

              <div class="disable-opacity">

                <div class="inner-section">
                  <div class="inner-section-tooltip">
                    <span class="tooltip-wrap">
                      <div class="tooltip"><?php esc_html_e('The native browser attribute ‘loading="lazy"‘ loads images deep below the first frame of the page. The issue of this approach, is that we have no control. It loads too many images, too early. Other plugins use a JavaScript solution, which doesn’t place images in the HTML, but injects them later. The issue with this approach, is that SEO crawler bots will not know that the page has images. The SuperSpeed plugin, however, uses a combination of the native HTML attribute and JavaScript. This keeps images in the HTML, to let search engines rank the images. It also loads images only when and where the user actually needs them. SVG images are not lazy loaded, do to their small wight, and because they are important in the page‘s design.', 'sstxtdomain'); ?></div>
                      <div class="tooltip-icon">?</div>
                    </span>
                    <input type="checkbox" class="ss-checkbox inner-section-input" name="lazy_load_images_checkbox" id="lazy_load_images_checkbox" value="1" <?php echo get_option('lazy_load_images_checkbox') === '1' ? 'checked' : ''; ?>>
                    <label for="lazy_load_images_checkbox" class="ss-checkbox-label inner-section-enable"><?php esc_html_e('Lazy load images', 'sstxtdomain'); ?></label>
                  </div>

                  <div class="inner-section-active">

                    <div class="">
                      <span class="tooltip-wrap">
                        <div class="tooltip"><?php esc_html_e('The Home page URL is just the domain (e.g., ‘https://domain.com‘). The domain is included in every URL on the website. Placing only the domain in the textarea would exclude every page. Using this option to exclude the Home page avoids the issue.', 'sstxtdomain'); ?></div>
                        <div class="tooltip-icon">?</div>
                      </span>
                      <input type="checkbox" class="ss-checkbox" name="lazy_image_exclude_home" id="lazy_image_exclude_home" value="1" <?php echo get_option('lazy_image_exclude_home') === '1' ? 'checked' : ''; ?>>
                      <label for="lazy_image_exclude_home" class="ss-checkbox-label"><?php esc_html_e('Exclude lazy loading images on Home page', 'sstxtdomain'); ?></label>
                    </div>

                    <div class="text-container">
                      <div class="tooltip-option-text">
                        <span class="tooltip-wrap">
                          <div class="tooltip"><?php esc_html_e('Enable this option to exclude specific pages. In the textarea, enter the URLs of the pages you want to exclude, with one URL per line. You can use full URLs, such as ’https://domain.com/about-us’, or partial URLs that match a specific page or set of pages, like ’/about-us’ or ’category/blog’. Partial URLs can be useful for targeting multiple pages with a similar structure or within the same directory.', 'sstxtdomain'); ?></div>
                          <div class="tooltip-icon">?</div>
                        </span>
                        <input type="checkbox" class="ss-checkbox" name="lazy_image_exclude_pages_cbx" id="lazy_image_exclude_pages_cbx" value="1" <?php echo get_option('lazy_image_exclude_pages_cbx') === '1' ? 'checked' : ''; ?>>
                        <label for="lazy_image_exclude_pages_cbx" class="ss-checkbox-label"><?php esc_html_e('Exclude lazy loading images on these pages:', 'sstxtdomain'); ?></label>
                      </div>
                      <div class="wrap-ta-and-btn">
                        <textarea class="cbx-dependant" name="lazy_image_exclude_pages_textarea" id="lazy_image_exclude_pages_textarea"><?php echo esc_textarea(get_option('lazy_image_exclude_pages_textarea')); ?></textarea>
                        <div class="wrap-ta-expander">
                          <?php echo $toggle_textarea_height; ?>
                        </div>
                      </div>
                    </div>

                    <div class="wrap-selecor-textareas">
                      <div class="text-container">
                        <div class="tooltip-option-text">
                          <span class="tooltip-wrap">
                            <div class="tooltip"><?php esc_html_e('Enable this option to exclude specific elements based on their CSS class. In the textarea, enter the unique class of each element you want to exclude, with one class per line.', 'sstxtdomain'); ?></div>
                            <div class="tooltip-icon">?</div>
                          </span>
                          <input type="checkbox" class="ss-checkbox" name="lazy_image_exclude_selector" id="lazy_image_exclude_selector" value="1" <?php echo get_option('lazy_image_exclude_selector') === '1' ? 'checked' : ''; ?>>
                          <label for="lazy_image_exclude_selector" class="ss-checkbox-label"><?php esc_html_e('Exclude lazy loading images by class', 'sstxtdomain'); ?></label>
                        </div>
                        <div class="wrap-ta-and-btn">
                          <textarea class="cbx-dependant" name="lazy_image_exclude_selector_textarea" id="lazy_image_exclude_selector_textarea"><?php echo esc_textarea(get_option('lazy_image_exclude_selector_textarea')); ?></textarea>
                          <div class="wrap-ta-expander">
                            <?php echo $toggle_textarea_height; ?>
                          </div>
                        </div>
                      </div>
                      <div class="text-container  ">
                        <div class="tooltip-option-text">
                          <span class="tooltip-wrap right">
                            <div class="tooltip"><?php esc_html_e('Select this option to enable the textarea below. Some elements don’t have a class, or a unique class, and you may be unable to assign a class to the element. If the parent element does have a unique class, or you are only able to add a unique class to the parent, then use this option. By adding the class of the parent element to the textarea, you will be excluding all child elements inside the parent. When excluding children from multiple parents, place each class on a new line.', 'sstxtdomain'); ?></div>
                            <div class="tooltip-icon">?</div>
                          </span>
                          <input type="checkbox" class="ss-checkbox" name="lazy_image_exclude_parent_selector" id="lazy_image_exclude_parent_selector" value="1" <?php echo get_option('lazy_image_exclude_parent_selector') === '1' ? 'checked' : ''; ?>>
                          <label for="lazy_image_exclude_parent_selector" class="ss-checkbox-label"><?php esc_html_e('Exclude lazy loading images by parent class', 'sstxtdomain'); ?></label>
                        </div>
                        <div class="wrap-ta-and-btn">
                          <textarea class="cbx-dependant" name="lazy_image_exclude_parent_selector_textarea" id="lazy_image_exclude_parent_selector_textarea"><?php echo esc_textarea(get_option('lazy_image_exclude_parent_selector_textarea')); ?></textarea>
                          <div class="wrap-ta-expander">
                            <?php echo $toggle_textarea_height; ?>
                          </div>
                        </div>
                      </div>
                    </div>

                    <div class="option-label lower"><?php esc_html_e('Choose a placeholder to be displayed until the image is loaded:', 'sstxtdomain'); ?></div>
                    <div class="radios-and-textboxes">
                      <?php $imagesPlaceholderRadio = get_option('imagesPlaceholderRadio', 'lazy_image_placeholder_gray'); // Get the option with a default value 
                      ?>
                      <span class="tooltip-wrap">
                        <div class="tooltip"><?php esc_html_e('From this set of buttons, only one can be active. If you’ve set up options related to an inactive button, those options will not be applied.', 'sstxtdomain'); ?></div>
                        <div class="tooltip-icon">?</div>
                      </span>
                      <div class="ss-radio-wrap">
                        <input type="radio" id="lazy_image_placeholder_gray" name="imagesPlaceholderRadio" value="lazy_image_placeholder_gray" data-show-container="show_lazy_image_placeholder_gray" <?php checked('lazy_image_placeholder_gray', $imagesPlaceholderRadio); ?>>
                        <label for="lazy_image_placeholder_gray" class="ss-radio-label"><?php esc_html_e('Gray Placeholder', 'sstxtdomain'); ?></label>

                        <input type="radio" id="lazy_image_placeholder_low_rez" name="imagesPlaceholderRadio" value="lazy_image_placeholder_low_rez" data-show-container="show_lazy_image_placeholder_low_rez" <?php checked('lazy_image_placeholder_low_rez', $imagesPlaceholderRadio); ?>>
                        <label for="lazy_image_placeholder_low_rez" class="ss-radio-label"><?php esc_html_e('Low-Rez Thumbnail', 'sstxtdomain'); ?></label>

                        <input type="radio" id="lazy_image_placeholder_none" name="imagesPlaceholderRadio" value="lazy_image_placeholder_none" data-show-container="show_lazy_image_placeholder_none" <?php checked('lazy_image_placeholder_none', $imagesPlaceholderRadio); ?>>
                        <label for="lazy_image_placeholder_none" class="ss-radio-label"><?php esc_html_e('No Placeholder', 'sstxtdomain'); ?></label>
                      </div>
                      <div class="text-container" id="show_lazy_image_placeholder_gray">
                        <div class="wrap-selecor-textareas">
                          <div class="text-container">
                            <div class="tooltip-option-text">
                              <span class="tooltip-wrap">
                                <div class="tooltip"><?php esc_html_e('Enable this option to exclude specific elements based on their CSS class. In the textarea, enter the unique class of each element you want to exclude, with one class per line.', 'sstxtdomain'); ?></div>
                                <div class="tooltip-icon">?</div>
                              </span>
                              <input type="checkbox" class="ss-checkbox" name="lazy_img_placeholder_exclude_selector" id="lazy_img_placeholder_exclude_selector" value="1" <?php echo get_option('lazy_img_placeholder_exclude_selector') === '1' ? 'checked' : ''; ?>>
                              <label for="lazy_img_placeholder_exclude_selector" class="ss-checkbox-label"><?php esc_html_e('Exclude gray placeholder by class', 'sstxtdomain'); ?></label>
                            </div>
                            <div class="wrap-ta-and-btn">
                              <textarea class="cbx-dependant" name="lazy_img_placeholder_exclude_selector_textarea" id="lazy_img_placeholder_exclude_selector_textarea"><?php echo esc_textarea(get_option('lazy_img_placeholder_exclude_selector_textarea')); ?></textarea>
                              <div class="wrap-ta-expander">
                                <?php echo $toggle_textarea_height; ?>
                              </div>
                            </div>
                          </div>
                          <div class="text-container">
                            <div class="tooltip-option-text">
                              <span class="tooltip-wrap right">
                                <div class="tooltip"><?php esc_html_e('Select this option to enable the textarea below. Some elements don’t have a class, or a unique class, and you may be unable to assign a class to the element. If the parent element does have a unique class, or you are only able to add a unique class to the parent, then use this option. By adding the class of the parent element to the textarea, you will be excluding all child elements inside the parent. When excluding children from multiple parents, place each class on a new line.', 'sstxtdomain'); ?></div>
                                <div class="tooltip-icon">?</div>
                              </span>
                              <input type="checkbox" class="ss-checkbox" name="lazy_img_placeholder_exclude_parent_selector" id="lazy_img_placeholder_exclude_parent_selector" value="1" <?php echo get_option('lazy_img_placeholder_exclude_parent_selector') === '1' ? 'checked' : ''; ?>>
                              <label for="lazy_img_placeholder_exclude_parent_selector" class="ss-checkbox-label"><?php esc_html_e('Exclude gray placeholder by parent class', 'sstxtdomain'); ?></label>
                            </div>
                            <div class="wrap-ta-and-btn">
                              <textarea class="cbx-dependant" name="lazy_img_placeholder_exclude_parent_selector_textarea" id="lazy_img_placeholder_exclude_parent_selector_textarea"><?php echo esc_textarea(get_option('lazy_img_placeholder_exclude_parent_selector_textarea')); ?></textarea>
                              <div class="wrap-ta-expander">
                                <?php echo $toggle_textarea_height; ?>
                              </div>
                            </div>
                          </div>
                        </div>
                      </div>
                      <div class="text-container" id="show_lazy_image_placeholder_low_rez">
                        <div class="wrap-selecor-textareas">
                          <div class="text-container">
                            <div class="tooltip-option-text">
                              <span class="tooltip-wrap">
                                <div class="tooltip"><?php esc_html_e('Enable this option to exclude specific elements based on their CSS class. In the textarea, enter the unique class of each element you want to exclude, with one class per line.', 'sstxtdomain'); ?></div>
                                <div class="tooltip-icon">?</div>
                              </span>
                              <input type="checkbox" class="ss-checkbox" name="img_load_smallest_thumbnail_exclude_selector" id="img_load_smallest_thumbnail_exclude_selector" value="1" <?php echo get_option('img_load_smallest_thumbnail_exclude_selector') === '1' ? 'checked' : ''; ?>>
                              <label for="img_load_smallest_thumbnail_exclude_selector" class="ss-checkbox-label"><?php esc_html_e('Exclude low-rez placeholder by class', 'sstxtdomain'); ?></label>
                            </div>
                            <div class="wrap-ta-and-btn">
                              <textarea class="cbx-dependant" name="img_load_smallest_thumbnail_exclude_selector_textarea" id="img_load_smallest_thumbnail_exclude_selector_textarea"><?php echo esc_textarea(get_option('img_load_smallest_thumbnail_exclude_selector_textarea')); ?></textarea>
                              <div class="wrap-ta-expander">
                                <?php echo $toggle_textarea_height; ?>
                              </div>
                            </div>
                          </div>
                          <div class="text-container">
                            <div class="tooltip-option-text">
                              <span class="tooltip-wrap right">
                                <div class="tooltip"><?php esc_html_e('Select this option to enable the textarea below. Some elements don’t have a class, or a unique class, and you may be unable to assign a class to the element. If the parent element does have a unique class, or you are only able to add a unique class to the parent, then use this option. By adding the class of the parent element to the textarea, you will be excluding all child elements inside the parent. When excluding children from multiple parents, place each class on a new line.', 'sstxtdomain'); ?></div>
                                <div class="tooltip-icon">?</div>
                              </span>
                              <input type="checkbox" class="ss-checkbox" name="img_load_smallest_thumbnail_exclude_parent_selector" id="img_load_smallest_thumbnail_exclude_parent_selector" value="1" <?php echo get_option('img_load_smallest_thumbnail_exclude_parent_selector') === '1' ? 'checked' : ''; ?>>
                              <label for="img_load_smallest_thumbnail_exclude_parent_selector" class="ss-checkbox-label"><?php esc_html_e('Exclude low-rez placeholder by parent class', 'sstxtdomain'); ?></label>
                            </div>
                            <div class="wrap-ta-and-btn">
                              <textarea class="cbx-dependant" name="img_load_smallest_thumbnail_exclude_parent_selector_textarea" id="img_load_smallest_thumbnail_exclude_parent_selector_textarea"><?php echo esc_textarea(get_option('img_load_smallest_thumbnail_exclude_parent_selector_textarea')); ?></textarea>
                              <div class="wrap-ta-expander">
                                <?php echo $toggle_textarea_height; ?>
                              </div>
                            </div>
                          </div>
                        </div>
                      </div>

                      <div class="text-container" id="show_lazy_image_placeholder_none">

                      </div>
                    </div>

                    <div class="option-label lower"><?php esc_html_e('For the fade-in effect to work, you have to select the option: "No Placeholder".', 'sstxtdomain'); ?></div>

                    <span class="cbx-numeric-label-wrp">
                      <span class="tooltip-wrap">
                        <div class="tooltip"><?php esc_html_e('This option allows you to apply a fade-in animation to images that have been set to use "No Placeholder" from the set of three buttons above. When enabled, the image will smoothly fade into view once it has been loaded by the browser, creating a visually appealing transition effect. You can customize the duration of the fade-in animation by specifying the number of seconds it should last.', 'sstxtdomain'); ?></div>
                        <div class="tooltip-icon">?</div>
                      </span>
                      <input type="checkbox" class="ss-checkbox" name="lazy_img_fadein" id="lazy_img_fadein" value="1" <?php echo get_option('lazy_img_fadein') === '1' ? 'checked' : ''; ?>>
                      <label for="lazy_img_fadein" class="ss-checkbox-label"><?php esc_html_e('Fade in for', 'sstxtdomain'); ?></label>
                      <?php
                      // Fetch the current stored value for fade-in duration
                      $current_fadein_value = get_option('lazy_img_fadein_duration', '1'); // Default to '1' if not set
                      ?>
                      <select name="lazy_img_fadein_duration" id="lazy_img_fadein_duration">
                        <?php
                        $fadeIn_bg_durations = array(0.3, 0.4, 0.5, 0.6, 0.7, 0.8, 0.9, 1, 1.25, 1.5, 2, 2.5, 3);
                        foreach ($fadeIn_bg_durations as $duration) :
                        ?>
                          <option value="<?php echo $duration; ?>" <?php selected($current_fadein_value, (string)$duration); ?>><?php echo $duration; ?></option>
                        <?php endforeach; ?>
                      </select>
                      <div class="option-label"><?php esc_html_e('seconds', 'sstxtdomain'); ?></div>
                    </span>

                    <div class="wrap-selecor-textareas">
                      <div class="text-container">
                        <div class="tooltip-option-text">
                          <span class="tooltip-wrap">
                            <div class="tooltip"><?php esc_html_e('Enable this option to exclude specific elements based on their CSS class. In the textarea, enter the unique class of each element you want to exclude, with one class per line.', 'sstxtdomain'); ?></div>
                            <div class="tooltip-icon">?</div>
                          </span>
                          <input type="checkbox" class="ss-checkbox" name="lazy_img_fadein_exclude_selector" id="lazy_img_fadein_exclude_selector" value="1" <?php echo get_option('lazy_img_fadein_exclude_selector') === '1' ? 'checked' : ''; ?>>
                          <label for="lazy_img_fadein_exclude_selector" class="ss-checkbox-label"><?php esc_html_e('Exclude fade-in by class', 'sstxtdomain'); ?></label>
                        </div>
                        <div class="wrap-ta-and-btn">
                          <textarea class="cbx-dependant" name="lazy_img_fadein_exclude_selector_textarea" id="lazy_img_fadein_exclude_selector_textarea"><?php echo esc_textarea(get_option('lazy_img_fadein_exclude_selector_textarea')); ?></textarea>
                          <div class="wrap-ta-expander">
                            <?php echo $toggle_textarea_height; ?>
                          </div>
                        </div>
                      </div>
                      <div class="text-container">
                        <div class="tooltip-option-text">
                          <span class="tooltip-wrap right">
                            <div class="tooltip"><?php esc_html_e('Select this option to enable the textarea below. Some elements don’t have a class, or a unique class, and you may be unable to assign a class to the element. If the parent element does have a unique class, or you are only able to add a unique class to the parent, then use this option. By adding the class of the parent element to the textarea, you will be excluding all child elements inside the parent. When excluding children from multiple parents, place each class on a new line.', 'sstxtdomain'); ?></div>
                            <div class="tooltip-icon">?</div>
                          </span>
                          <input type="checkbox" class="ss-checkbox" name="lazy_img_fadein_exclude_parent_selector" id="lazy_img_fadein_exclude_parent_selector" value="1" <?php echo get_option('lazy_img_fadein_exclude_parent_selector') === '1' ? 'checked' : ''; ?>>
                          <label for="lazy_img_fadein_exclude_parent_selector" class="ss-checkbox-label"><?php esc_html_e('Exclude fade-in by parent class', 'sstxtdomain'); ?></label>
                        </div>
                        <div class="wrap-ta-and-btn">
                          <textarea class="cbx-dependant" name="lazy_img_fadein_exclude_parent_selector_textarea" id="lazy_img_fadein_exclude_parent_selector_textarea"><?php echo esc_textarea(get_option('lazy_img_fadein_exclude_parent_selector_textarea')); ?></textarea>
                          <div class="wrap-ta-expander">
                            <?php echo $toggle_textarea_height; ?>
                          </div>
                        </div>
                      </div>
                    </div>

                  </div>
                </div>

                <div class="inner-section">
                  <div class="inner-section-tooltip">
                    <span class="tooltip-wrap">
                      <div class="tooltip"><?php esc_html_e('This is a much better solution than the HTML attribute ‘srcset’. The native browser solution,  ‘srcset’, looks only at screen pixel density, and will load the largest image on a 4K screen, even if it’s a mobile device. Also, it doesn’t take into account the size of the image, and may load the full size, for an image that is 10px wide. The SuperSpeed plugin, however, will use CSS pixels to measure the actual height and with of each image on the screen. Then, it will use the thumbnail that has the appropriate size. Each image will look sharp enough, but is not larger or heavier than it needs to be.  The plugin creates custom thumbnail sizes for newly uploaded images. To create these custom thumbnails for existing, old images, use the plugin "Force Regenerate Thumbnails".', 'sstxtdomain'); ?></div>
                      <div class="tooltip-icon">?</div>
                    </span>
                    <input type="checkbox" class="ss-checkbox inner-section-input" name="image_auto_set_thumbnails" id="image_auto_set_thumbnails" value="1" <?php echo get_option('image_auto_set_thumbnails') === '1' ? 'checked' : ''; ?>>
                    <label for="image_auto_set_thumbnails" class="ss-checkbox-label inner-section-enable"><?php esc_html_e('Automatically set optimal thumbnails, based on the size of each image on the screen', 'sstxtdomain'); ?></label>
                  </div>

                  <div class="inner-section-active">
                    <div class="">
                      <span class="tooltip-wrap">
                        <div class="tooltip"><?php esc_html_e('When this option is enabled, an information container will be added to the page, just below the admin bar. This element is static, and will not stick to the stop of the page as you scroll. You will see a blue, full-with element, with text on the left "SuperSpeed Page Info". Click the element to expand it. Once expanded, you will see the information. This information container is only visible to users with Editor permissions, such as editor and admin.', 'sstxtdomain'); ?></div>
                        <div class="tooltip-icon">?</div>
                      </span>
                      <input type="checkbox" class="ss-checkbox" name="image_auto_set_thumbs_info" id="image_auto_set_thumbs_info" value="1" <?php echo get_option('image_auto_set_thumbs_info') === '1' ? 'checked' : ''; ?>>
                      <label for="image_auto_set_thumbs_info" class="ss-checkbox-label"><?php esc_html_e('For testing, print pixel density and image info on the page', 'sstxtdomain'); ?></label>
                    </div>

                    <div class="wrap-selecor-textareas">
                      <div class="text-container">
                        <div class="tooltip-option-text">
                          <span class="tooltip-wrap">
                            <div class="tooltip"><?php esc_html_e('Enable this option to exclude specific elements based on their CSS class. In the textarea, enter the unique class of each element you want to exclude, with one class per line.', 'sstxtdomain'); ?></div>
                            <div class="tooltip-icon">?</div>
                          </span>
                          <input type="checkbox" class="ss-checkbox" name="image_auto_set_exclude_selector" id="image_auto_set_exclude_selector" value="1" <?php echo get_option('image_auto_set_exclude_selector') === '1' ? 'checked' : ''; ?>>
                          <label for="image_auto_set_exclude_selector" class="ss-checkbox-label"><?php esc_html_e('Exclude auto-set thumbnails by class', 'sstxtdomain'); ?></label>
                        </div>
                        <div class="wrap-ta-and-btn">
                          <textarea class="cbx-dependant" name="image_auto_set_exclude_selector_textarea" id="image_auto_set_exclude_selector_textarea"><?php echo esc_textarea(get_option('image_auto_set_exclude_selector_textarea')); ?></textarea>
                          <div class="wrap-ta-expander">
                            <?php echo $toggle_textarea_height; ?>
                          </div>
                        </div>
                      </div>

                      <div class="text-container">
                        <div class="tooltip-option-text">
                          <span class="tooltip-wrap right">
                            <div class="tooltip"><?php esc_html_e('Select this option to enable the textarea below. Some elements don’t have a class, or a unique class, and you may be unable to assign a class to the element. If the parent element does have a unique class, or you are only able to add a unique class to the parent, then use this option. By adding the class of the parent element to the textarea, you will be excluding all child elements inside the parent. When excluding children from multiple parents, place each class on a new line.', 'sstxtdomain'); ?></div>
                            <div class="tooltip-icon">?</div>
                          </span>
                          <input type="checkbox" class="ss-checkbox" name="image_auto_set_exclude_parent_selector" id="image_auto_set_exclude_parent_selector" value="1" <?php echo get_option('image_auto_set_exclude_parent_selector') === '1' ? 'checked' : ''; ?>>
                          <label for="image_auto_set_exclude_parent_selector" class="ss-checkbox-label"><?php esc_html_e('Exclude auto-set thumbnails by parent class', 'sstxtdomain'); ?></label>
                        </div>
                        <div class="wrap-ta-and-btn">
                          <textarea class="cbx-dependant" name="image_auto_set_exclude_parent_selector_textarea" id="image_auto_set_exclude_parent_selector_textarea"><?php echo esc_textarea(get_option('image_auto_set_exclude_parent_selector_textarea')); ?></textarea>
                          <div class="wrap-ta-expander">
                            <?php echo $toggle_textarea_height; ?>
                          </div>
                        </div>
                      </div>
                    </div>

                    <div class="option-label lower"><?php echo nl2br(wp_kses(__('To use the screen&rsquo;s native pixel density, leave the options below unchecked.
Mobile devices usually have a higher pixel density screens.', 'sstxtdomain'), array())); ?></div>
                    <div class="inline-elements">
                      <span class="tooltip-wrap">
                        <div class="tooltip"><?php esc_html_e('This option will set a fixed pixel density. Both high and low resolution screens will receive the same thumbnail, based on the dimensions of the image on the screen. If high resolution is not important for your website, you may lower the pixel density to gain performance and reduce bandwidth. If the images do not look sharp enough, you can raise the pixel density value.', 'sstxtdomain'); ?></div>
                        <div class="tooltip-icon">?</div>
                      </span>
                      <input type="checkbox" class="ss-checkbox" name="image_custom_pixel_density_desktop" id="image_custom_pixel_density_desktop" value="1" <?php echo get_option('image_custom_pixel_density_desktop') === '1' ? 'checked' : ''; ?>>
                      <label for="image_custom_pixel_density_desktop" class="ss-checkbox-label"></label>
                      <span class="cbx-numeric-label-wrp">
                        <?php
                        // Fetch the current stored value
                        $current_value = get_option('image_auto_set_fixed_pixels_desktop', '1.5'); // Default
                        ?>
                        <select name="image_auto_set_fixed_pixels_desktop" id="image_auto_set_fixed_pixels_desktop">
                          <?php for ($i = 1; $i <= 4; $i += 0.25) : ?>
                            <option value="<?php echo $i; ?>" <?php selected($current_value, (string)$i); ?>><?php echo $i; ?></option>
                          <?php endfor; ?>
                        </select>
                      </span>
                      <span class="option-label"><?php echo wp_kses(__('Set a custom screen pixel density for <strong>desktop</strong>. Default is 1.5.', 'sstxtdomain'), array('strong' => array())); ?></span>
                    </div>
                    <div class="inline-elements">
                      <span class="tooltip-wrap">
                        <div class="tooltip"><?php esc_html_e('This option will set a fixed pixel density. Both high and low resolution screens will receive the same thumbnail, based on the dimensions of the image on the screen. If high resolution is not important for your website, you may lower the pixel density to gain performance and reduce bandwidth. If the images do not look sharp enough, you can raise the pixel density value.', 'sstxtdomain'); ?></div>
                        <div class="tooltip-icon">?</div>
                      </span>
                      <input type="checkbox" class="ss-checkbox" name="image_custom_pixel_density_tablet" id="image_custom_pixel_density_tablet" value="1" <?php echo get_option('image_custom_pixel_density_tablet') === '1' ? 'checked' : ''; ?>>
                      <label for="image_custom_pixel_density_tablet" class="ss-checkbox-label"></label>
                      <span class="cbx-numeric-label-wrp">
                        <?php
                        // Fetch the current stored value
                        $current_value = get_option('image_auto_set_fixed_pixels_tablet', '2'); // Default
                        ?>
                        <select name="image_auto_set_fixed_pixels_tablet" id="image_auto_set_fixed_pixels_tablet">
                          <?php for ($i = 1; $i <= 4; $i += 0.25) : ?>
                            <option value="<?php echo $i; ?>" <?php selected($current_value, (string)$i); ?>><?php echo $i; ?></option>
                          <?php endfor; ?>
                        </select>
                      </span>
                      <span class="option-label"><?php echo wp_kses(__('Set a custom screen pixel density for <strong>tablet</strong>. Default is 2.', 'sstxtdomain'), array('strong' => array())); ?></span>

                    </div>

                    <div class="inline-elements">
                      <span class="tooltip-wrap">
                        <div class="tooltip"><?php esc_html_e('This option will set a fixed pixel density. Both high and low resolution screens will receive the same thumbnail, based on the dimensions of the image on the screen. If high resolution is not important for your website, you may lower the pixel density to gain performance and reduce bandwidth. If the images do not look sharp enough, you can raise the pixel density value.', 'sstxtdomain'); ?></div>
                        <div class="tooltip-icon">?</div>
                      </span>
                      <input type="checkbox" class="ss-checkbox" name="image_custom_pixel_density_mobile" id="image_custom_pixel_density_mobile" value="1" <?php echo get_option('image_custom_pixel_density_mobile') === '1' ? 'checked' : ''; ?>>
                      <label for="image_custom_pixel_density_mobile" class="ss-checkbox-label"></label>
                      <span class="cbx-numeric-label-wrp">
                        <?php
                        // Fetch the current stored value
                        $current_value = get_option('image_auto_set_fixed_pixels_mobile', '2.5'); // Default
                        ?>
                        <select name="image_auto_set_fixed_pixels_mobile" id="image_auto_set_fixed_pixels_mobile">
                          <?php for ($i = 1; $i <= 4; $i += 0.25) : ?>
                            <option value="<?php echo $i; ?>" <?php selected($current_value, (string)$i); ?>><?php echo $i; ?></option>
                          <?php endfor; ?>
                        </select>
                      </span>
                      <span class="option-label"><?php echo wp_kses(__('Set a custom screen pixel density for <strong>mobile</strong>. Default is 2.5.', 'sstxtdomain'), array('strong' => array())); ?></span>
                    </div>
                  </div>
                </div>

                <div class="inner-section">
                  <div class="inner-section-tooltip">
                    <span class="tooltip-wrap">
                      <div class="tooltip"><?php esc_html_e('Enable preloading of a specific number of <img> tag images starting from the top of the page. You may use the option "Visually mark preloaded images" to see if the right images are being preloaded. SVG images cannot be preloaded, and are skipped, when counting from the top of the page. Also, if images are preloaded by other options from this plugin, they are skipped and not counted.', 'sstxtdomain'); ?></div>
                      <div class="tooltip-icon">?</div>
                    </span>
                    <input type="checkbox" class="ss-checkbox inner-section-input" name="lazy_img_preload_first_enable" id="lazy_img_preload_first_enable" value="1" <?php echo get_option('lazy_img_preload_first_enable') === '1' ? 'checked' : ''; ?>>
                    <label for="lazy_img_preload_first_enable" class="ss-checkbox-label inner-section-enable"><?php esc_html_e('Preload images from the top of the page', 'sstxtdomain'); ?></label>
                  </div>

                  <div class="inner-section-active">

                    <span class="cbx-numeric-label-wrp">
                      <?php
                      // Fetch the current stored value
                      $current_value = get_option('lazy_img_preload_first_x_select', '3'); // Default to '3' if not set
                      ?>
                      <select name="lazy_img_preload_first_x_select" id="lazy_img_preload_first_x_select">
                        <?php for ($i = 1; $i <= 5; $i += 1) : ?>
                          <option value="<?php echo $i; ?>" <?php selected($current_value, (string)$i); ?>><?php echo $i; ?></option>
                        <?php endfor; ?>
                      </select>
                      <div class="option-label"><?php esc_html_e('Number of images to preload from the top of the page', 'sstxtdomain'); ?></div>
                    </span>

                    <div class="wrap-selecor-textareas">
                      <div class="text-container">
                        <div class="tooltip-option-text">
                          <span class="tooltip-wrap">
                            <div class="tooltip"><?php esc_html_e('Enable this option to exclude specific elements based on their CSS class. In the textarea, enter the unique class of each element you want to exclude, with one class per line.', 'sstxtdomain'); ?></div>
                            <div class="tooltip-icon">?</div>
                          </span>
                          <input type="checkbox" class="ss-checkbox" name="img_first_x_exlude_selector" id="img_first_x_exlude_selector" value="1" <?php echo get_option('img_first_x_exlude_selector') === '1' ? 'checked' : ''; ?>>
                          <label for="img_first_x_exlude_selector" class="ss-checkbox-label"><?php esc_html_e('Exclude by class', 'sstxtdomain'); ?></label>
                        </div>
                        <div class="wrap-ta-and-btn">
                          <textarea class="cbx-dependant" name="img_first_x_exlude_selector_textarea" id="img_first_x_exlude_selector_textarea"><?php echo esc_textarea(get_option('img_first_x_exlude_selector_textarea')); ?></textarea>
                          <div class="wrap-ta-expander">
                            <?php echo $toggle_textarea_height; ?>
                          </div>
                        </div>
                      </div>
                      <div class="text-container">
                        <div class="tooltip-option-text">
                          <span class="tooltip-wrap right">
                            <div class="tooltip"><?php esc_html_e('Select this option to enable the textarea below. Some elements don’t have a class, or a unique class, and you may be unable to assign a class to the element. If the parent element does have a unique class, or you are only able to add a unique class to the parent, then use this option. By adding the class of the parent element to the textarea, you will be excluding all child elements inside the parent. When excluding children from multiple parents, place each class on a new line.', 'sstxtdomain'); ?></div>
                            <div class="tooltip-icon">?</div>
                          </span>
                          <input type="checkbox" class="ss-checkbox" name="img_first_x_exlude_parent_selector" id="img_first_x_exlude_parent_selector" value="1" <?php echo get_option('img_first_x_exlude_parent_selector') === '1' ? 'checked' : ''; ?>>
                          <label for="img_first_x_exlude_parent_selector" class="ss-checkbox-label"><?php esc_html_e('Exclude by parent class', 'sstxtdomain'); ?></label>
                        </div>
                        <div class="wrap-ta-and-btn">
                          <textarea class="cbx-dependant" name="img_first_x_exlude_selector_parent_textarea" id="img_first_x_exlude_selector_parent_textarea"><?php echo esc_textarea(get_option('img_first_x_exlude_selector_parent_textarea')); ?></textarea>
                          <div class="wrap-ta-expander">
                            <?php echo $toggle_textarea_height; ?>
                          </div>
                        </div>
                      </div>
                    </div>

                    <div class="radios-and-textboxes">
                      <?php $Radio_img_first_x_select_pages = get_option('img_first_x_select_pages_radio', 'img_first_x_all_pages');
                      ?>
                      <span class="tooltip-wrap">
                        <div class="tooltip"><?php esc_html_e('From this set of buttons, only one can be active. If you’ve set up options related to an inactive button, those options will not be applied.', 'sstxtdomain'); ?></div>
                        <div class="tooltip-icon">?</div>
                      </span>
                      <div class="ss-radio-wrap">
                        <input type="radio" id="img_first_x_all_pages" name="img_first_x_select_pages_radio" value="img_first_x_all_pages" data-show-container="show_img_first_x_all_pages" <?php checked('img_first_x_all_pages', $Radio_img_first_x_select_pages); ?>>
                        <label for="img_first_x_all_pages" class="ss-radio-label"><?php esc_html_e('All pages', 'sstxtdomain'); ?></label>

                        <input type="radio" id="img_first_x_exclude_pages" name="img_first_x_select_pages_radio" value="img_first_x_exclude_pages" data-show-container="show_img_first_x_exclude_pages" <?php checked('img_first_x_exclude_pages', $Radio_img_first_x_select_pages); ?>>
                        <label for="img_first_x_exclude_pages" class="ss-radio-label"><?php esc_html_e('Exclude pages', 'sstxtdomain'); ?></label>

                        <input type="radio" id="img_first_x_include_pages" name="img_first_x_select_pages_radio" value="img_first_x_include_pages" data-show-container="show_img_first_x_include_pages" <?php checked('img_first_x_include_pages', $Radio_img_first_x_select_pages); ?>>
                        <label for="img_first_x_include_pages" class="ss-radio-label"><?php esc_html_e('Include pages', 'sstxtdomain'); ?></label>
                      </div>

                      <div class="text-container" id="show_img_first_x_all_pages"></div>

                      <div class="text-container" id="show_img_first_x_exclude_pages">
                        <div class="tooltip-option-text">
                          <span class="tooltip-wrap">
                            <div class="tooltip"><?php esc_html_e('The Home page URL is just the domain (e.g., ‘https://domain.com‘). The domain is included in every URL on the website. Placing only the domain in the textarea would exclude every page. Using this option to exclude the Home page avoids the issue.', 'sstxtdomain'); ?></div>
                            <div class="tooltip-icon">?</div>
                          </span>
                          <input type="checkbox" class="ss-checkbox" name="lazy_img_exclude_home_cbx" id="lazy_img_exclude_home_cbx" value="1" <?php echo get_option('lazy_img_exclude_home_cbx') === '1' ? 'checked' : ''; ?>>
                          <label for="lazy_img_exclude_home_cbx" class="ss-checkbox-label"><?php esc_html_e('Exclude on Home page', 'sstxtdomain'); ?></label>
                        </div>
                        <span class="tooltip-wrap">
                          <div class="tooltip"><?php esc_html_e('Run the function on all pages, except for the ones specified in the textarea below. Enter the URLs of the pages you want to exclude, with one URL per line. You can use full URLs, such as ’https://domain.com/about-us’, or partial URLs that match a specific page or set of pages, like ’about-us’ or ’/category/blog/’. Partial URLs can be useful for targeting multiple pages with a similar structure or within the same directory.', 'sstxtdomain'); ?></div>
                          <div class="tooltip-icon">?</div>
                        </span>
                        <div class="wrap-ta-and-btn">
                          <textarea name="img_first_x_exlude_pages_textarea" id="img_first_x_exlude_pages_textarea"><?php echo esc_textarea(get_option('img_first_x_exlude_pages_textarea')); ?></textarea>
                          <div class="wrap-ta-expander">
                            <?php echo $toggle_textarea_height; ?>
                          </div>
                        </div>

                      </div>
                      <div class="text-container" id="show_img_first_x_include_pages">
                        <div class="tooltip-option-text">
                          <span class="tooltip-wrap">
                            <div class="tooltip"><?php esc_html_e('The Home page URL is just the domain (e.g., ‘https://domain.com‘). The domain is included in every URL on the website. Placing only the domain in the textarea would include every page. Using this option to include the Home page avoids the issue.', 'sstxtdomain'); ?></div>
                            <div class="tooltip-icon">?</div>
                          </span>
                          <input type="checkbox" class="ss-checkbox" name="lazy_img_include_home_cbx" id="lazy_img_include_home_cbx" value="1" <?php echo get_option('lazy_img_include_home_cbx') === '1' ? 'checked' : ''; ?>>
                          <label for="lazy_img_include_home_cbx" class="ss-checkbox-label"><?php esc_html_e('Include on Home page', 'sstxtdomain'); ?></label>
                        </div>
                        <span class="tooltip-wrap">
                          <div class="tooltip"><?php esc_html_e('Run the function only on the pages specified in the textarea below. Enter the URLs of the pages you want to include, with one URL per line. You can use full URLs, such as ’https://domain.com/about-us’, or partial URLs that match a specific page or set of pages, like ’about-us’ or ’/category/blog/’. Partial URLs can be useful for targeting multiple pages with a similar structure or within the same directory.', 'sstxtdomain'); ?></div>
                          <div class="tooltip-icon">?</div>
                        </span>
                        <div class="wrap-ta-and-btn">
                          <textarea name="img_first_x_include_pages_textarea" id="img_first_x_include_pages_textarea"><?php echo esc_textarea(get_option('img_first_x_include_pages_textarea')); ?></textarea>
                          <div class="wrap-ta-expander">
                            <?php echo $toggle_textarea_height; ?>
                          </div>
                        </div>
                      </div>
                    </div>

                    <!-- Repeater fields start 

                <div id="ss-repeater-fields">
                  <div id="ss-repeater-fields" data-woocommerce-active="<?php echo class_exists('WooCommerce') ? 'true' : 'false'; ?>"></div>
                  <?php
                  // global $wpdb;
                  // $table_name = $wpdb->prefix . 'preload_img_repeater_fields';
                  // $preload_img_repeater_data = $wpdb->get_results("SELECT * FROM {$table_name}", ARRAY_A);

                  // if (!empty($preload_img_repeater_data)) {
                  //   foreach ($preload_img_repeater_data as $key => $data) {
                  //     include 'repeater-field-template.php'; // Move HTML structure to a separate PHP file for a cleaner approach
                  //   }
                  // } else {
                  //   error_log('No data returned from the database for preload_img_repeater_data.');
                  // }
                  ?>
                </div>
                <div class="wrap-preload-img-btn">
                  <button type="button" id="add-preload-img-btn">Add Field</button>
                </div>

                Repeater fields end -->

                  </div>
                </div>

                <div class="inner-section">
                  <div class="inner-section-tooltip">
                    <span class="tooltip-wrap">
                      <div class="tooltip"><?php esc_html_e('The options below allow you to preload images based on their class or their parent element’s class. If multiple images share the same class, only the first one encountered from the top of the page will be preloaded. Similarly, if you specify a parent class, the plugin will preload the first child image within the first parent element that has the specified class.', 'sstxtdomain'); ?></div>
                      <div class="tooltip-icon">?</div>
                    </span>
                    <input type="checkbox" class="ss-checkbox inner-section-input" name="lazy_img_preload_selector_enable" id="lazy_img_preload_selector_enable" value="1" <?php echo get_option('lazy_img_preload_selector_enable') === '1' ? 'checked' : ''; ?>>
                    <label for="lazy_img_preload_selector_enable" class="ss-checkbox-label inner-section-enable"><?php esc_html_e('Preload images by class', 'sstxtdomain'); ?></label>
                  </div>
                  <div class="inner-section-active">

                    <div>
                      <span class="tooltip-wrap">
                        <div class="tooltip"><?php esc_html_e('Enable this option to preload the featured image on each individual blog post page. When activated, the plugin will automatically detect and preload the featured image, eliminating the need to manually specify a class in the textarea below.', 'sstxtdomain'); ?></div>
                        <div class="tooltip-icon">?</div>
                      </span>
                      <input type="checkbox" class="ss-checkbox" name="preload_featured_img_blog" id="preload_featured_img_blog" value="1" <?php echo get_option('preload_featured_img_blog') === '1' ? 'checked' : ''; ?>>
                      <label for="preload_featured_img_blog" class="ss-checkbox-label"><?php esc_html_e('Preload the blog post featured image', 'sstxtdomain'); ?></label>
                    </div>
                    <div>
                      <span class="tooltip-wrap">
                        <div class="tooltip"><?php esc_html_e('Enable this option to preload the featured image on each individual WooCommerce product page. When activated, the plugin will automatically detect and preload the product’s featured image, eliminating the need to manually specify a class in the textarea below.', 'sstxtdomain'); ?></div>
                        <div class="tooltip-icon">?</div>
                      </span>
                      <input type="checkbox" class="ss-checkbox" name="preload_featured_img_product" id="preload_featured_img_product" value="1" <?php echo get_option('preload_featured_img_product') === '1' ? 'checked' : ''; ?>>
                      <label for="preload_featured_img_product" class="ss-checkbox-label"><?php esc_html_e('Preload the WooCommerce featured image', 'sstxtdomain'); ?></label>
                    </div>

                    <!-- CPTs -->

                    <?php
                    // Fetch custom post types, excluding built-in types
                    $args = array(
                      'public'   => true,  // Only include public post types
                      '_builtin' => false  // Exclude built-in post types like 'post' and 'page'
                    );
                    $post_types = get_post_types($args, 'names');

                    // Exclude 'product' post type
                    $post_types = array_diff($post_types, ['product']);

                    if ($post_types) {
                      echo '<div class="option-label">The classes for the featured images of custom post types are:';
                      // Output the remaining custom post types, each on a new line
                      echo '<br>featured_image_' . implode('<br>featured_image_', $post_types);
                      echo '</div>';
                    }
                    ?>

                    <!-- CPTs -->

                    <div class="wrap-selecor-textareas">
                      <div class="text-container">
                        <div class="tooltip-option-text">
                          <span class="tooltip-wrap">
                            <div class="tooltip"><?php esc_html_e('Enable this option to preload specific <img> images based on their CSS class. In the textarea below, enter the class of each image you want to preload, with one class per line. Please note that only the first image with each specified class, as encountered from the top of the page, will be preloaded. If there are multiple images with the same class, subsequent images with that class will not be preloaded.', 'sstxtdomain'); ?></div>
                            <div class="tooltip-icon">?</div>
                          </span>
                          <input type="checkbox" class="ss-checkbox" name="lazy_img_preload_selector" id="lazy_img_preload_selector" value="1" <?php echo get_option('lazy_img_preload_selector') === '1' ? 'checked' : ''; ?>>
                          <label for="lazy_img_preload_selector" class="ss-checkbox-label"><?php esc_html_e('Preload by class', 'sstxtdomain'); ?></label>
                        </div>
                        <div class="wrap-ta-and-btn">
                          <textarea class="cbx-dependant" name="lazy_img_selector_textarea" id="lazy_img_selector_textarea"><?php echo esc_textarea(get_option('lazy_img_selector_textarea')); ?></textarea>
                          <div class="wrap-ta-expander">
                            <?php echo $toggle_textarea_height; ?>
                          </div>
                        </div>
                      </div>
                      <div class="text-container">
                        <div class="tooltip-option-text">
                          <span class="tooltip-wrap right">
                            <div class="tooltip"><?php esc_html_e('Select this option to preload images based on the class of their parent element. This is useful when the <img> elements themselves don’t have a unique class, or you are unable to assign a class directly to the image. By specifying the class of the parent element in the textarea below, you can preload the first child image within each parent element. Enter each parent class on a new line. Please keep in mind that only the first child image within the first occurrence of each specified parent class will be preloaded. Subsequent child images within the same parent class, or child images within other parent elements with the same class, will not be preloaded.', 'sstxtdomain'); ?></div>
                            <div class="tooltip-icon">?</div>
                          </span>
                          <input type="checkbox" class="ss-checkbox" name="lazy_img_preload_parent_selector" id="lazy_img_preload_parent_selector" value="1" <?php echo get_option('lazy_img_preload_parent_selector') === '1' ? 'checked' : ''; ?>>
                          <label for="lazy_img_preload_parent_selector" class="ss-checkbox-label"><?php esc_html_e('Preload by parent class', 'sstxtdomain'); ?></label>
                        </div>
                        <div class="wrap-ta-and-btn">
                          <textarea class="cbx-dependant" name="lazy_img_parent_selector_textarea" id="lazy_img_parent_selector_textarea"><?php echo esc_textarea(get_option('lazy_img_parent_selector_textarea')); ?></textarea>
                          <div class="wrap-ta-expander">
                            <?php echo $toggle_textarea_height; ?>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>

              </div>
            </div>
          </div>
        </div>


        <!-- Background Images -->

        <div class="options-section" id="lazy-load-background">
          <div class="options-group">
            <div class="ss-left-label">
              <h2 class="ss-option-label"><?php esc_html_e('Background Images', 'sstxtdomain'); ?></h2>
            </div>

            <input type="checkbox" class="ss-checkbox" name="lazy_load_background" id="lazy_load_background" value="1" <?php echo get_option('lazy_load_background') === '1' ? 'checked' : ''; ?>>
            <label for="lazy_load_background" class="ss-checkbox-label enable-section">
              <div class="enabled"><?php esc_html_e('Enabled', 'sstxtdomain'); ?></div>
              <div class="disabled"><?php esc_html_e('Disabled', 'sstxtdomain'); ?></div>
            </label>

            <div class="ss-right-contents">

              <div class="disable-opacity">

                <div class="inline-elements">
                  <span class="tooltip-wrap">
                    <div class="tooltip"><?php esc_html_e('No need to look at the source code or use browser inspector tools. When this option is selected, all lazy-loaded background images will have a dashed blue outline. The outline will be mixed with other outlines, if they are enabled, like pink if the image is an LCP, or red if the background image is preloaded. The outline will only be visible for accounts with editing permissions, like editors and administrators.', 'sstxtdomain'); ?></div>
                    <div class="tooltip-icon">?</div>
                  </span>
                  <input type="checkbox" class="ss-checkbox" name="preloaded_bg_lazyloaded_mark" id="preloaded_bg_lazyloaded_mark" value="1" <?php echo get_option('preloaded_bg_lazyloaded_mark') === '1' ? 'checked' : ''; ?>>
                  <label for="preloaded_bg_lazyloaded_mark" class="ss-checkbox-label"><?php esc_html_e('Visually mark lazy-loaded background images', 'sstxtdomain'); ?></label>
                  <span class="img-placeholder-display lazy-load-color"><?php echo $placeholder_svg_display; ?></span>
                </div>

                <a class="needs-image-data" href="#image_data_section">
                  <div class="inline-elements">
                    <span class="tooltip-wrap">
                      <div class="tooltip"><?php esc_html_e('No need to look at the source code or use browser inspector tools. When this option is selected, all lazy-loaded iframes will have a dashed blue outline. The outline will only be visible for accounts with editing permissions, like editors and administrators.', 'sstxtdomain'); ?></div>
                      <div class="tooltip-icon">?</div>
                    </span>
                    <input type="checkbox" class="ss-checkbox" name="preloaded_bg_visually_mark" id="preloaded_bg_visually_mark" value="1" <?php echo get_option('preloaded_bg_visually_mark') === '1' ? 'checked' : ''; ?>>
                    <label for="preloaded_bg_visually_mark" class="ss-checkbox-label"><?php esc_html_e('Visually mark preloaded background images', 'sstxtdomain'); ?></label>
                    <span class="img-placeholder-display preload-color"><?php echo $placeholder_svg_display; ?></span>
                  </div>
                </a>

              </div>

              <div class="disable-opacity">

                <div class="inner-section">
                  <div class="inner-section-tooltip">
                    <span class="tooltip-wrap">
                      <div class="tooltip"><?php esc_html_e('Unlike regular images, background images are added using CSS, and cannot be detected before the CSS is parsed. For this reason, most optimization plugins don’t offer lazy loading for them. However, the SuperSpeed plugin can lazy-load background images. When "Image Data Collecting" is disabled, only basic lazy-loading of background images is available. And, if you enable "Image Data Collecting," you gain access to advanced settings that allow you to choose a placeholder, automatically set the optimal size for each background image, and preload specific images.', 'sstxtdomain'); ?></div>
                      <div class="tooltip-icon">?</div>
                    </span>
                    <input type="checkbox" class="ss-checkbox inner-section-input" name="lazy_background_checkbox" id="lazy_background_checkbox" value="1" <?php echo get_option('lazy_background_checkbox') === '1' ? 'checked' : ''; ?>>
                    <label for="lazy_background_checkbox" class="ss-checkbox-label inner-section-enable"><?php esc_html_e('Lazy load background images', 'sstxtdomain'); ?></label>
                  </div>

                  <a class="inner-section-active needs-image-data" href="#image_data_section">

                    <div class="option-label lower"><?php esc_html_e('Choose a placeholder to display until the background image is loaded:', 'sstxtdomain'); ?></div>
                    <div class="radios-and-textboxes">
                      <span class="tooltip-wrap">
                        <div class="tooltip"><?php esc_html_e('Select the type of placeholder that will be visible to users until the actual background image has been fully loaded, ensuring a smooth visual transition and maintaining the layout of your web page.', 'sstxtdomain'); ?></div>
                        <div class="tooltip-icon">?</div>
                      </span>
                      <div class="ss-radio-wrap">
                        <?php $Radio_back_img_placeholder = get_option('back_img_placeholder_radio', 'back_img_placeholder_gray');
                        ?>
                        <input type="radio" id="back_img_placeholder_gray" name="back_img_placeholder_radio" value="back_img_placeholder_gray" <?php checked('back_img_placeholder_gray', $Radio_back_img_placeholder); ?>>
                        <label for="back_img_placeholder_gray" class="ss-radio-label"><?php esc_html_e('Gray Placeholder', 'sstxtdomain'); ?></label>

                        <input type="radio" id="back_img_placeholder_thumbnail" name="back_img_placeholder_radio" value="back_img_placeholder_thumbnail" <?php checked('back_img_placeholder_thumbnail', $Radio_back_img_placeholder); ?>>
                        <label for="back_img_placeholder_thumbnail" class="ss-radio-label"><?php esc_html_e('Low-rez Thumbnail', 'sstxtdomain'); ?></label>

                        <input type="radio" id="back_img_placeholder_none" name="back_img_placeholder_radio" value="back_img_placeholder_none" <?php checked('back_img_placeholder_none', $Radio_back_img_placeholder); ?>>
                        <label for="back_img_placeholder_none" class="ss-radio-label"><?php esc_html_e('No Placeholder', 'sstxtdomain'); ?></label>
                      </div>
                    </div>

                    <span class="cbx-numeric-label-wrp">
                      <span class="tooltip-wrap">
                        <div class="tooltip"><?php esc_html_e('This option allows you to apply a fade-in animation to background images that have been set to use "No Placeholder" from the set of three buttons above. When enabled, the background image will smoothly fade into view once it has been loaded by the browser, creating a visually appealing transition effect. You can customize the duration of the fade-in animation by specifying the number of seconds it should last. This setting only applies to elements that don’t have child elements nested within them, ensuring that the fade-in effect doesn’t interfere with the visibility of any content inside the element.', 'sstxtdomain'); ?></div>
                        <div class="tooltip-icon">?</div>
                      </span>
                      <input type="checkbox" class="ss-checkbox" name="lazy_bg_fadein" id="lazy_bg_fadein" value="1" <?php echo get_option('lazy_bg_fadein') === '1' ? 'checked' : ''; ?>>
                      <label for="lazy_bg_fadein" class="ss-checkbox-label"><?php esc_html_e('Fade in for', 'sstxtdomain'); ?></label>
                      <?php
                      // Fetch the current stored value for fade-in duration
                      $current_bg_fadein_value = get_option('lazy_bg_fadein_duration', '3'); // Default to '3' if not set
                      ?>
                      <select name="lazy_bg_fadein_duration" id="lazy_bg_fadein_duration">
                        <?php
                        $durations_bg = array(0.3, 0.4, 0.5, 0.6, 0.7, 0.8, 0.9, 1, 1.25, 1.5, 2, 2.5, 3);
                        foreach ($durations_bg as $duration) :
                        ?>
                          <option value="<?php echo $duration; ?>" <?php selected($current_bg_fadein_value, (string)$duration); ?>><?php echo $duration; ?></option>
                        <?php endforeach; ?>
                      </select>
                      <div class="option-label"><?php esc_html_e('seconds, if the element doesn&#39;t have children, and is set to "No Placeholder"', 'sstxtdomain'); ?></div>
                    </span>


                    <div class="">
                      <span class="tooltip-wrap">
                        <div class="tooltip"><?php esc_html_e('The Home page URL is just the domain (e.g., ‘https://domain.com‘). The domain is included in every URL on the website. Placing only the domain in the textarea would exclude every page. Using this option to exclude the Home page avoids the issue.', 'sstxtdomain'); ?></div>
                        <div class="tooltip-icon">?</div>
                      </span>
                      <input type="checkbox" class="ss-checkbox" name="lazy_background_exclude_home" id="lazy_background_exclude_home" value="1" <?php echo get_option('lazy_background_exclude_home') === '1' ? 'checked' : ''; ?>>
                      <label for="lazy_background_exclude_home" class="ss-checkbox-label"><?php esc_html_e('Exclude lazy loading background images on the Home page', 'sstxtdomain'); ?></label>
                    </div>

                    <div class="text-container">
                      <div class="tooltip-option-text">
                        <span class="tooltip-wrap">
                          <div class="tooltip"><?php esc_html_e('Enable this option to exclude specific pages. In the textarea, enter the URLs of the pages you want to exclude, with one URL per line. You can use full URLs, such as ’https://domain.com/about-us’, or partial URLs that match a specific page or set of pages, like ’/about-us’ or ’category/blog’. Partial URLs can be useful for targeting multiple pages with a similar structure or within the same directory.', 'sstxtdomain'); ?></div>
                          <div class="tooltip-icon">?</div>
                        </span>
                        <input type="checkbox" class="ss-checkbox" name="lazy_background_exclude_pages_cbx" id="lazy_background_exclude_pages_cbx" value="1" <?php echo get_option('lazy_background_exclude_pages_cbx') === '1' ? 'checked' : ''; ?>>
                        <label for="lazy_background_exclude_pages_cbx" class="ss-checkbox-label"><?php esc_html_e('Exclude lazy loading background images on these pages:', 'sstxtdomain'); ?></label>
                      </div>
                      <div class="wrap-ta-and-btn">
                        <textarea class="cbx-dependant" name="lazy_background_exclude_pages_textarea" id="lazy_background_exclude_pages_textarea"><?php echo esc_textarea(get_option('lazy_background_exclude_pages_textarea')); ?></textarea>
                        <div class="wrap-ta-expander">
                          <?php echo $toggle_textarea_height; ?>
                        </div>
                      </div>
                    </div>

                    <div class="wrap-selecor-textareas">
                      <div class="text-container  ">
                        <div class="tooltip-option-text">
                          <span class="tooltip-wrap">
                            <div class="tooltip"><?php esc_html_e('Enable this option to exclude specific elements based on their CSS class. In the textarea, enter the unique class of each element you want to exclude, with one class per line.', 'sstxtdomain'); ?></div>
                            <div class="tooltip-icon">?</div>
                          </span>
                          <input type="checkbox" class="ss-checkbox" name="lazy_background_exclude_selector" id="lazy_background_exclude_selector" value="1" <?php echo get_option('lazy_background_exclude_selector') === '1' ? 'checked' : ''; ?>>
                          <label for="lazy_background_exclude_selector" class="ss-checkbox-label"><?php esc_html_e('Exclude background image by class', 'sstxtdomain'); ?></label>
                        </div>
                        <div class="wrap-ta-and-btn">
                          <textarea class="cbx-dependant" name="lazy_background_exclude_selector_textarea" id="lazy_background_exclude_selector_textarea"><?php echo esc_textarea(get_option('lazy_background_exclude_selector_textarea')); ?></textarea>
                          <div class="wrap-ta-expander">
                            <?php echo $toggle_textarea_height; ?>
                          </div>
                        </div>
                      </div>
                      <div class="text-container">
                        <div class="tooltip-option-text">
                          <span class="tooltip-wrap right">
                            <div class="tooltip"><?php esc_html_e('Select this option to enable the textarea below. Some elements don’t have a class, or a unique class, and you may be unable to assign a class to the element. If the parent element does have a unique class, or you are only able to add a unique class to the parent, then use this option. By adding the class of the parent element to the textarea, you will be excluding all child elements inside the parent. When excluding children from multiple parents, place each class on a new line.', 'sstxtdomain'); ?></div>
                            <div class="tooltip-icon">?</div>
                          </span>
                          <input type="checkbox" class="ss-checkbox" name="lazy_background_exclude_parent_selector" id="lazy_background_exclude_parent_selector" value="1" <?php echo get_option('lazy_background_exclude_parent_selector') === '1' ? 'checked' : ''; ?>>
                          <label for="lazy_background_exclude_parent_selector" class="ss-checkbox-label"><?php esc_html_e('Exclude background image by parent class', 'sstxtdomain'); ?></label>
                        </div>
                        <div class="wrap-ta-and-btn">
                          <textarea class="cbx-dependant" name="lazy_background_exclude_parent_selector_textarea" id="lazy_background_exclude_parent_selector_textarea"><?php echo esc_textarea(get_option('lazy_background_exclude_parent_selector_textarea')); ?></textarea>
                          <div class="wrap-ta-expander">
                            <?php echo $toggle_textarea_height; ?>
                          </div>
                        </div>
                      </div>
                    </div>
                  </a>
                </div>

                <a class="inner-section needs-image-data" href="#image_data_section">
                  <div class="inner-section-tooltip">
                    <span class="tooltip-wrap">
                      <div class="tooltip"><?php esc_html_e('Improve the performance and user experience of your website by serving optimized background images that strike a balance between visual quality and file size. Each image will look sharp enough, but will not be larger or heavier than it needs to be. Similar to the regular <img> images, the SuperSpeed plugin creates a custom ‘srcset’ attribute. The value of the attribute holds information about which thumbnail to use, based on the determined width and height of the element with the background image. The plugin creates custom thumbnail sizes for newly uploaded images. To create these custom thumbnails for existing, old images, use the plugin "Force Regenerate Thumbnails".', 'sstxtdomain'); ?></div>
                      <div class="tooltip-icon">?</div>
                    </span>
                    <input type="checkbox" class="ss-checkbox inner-section-input" name="background_auto_set_thumbnails" id="background_auto_set_thumbnails" value="1" <?php echo get_option('background_auto_set_thumbnails') === '1' ? 'checked' : ''; ?>>
                    <label for="background_auto_set_thumbnails" class="ss-checkbox-label inner-section-enable"><?php esc_html_e('Automatically set optimal background image thumbnails based on the size of each element on the screen', 'sstxtdomain'); ?></label>
                  </div>
                  <div class="inner-section-active">
                    <div class="">
                      <span class="tooltip-wrap">
                        <div class="tooltip"><?php esc_html_e('When this option is enabled, an information container will be added to the page, just below the admin bar. This element is static, and will not stick to the stop of the page as you scroll. You will see a blue, full-with element, with text on the left "SuperSpeed Page Info". Click the element to expand it. Once expanded, you will see the information. This information container is only visible to users with Editor permissions, such as editor and admin.', 'sstxtdomain'); ?></div>
                        <div class="tooltip-icon">?</div>
                      </span>
                      <input type="checkbox" class="ss-checkbox" name="background_auto_set_thumbs_info" id="background_auto_set_thumbs_info" value="1" <?php echo get_option('background_auto_set_thumbs_info') === '1' ? 'checked' : ''; ?>>
                      <label for="background_auto_set_thumbs_info" class="ss-checkbox-label"><?php esc_html_e('For testing, print pixel density and image info on the page', 'sstxtdomain'); ?></label>
                    </div>

                    <div class="wrap-selecor-textareas">
                      <div class="text-container  ">
                        <div class="tooltip-option-text">
                          <span class="tooltip-wrap">
                            <div class="tooltip"><?php esc_html_e('Enable this option to exclude specific elements based on their CSS class. In the textarea, enter the unique class of each element you want to exclude, with one class per line.', 'sstxtdomain'); ?></div>
                            <div class="tooltip-icon">?</div>
                          </span>
                          <input type="checkbox" class="ss-checkbox" name="backgound_auto_set_exclude_selector" id="backgound_auto_set_exclude_selector" value="1" <?php echo get_option('backgound_auto_set_exclude_selector') === '1' ? 'checked' : ''; ?>>
                          <label for="backgound_auto_set_exclude_selector" class="ss-checkbox-label"><?php esc_html_e('Exclude auto-set thumbnails by class', 'sstxtdomain'); ?></label>
                        </div>
                        <div class="wrap-ta-and-btn">
                          <textarea class="cbx-dependant" name="backgound_auto_set_exclude_selector_textarea" id="backgound_auto_set_exclude_selector_textarea"><?php echo esc_textarea(get_option('backgound_auto_set_exclude_selector_textarea')); ?></textarea>
                          <div class="wrap-ta-expander">
                            <?php echo $toggle_textarea_height; ?>
                          </div>
                        </div>
                      </div>
                      <div class="text-container">
                        <div class="tooltip-option-text">
                          <span class="tooltip-wrap right">
                            <div class="tooltip"><?php esc_html_e('Select this option to enable the textarea below. Some elements don’t have a class, or a unique class, and you may be unable to assign a class to the element. If the parent element does have a unique class, or you are only able to add a unique class to the parent, then use this option. By adding the class of the parent element to the textarea, you will be excluding all child elements inside the parent. When excluding children from multiple parents, place each class on a new line.', 'sstxtdomain'); ?></div>
                            <div class="tooltip-icon">?</div>
                          </span>
                          <input type="checkbox" class="ss-checkbox" name="backgound_auto_set_exclude_parent_selector" id="backgound_auto_set_exclude_parent_selector" value="1" <?php echo get_option('backgound_auto_set_exclude_parent_selector') === '1' ? 'checked' : ''; ?>>
                          <label for="backgound_auto_set_exclude_parent_selector" class="ss-checkbox-label"><?php esc_html_e('Exclude auto-set thumbnails by parent class', 'sstxtdomain'); ?></label>
                        </div>
                        <div class="wrap-ta-and-btn">
                          <textarea class="cbx-dependant" name="backgound_auto_set_exclude_parent_selector_textarea" id="backgound_auto_set_exclude_parent_selector_textarea"><?php echo esc_textarea(get_option('backgound_auto_set_exclude_parent_selector_textarea')); ?></textarea>
                          <div class="wrap-ta-expander">
                            <?php echo $toggle_textarea_height; ?>
                          </div>
                        </div>
                      </div>
                    </div>

                    <div class="option-label lower"><?php echo nl2br(wp_kses(__('To use the screen&rsquo;s native pixel density, leave the options below unchecked.
Mobile devices usually have a higher pixel density screens.', 'sstxtdomain'), array())); ?></div>

                    <div class="inline-elements">
                      <span class="tooltip-wrap">
                        <div class="tooltip"><?php esc_html_e('This option will set a fixed pixel density. Both high and low resolution screens will receive the same thumbnail, based on the dimensions of the image on the screen. If high resolution is not important for your website, you may lower the pixel density to gain performance and reduce bandwidth. If the images do not look sharp enough, you can raise the pixel density value.', 'sstxtdomain'); ?></div>
                        <div class="tooltip-icon">?</div>
                      </span>
                      <input type="checkbox" class="ss-checkbox" name="background_custom_pixel_density_desktop" id="background_custom_pixel_density_desktop" value="1" <?php echo get_option('background_custom_pixel_density_desktop') === '1' ? 'checked' : ''; ?>>
                      <label for="background_custom_pixel_density_desktop" class="ss-checkbox-label"></label>
                      <span class="cbx-numeric-label-wrp">
                        <?php
                        // Fetch the current stored value
                        $current_value = get_option('backgound_auto_set_fixed_pixels_desktop', '1.5'); // Default
                        ?>
                        <select name="backgound_auto_set_fixed_pixels_desktop" id="backgound_auto_set_fixed_pixels_desktop">
                          <?php for ($i = 1; $i <= 4; $i += 0.25) : ?>
                            <option value="<?php echo $i; ?>" <?php selected($current_value, (string)$i); ?>><?php echo $i; ?></option>
                          <?php endfor; ?>
                        </select>
                      </span>
                      <span class="option-label"><?php echo wp_kses(__('Set a custom screen pixel density for <strong>desktop</strong>. Default is 1.5.', 'sstxtdomain'), array('strong' => array())); ?></span>
                    </div>

                    <div class="inline-elements">
                      <span class="tooltip-wrap">
                        <div class="tooltip"><?php esc_html_e('This option will set a fixed pixel density. Both high and low resolution screens will receive the same thumbnail, based on the dimensions of the image on the screen. If high resolution is not important for your website, you may lower the pixel density to gain performance and reduce bandwidth. If the images do not look sharp enough, you can raise the pixel density value.', 'sstxtdomain'); ?></div>
                        <div class="tooltip-icon">?</div>
                      </span>
                      <input type="checkbox" class="ss-checkbox" name="background_custom_pixel_density_tablet" id="background_custom_pixel_density_tablet" value="1" <?php echo get_option('background_custom_pixel_density_tablet') === '1' ? 'checked' : ''; ?>>
                      <label for="background_custom_pixel_density_tablet" class="ss-checkbox-label"></label>
                      <span class="cbx-numeric-label-wrp">
                        <?php
                        // Fetch the current stored value
                        $current_value = get_option('backgound_auto_set_fixed_pixels_tablet', '2'); // Default
                        ?>
                        <select name="backgound_auto_set_fixed_pixels_tablet" id="backgound_auto_set_fixed_pixels_tablet">
                          <?php for ($i = 1; $i <= 4; $i += 0.25) : ?>
                            <option value="<?php echo $i; ?>" <?php selected($current_value, (string)$i); ?>><?php echo $i; ?></option>
                          <?php endfor; ?>
                        </select>
                      </span>
                      <span class="option-label"><?php echo wp_kses(__('Set a custom screen pixel density for <strong>tablet</strong>. Default is 2.', 'sstxtdomain'), array('strong' => array())); ?></span>
                    </div>

                    <div class="inline-elements">
                      <span class="tooltip-wrap">
                        <div class="tooltip"><?php esc_html_e('This option will set a fixed pixel density. Both high and low resolution screens will receive the same thumbnail, based on the dimensions of the image on the screen. If high resolution is not important for your website, you may lower the pixel density to gain performance and reduce bandwidth. If the images do not look sharp enough, you can raise the pixel density value.', 'sstxtdomain'); ?></div>
                        <div class="tooltip-icon">?</div>
                      </span>
                      <input type="checkbox" class="ss-checkbox" name="background_custom_pixel_density_mobile" id="background_custom_pixel_density_mobile" value="1" <?php echo get_option('background_custom_pixel_density_mobile') === '1' ? 'checked' : ''; ?>>
                      <label for="background_custom_pixel_density_mobile" class="ss-checkbox-label"></label>
                      <span class="cbx-numeric-label-wrp">
                        <?php
                        // Fetch the current stored value
                        $current_value = get_option('backgound_auto_set_fixed_pixels_mobile', '2.5'); // Default
                        ?>
                        <select name="backgound_auto_set_fixed_pixels_mobile" id="backgound_auto_set_fixed_pixels_mobile">
                          <?php for ($i = 1; $i <= 4; $i += 0.25) : ?>
                            <option value="<?php echo $i; ?>" <?php selected($current_value, (string)$i); ?>><?php echo $i; ?></option>
                          <?php endfor; ?>
                        </select>
                      </span>
                      <span class="option-label"><?php echo wp_kses(__('Set a custom screen pixel density for <strong>mobile</strong>. Default is 2.5.', 'sstxtdomain'), array('strong' => array())); ?></span>
                    </div>

                  </div>
                </a>

                <a class="inner-section needs-image-data" href="#image_data_section">
                  <div class="inner-section-tooltip">
                    <span class="tooltip-wrap">
                      <div class="tooltip"><?php esc_html_e('The options below allow you to preload background images based on their class or their parent element’s class. If multiple background images share the same class, only the first one encountered from the top of the page will be preloaded. Similarly, if you specify a parent class, the plugin will preload only the first child with a background image within the first parent element that has the specified class.', 'sstxtdomain'); ?></div>
                      <div class="tooltip-icon">?</div>
                    </span>
                    <input type="checkbox" class="ss-checkbox inner-section-input" name="preload_background_images" id="preload_background_images" value="1" <?php echo get_option('preload_background_images') === '1' ? 'checked' : ''; ?>>
                    <label for="preload_background_images" class="ss-checkbox-label inner-section-enable"><?php esc_html_e('Preload background images by class', 'sstxtdomain'); ?></label>
                  </div>
                  <div class="inner-section-active">

                    <div class="wrap-selecor-textareas">
                      <div class="text-container">
                        <div class="tooltip-option-text">
                          <span class="tooltip-wrap">
                            <div class="tooltip"><?php esc_html_e('Preload background images of elements based on their CSS class. Select this option to enable the textarea below. In the textarea, enter the unique class of each element, with one class per line. For each class, only the first found element’s background will be preloaded. Other elements, with the same class, will be disregarded.', 'sstxtdomain'); ?></div>
                            <div class="tooltip-icon">?</div>
                          </span>
                          <input type="checkbox" class="ss-checkbox" name="preload_background_selector" id="preload_background_selector" value="1" <?php echo get_option('preload_background_selector') === '1' ? 'checked' : ''; ?>>
                          <label for="preload_background_selector" class="ss-checkbox-label"><?php esc_html_e('Preload background image by class', 'sstxtdomain'); ?></label>
                        </div>
                        <div class="wrap-ta-and-btn">
                          <textarea class="cbx-dependant" name="preload_background_selector_textarea" id="preload_background_selector_textarea"><?php echo esc_textarea(get_option('preload_background_selector_textarea')); ?></textarea>
                          <div class="wrap-ta-expander">
                            <?php echo $toggle_textarea_height; ?>
                          </div>
                        </div>
                      </div>
                      <div class="text-container">
                        <div class="tooltip-option-text">
                          <span class="tooltip-wrap right">
                            <div class="tooltip"><?php esc_html_e('Preload background images of elements based on their parent element’s CSS class. Select this option to enable the textarea below. In the textarea, enter the unique class of each element, with one class per line. Some elements don’t have a class, or a unique class, and you may be unable to assign a class to the element. If the parent element does have a unique class, or you are only able to add a unique class to the parent, then use this option. Only the first child with a background image within the first found parent element that has the specified class will be preloaded. Other children and parent elements will be disregarded.', 'sstxtdomain'); ?></div>
                            <div class="tooltip-icon">?</div>
                          </span>
                          <input type="checkbox" class="ss-checkbox" name="preload_background_parent_selector" id="preload_background_parent_selector" value="1" <?php echo get_option('preload_background_parent_selector') === '1' ? 'checked' : ''; ?>>
                          <label for="preload_background_parent_selector" class="ss-checkbox-label"><?php esc_html_e('Preload background image by parent class', 'sstxtdomain'); ?></label>
                        </div>
                        <div class="wrap-ta-and-btn">
                          <textarea class="cbx-dependant" name="preload_background_parent_selector_textarea" id="preload_background_parent_selector_textarea"><?php echo esc_textarea(get_option('preload_background_parent_selector_textarea')); ?></textarea>
                          <div class="wrap-ta-expander">
                            <?php echo $toggle_textarea_height; ?>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </a>

              </div>
            </div>
          </div>
        </div>

        <!-- iFrames -->

        <div class="options-section" id="lazy-load-iframes">
          <div class="options-group">
            <div class="ss-left-label">
              <h2 class="ss-option-label"><?php esc_html_e('iFrames', 'sstxtdomain'); ?></h2>
            </div>

            <input type="checkbox" class="ss-checkbox" name="lazy_load_iframes" id="lazy_load_iframes" value="1" <?php echo get_option('lazy_load_iframes') === '1' ? 'checked' : ''; ?>>
            <label for="lazy_load_iframes" class="ss-checkbox-label enable-section">
              <div class="enabled"><?php esc_html_e('Enabled', 'sstxtdomain'); ?></div>
              <div class="disabled"><?php esc_html_e('Disabled', 'sstxtdomain'); ?></div>
            </label>

            <div class="ss-right-contents">
              <div class="disable-opacity">

                <div class="option-label"><?php echo nl2br(wp_kses(__('Enable this section to activate lazy loading for iframes. This feature primarily affects elements like Google Maps and other embedded content. By enabling lazy loading for iframes, you can significantly improve your page load times by deferring the loading of these often resource-intensive elements until they’re needed.

This setting applies to all iframes on your site except for YouTube videos. YouTube videos, while also typically in iframes, have separate settings below for more granular control.', 'sstxtdomain'), array())); ?></div>
                <div class="inline-elements">
                  <span class="tooltip-wrap">
                    <div class="tooltip"><?php esc_html_e('No need to look at the source code or use browser inspector tools. When this option is selected, all preloaded background images will have a dashed red outline. The outline will be mixed with other outlines, if they are enabled, like pink if the image is an LCP. The outline will only be visible for accounts with editing permissions, like editors and administrators.', 'sstxtdomain'); ?></div>
                    <div class="tooltip-icon">?</div>
                  </span>
                  <input type="checkbox" class="ss-checkbox" name="lazyloaded_iframe_visually_mark" id="lazyloaded_iframe_visually_mark" value="1" <?php echo get_option('lazyloaded_iframe_visually_mark') === '1' ? 'checked' : ''; ?>>
                  <label for="lazyloaded_iframe_visually_mark" class="ss-checkbox-label"><?php esc_html_e('Visually mark lazy loaded iFrames', 'sstxtdomain'); ?></label>
                  <span class="img-placeholder-display lazy-load-color"><?php echo $placeholder_svg_display; ?></span>
                </div>

                <div class="">
                  <span class="tooltip-wrap">
                    <div class="tooltip"><?php esc_html_e('Displays a gray rectangle as a temporary placeholder for the iFrame, providing a visual indication that content is being loaded. This ensures a smooth visual transition, improving performance and enhancing user experience until the iFrame has finished loading its content.', 'sstxtdomain'); ?></div>
                    <div class="tooltip-icon">?</div>
                  </span>
                  <input type="checkbox" class="ss-checkbox" name="lazy_iframe_placeholder" id="lazy_iframe_placeholder" value="1" <?php echo get_option('lazy_iframe_placeholder') === '1' ? 'checked' : ''; ?>>
                  <label for="lazy_iframe_placeholder" class="ss-checkbox-label"><?php esc_html_e('Display a gray placeholder until the iFrame is loaded', 'sstxtdomain'); ?></label>
                </div>

                <div class="wrap-selecor-textareas">
                  <div class="text-container">
                    <div class="tooltip-option-text">
                      <span class="tooltip-wrap">
                        <div class="tooltip"><?php esc_html_e('Enable this option to exclude specific elements based on their CSS class. In the textarea, enter the unique class of each element you want to exclude, with one class per line.', 'sstxtdomain'); ?></div>
                        <div class="tooltip-icon">?</div>
                      </span>
                      <input type="checkbox" class="ss-checkbox" name="lazy_iframe_exclude_selector" id="lazy_iframe_exclude_selector" value="1" <?php echo get_option('lazy_iframe_exclude_selector') === '1' ? 'checked' : ''; ?>>
                      <label for="lazy_iframe_exclude_selector" class="ss-checkbox-label"><?php esc_html_e('Exclude by class', 'sstxtdomain'); ?></label>
                    </div>
                    <div class="wrap-ta-and-btn">
                      <textarea class="cbx-dependant" name="lazy_iframe_exclude_selector_textarea" id="lazy_iframe_exclude_selector_textarea"><?php echo esc_textarea(get_option('lazy_iframe_exclude_selector_textarea')); ?></textarea>
                      <div class="wrap-ta-expander">
                        <?php echo $toggle_textarea_height; ?>
                      </div>
                    </div>
                  </div>
                  <div class="text-container">
                    <div class="tooltip-option-text">
                      <span class="tooltip-wrap right">
                        <div class="tooltip"><?php esc_html_e('Select this option to enable the textarea below. Some elements don’t have a class, or a unique class, and you may be unable to assign a class to the element. If the parent element does have a unique class, or you are only able to add a unique class to the parent, then use this option. By adding the class of the parent element to the textarea, you will be excluding all child elements inside the parent. When excluding children from multiple parents, place each class on a new line.', 'sstxtdomain'); ?></div>
                        <div class="tooltip-icon">?</div>
                      </span>
                      <input type="checkbox" class="ss-checkbox" name="lazy_iframe_exclude_parent_selector" id="lazy_iframe_exclude_parent_selector" value="1" <?php echo get_option('lazy_iframe_exclude_parent_selector') === '1' ? 'checked' : ''; ?>>
                      <label for="lazy_iframe_exclude_parent_selector" class="ss-checkbox-label"><?php esc_html_e('Exclude by parent class', 'sstxtdomain'); ?></label>
                    </div>
                    <div class="wrap-ta-and-btn">
                      <textarea class="cbx-dependant" name="lazy_iframe_exclude_parent_selector_textarea" id="lazy_iframe_exclude_parent_selector_textarea"><?php echo esc_textarea(get_option('lazy_iframe_exclude_parent_selector_textarea')); ?></textarea>
                      <div class="wrap-ta-expander">
                        <?php echo $toggle_textarea_height; ?>
                      </div>
                    </div>
                  </div>
                </div>

                <div class="">
                  <span class="tooltip-wrap">
                    <div class="tooltip"><?php esc_html_e('The Home page URL is just the domain (e.g., ‘https://domain.com‘). The domain is included in every URL on the website. Placing only the domain in the textarea would exclude every page. Using this option to exclude the Home page avoids the issue.', 'sstxtdomain'); ?></div>
                    <div class="tooltip-icon">?</div>
                  </span>
                  <input type="checkbox" class="ss-checkbox" name="lazy_iframe_exclude_home_cbx" id="lazy_iframe_exclude_home_cbx" value="1" <?php echo get_option('lazy_iframe_exclude_home_cbx') === '1' ? 'checked' : ''; ?>>
                  <label for="lazy_iframe_exclude_home_cbx" class="ss-checkbox-label"><?php esc_html_e('Exclude on Home page', 'sstxtdomain'); ?></label>
                </div>
                <div class="text-container">
                  <div class="tooltip-option-text">
                    <span class="tooltip-wrap">
                      <div class="tooltip"><?php esc_html_e('Enable this option to exclude specific pages. In the textarea, enter the URLs of the pages you want to exclude, with one URL per line. You can use full URLs, such as ’https://domain.com/about-us’, or partial URLs that match a specific page or set of pages, like ’/about-us’ or ’category/blog’. Partial URLs can be useful for targeting multiple pages with a similar structure or within the same directory.', 'sstxtdomain'); ?></div>
                      <div class="tooltip-icon">?</div>
                    </span>
                    <input type="checkbox" class="ss-checkbox" name="lazy_iframe_exclude_pages_cbx" id="lazy_iframe_exclude_pages_cbx" value="1" <?php echo get_option('lazy_iframe_exclude_pages_cbx') === '1' ? 'checked' : ''; ?>>
                    <label for="lazy_iframe_exclude_pages_cbx" class="ss-checkbox-label"><?php esc_html_e('Exclude on these pages:', 'sstxtdomain'); ?></label>
                  </div>
                  <div class="wrap-ta-and-btn">
                    <textarea class="cbx-dependant" name="lazy_iframe_exclude_pages_textarea" id="lazy_iframe_exclude_pages_textarea"><?php echo esc_textarea(get_option('lazy_iframe_exclude_pages_textarea')); ?></textarea>
                    <div class="wrap-ta-expander">
                      <?php echo $toggle_textarea_height; ?>
                    </div>
                  </div>
                </div>

              </div>
            </div>
          </div>
        </div>



        <!-- Videos -->

        <div class="options-section" id="lazy-load-videos">
          <div class="options-group">
            <div class="ss-left-label">
              <h2 class="ss-option-label"><?php esc_html_e('Videos', 'sstxtdomain'); ?></h2>
            </div>

            <input type="checkbox" class="ss-checkbox" name="enable_lazy_load_videos" id="enable_lazy_load_videos" value="1" <?php echo get_option('enable_lazy_load_videos') === '1' ? 'checked' : ''; ?>>
            <label for="enable_lazy_load_videos" class="ss-checkbox-label enable-section">
              <div class="enabled"><?php esc_html_e('Enabled', 'sstxtdomain'); ?></div>
              <div class="disabled"><?php esc_html_e('Disabled', 'sstxtdomain'); ?></div>
            </label>

            <div class="ss-right-contents">
              <div class="disable-opacity">

                <div class="option-label"><?php echo nl2br(wp_kses(__('The SuperSpeed plugin currently only supports YouTube videos.

Please, make sure that the video is embedded in the HTML. If the page builder, theme, or plugin you are using to add videos to the website is injecting the video using JavaScript, then these options will not have an effect. Also, if the video is not embedded in the HTML, search engine crawler bots will not know that the page has a video, and will not rank the page as such.

A video may be the Largest Contentful Paint (LCP) of the page. However, auto-preloading the thumbnail is not possible. Please, use the options below to preload the thumbnail by the iframe’s class or the iframe parent’s class.', 'sstxtdomain'), array())); ?></div>

                <div class="inline-elements">
                  <span class="tooltip-wrap">
                    <div class="tooltip"><?php esc_html_e('No need to look at the source code or use browser inspector tools. When this option is selected, the YouTube videos that are not embedded in the HTML, but added via JavaScript, will have a green outline. The outline will only be visible for accounts with editing permissions, like editors and administrators.', 'sstxtdomain'); ?></div>
                    <div class="tooltip-icon">?</div>
                  </span>
                  <input type="checkbox" class="ss-checkbox" name="visually_mark_non_embeded_yt" id="visually_mark_non_embeded_yt" value="1" <?php echo get_option('visually_mark_non_embeded_yt') === '1' ? 'checked' : ''; ?>>
                  <label for="visually_mark_non_embeded_yt" class="ss-checkbox-label"><?php esc_html_e('Visually mark non-embeded videos', 'sstxtdomain'); ?></label>
                  <span class="img-placeholder-display green-color"><?php echo $placeholder_svg_display; ?></span>
                </div>

                <div class="inline-elements">
                  <span class="tooltip-wrap">
                    <div class="tooltip"><?php esc_html_e('No need to look at the source code or use browser inspector tools. When this option is selected, all lazy-loaded YouTube videos will have a dashed blue outline. The outlines will be combined. If the video is lazy-loaded (blue), placeholder image preloaded (read), and is the LCP (violet), all 3 colors will be in the outline. The outline will only be visible for accounts with editing permissions, like editors and administrators.', 'sstxtdomain'); ?></div>
                    <div class="tooltip-icon">?</div>
                  </span>
                  <input type="checkbox" class="ss-checkbox" name="lazyloaded_video_visually_mark_js" id="lazyloaded_video_visually_mark_js" value="1" <?php echo get_option('lazyloaded_video_visually_mark_js') === '1' ? 'checked' : ''; ?>>
                  <label for="lazyloaded_video_visually_mark_js" class="ss-checkbox-label"><?php esc_html_e('Visually mark lazy-loaded videos', 'sstxtdomain'); ?></label>
                  <span class="img-placeholder-display lazy-load-color"><?php echo $placeholder_svg_display; ?></span>
                </div>

                <div class="inline-elements">
                  <span class="tooltip-wrap">
                    <div class="tooltip"><?php esc_html_e('No need to look at the source code or use browser inspector tools. When this option is selected, the YouTube videos that have preloaded thumbnails will have a dashed red outline. The outlines will be combined. If the video is lazy-loaded (blue), placeholder image preloaded (read), and is the LCP (violet), all 3 colors will be in the outline. The outline will only be visible for accounts with editing permissions, like editors and administrators.', 'sstxtdomain'); ?></div>
                    <div class="tooltip-icon">?</div>
                  </span>
                  <input type="checkbox" class="ss-checkbox" name="preloaded_thumbnail_visually_mark" id="preloaded_thumbnail_visually_mark" value="1" <?php echo get_option('preloaded_thumbnail_visually_mark') === '1' ? 'checked' : ''; ?>>
                  <label for="preloaded_thumbnail_visually_mark" class="ss-checkbox-label"><?php esc_html_e('Visually mark preloaded thumbnails', 'sstxtdomain'); ?></label>
                  <span class="img-placeholder-display preload-color"><?php echo $placeholder_svg_display; ?></span>
                </div>

                <div class="wrap-selecor-textareas">
                  <div class="text-container">
                    <div class="tooltip-option-text">
                      <span class="tooltip-wrap">
                        <div class="tooltip"><?php esc_html_e('Enable this option to exclude specific elements based on their CSS class. In the textarea, enter the unique class of each element you want to exclude, with one class per line.', 'sstxtdomain'); ?></div>
                        <div class="tooltip-icon">?</div>
                      </span>
                      <input type="checkbox" class="ss-checkbox" name="lazy_video_thumb_preload_selector" id="lazy_video_thumb_preload_selector" value="1" <?php echo get_option('lazy_video_thumb_preload_selector') === '1' ? 'checked' : ''; ?>>
                      <label for="lazy_video_thumb_preload_selector" class="ss-checkbox-label"><?php esc_html_e('Preload thumbnail by class', 'sstxtdomain'); ?></label>
                    </div>
                    <div class="wrap-ta-and-btn">
                      <textarea class="cbx-dependant" name="lazy_video_thumb_preload_selector_textarea" id="lazy_video_thumb_preload_selector_textarea"><?php echo esc_textarea(get_option('lazy_video_thumb_preload_selector_textarea')); ?></textarea>
                      <div class="wrap-ta-expander">
                        <?php echo $toggle_textarea_height; ?>
                      </div>
                    </div>
                  </div>
                  <div class="text-container">
                    <div class="tooltip-option-text">
                      <span class="tooltip-wrap right">
                        <div class="tooltip"><?php esc_html_e('Enable this option to exclude specific elements based on their CSS class. In the textarea, enter the unique class of each element you want to exclude, with one class per line.', 'sstxtdomain'); ?></div>
                        <div class="tooltip-icon">?</div>
                      </span>
                      <input type="checkbox" class="ss-checkbox" name="lazy_video_thumb_preload_parent_selector" id="lazy_video_thumb_preload_parent_selector" value="1" <?php echo get_option('lazy_video_thumb_preload_parent_selector') === '1' ? 'checked' : ''; ?>>
                      <label for="lazy_video_thumb_preload_parent_selector" class="ss-checkbox-label"><?php esc_html_e('Preload thumbnail by parent class', 'sstxtdomain'); ?></label>
                    </div>
                    <div class="wrap-ta-and-btn">
                      <textarea class="cbx-dependant" name="lazy_video_thumb_preload_parent_selector_textarea" id="lazy_video_thumb_preload_parent_selector_textarea"><?php echo esc_textarea(get_option('lazy_video_thumb_preload_parent_selector_textarea')); ?></textarea>
                      <div class="wrap-ta-expander">
                        <?php echo $toggle_textarea_height; ?>
                      </div>
                    </div>
                  </div>
                </div>

                <div class="wrap-selecor-textareas">
                  <div class="text-container">
                    <div class="tooltip-option-text">
                      <span class="tooltip-wrap">
                        <div class="tooltip"><?php esc_html_e('Enable this option to exclude specific elements based on their CSS class. In the textarea, enter the unique class of each element you want to exclude, with one class per line.', 'sstxtdomain'); ?></div>
                        <div class="tooltip-icon">?</div>
                      </span>
                      <input type="checkbox" class="ss-checkbox" name="lazy_video_exclude_selector" id="lazy_video_exclude_selector" value="1" <?php echo get_option('lazy_video_exclude_selector') === '1' ? 'checked' : ''; ?>>
                      <label for="lazy_video_exclude_selector" class="ss-checkbox-label"><?php esc_html_e('Exclude lazy-loading video by class', 'sstxtdomain'); ?></label>
                    </div>
                    <div class="wrap-ta-and-btn">
                      <textarea class="cbx-dependant" name="lazy_video_exclude_selector_textarea" id="lazy_video_exclude_selector_textarea"><?php echo esc_textarea(get_option('lazy_video_exclude_selector_textarea')); ?></textarea>
                      <div class="wrap-ta-expander">
                        <?php echo $toggle_textarea_height; ?>
                      </div>
                    </div>
                  </div>
                  <div class="text-container">
                    <div class="tooltip-option-text">
                      <span class="tooltip-wrap right">
                        <div class="tooltip"><?php esc_html_e('Select this option to enable the textarea below. Some elements don’t have a class, or a unique class, and you may be unable to assign a class to the element. If the parent element does have a unique class, or you are only able to add a unique class to the parent, then use this option. By adding the class of the parent element to the textarea, you will be excluding all child elements inside the parent. When excluding children from multiple parents, place each class on a new line.', 'sstxtdomain'); ?></div>
                        <div class="tooltip-icon">?</div>
                      </span>
                      <input type="checkbox" class="ss-checkbox" name="lazy_video_exclude_parent_selector" id="lazy_video_exclude_parent_selector" value="1" <?php echo get_option('lazy_video_exclude_parent_selector') === '1' ? 'checked' : ''; ?>>
                      <label for="lazy_video_exclude_parent_selector" class="ss-checkbox-label"><?php esc_html_e('Exclude lazy-loading video by parent class', 'sstxtdomain'); ?></label>
                    </div>
                    <div class="wrap-ta-and-btn">
                      <textarea class="cbx-dependant" name="lazy_video_exclude_parent_selector_textarea" id="lazy_video_exclude_parent_selector_textarea"><?php echo esc_textarea(get_option('lazy_video_exclude_parent_selector_textarea')); ?></textarea>
                      <div class="wrap-ta-expander">
                        <?php echo $toggle_textarea_height; ?>
                      </div>
                    </div>
                  </div>
                </div>

                <div class="text-container">
                  <div>
                    <span class="tooltip-wrap">
                      <div class="tooltip"><?php esc_html_e('The Home page URL is just the domain (e.g., ‘https://domain.com‘). The domain is included in every URL on the website. Placing only the domain in the textarea would exclude every page. Using this option to exclude the Home page avoids the issue.', 'sstxtdomain'); ?></div>
                      <div class="tooltip-icon">?</div>
                    </span>
                    <input type="checkbox" class="ss-checkbox" name="lazy_video_exclude_home_cbx" id="lazy_video_exclude_home_cbx" value="1" <?php echo get_option('lazy_video_exclude_home_cbx') === '1' ? 'checked' : ''; ?>>
                    <label for="lazy_video_exclude_home_cbx" class="ss-checkbox-label"><?php esc_html_e('Exclude lazy-loading videos on the Home page', 'sstxtdomain'); ?></label>
                  </div>
                </div>
                <div class="text-container">
                  <div class="tooltip-option-text">
                    <span class="tooltip-wrap">
                      <div class="tooltip"><?php esc_html_e('Enable this option to exclude specific pages. In the textarea, enter the URLs of the pages you want to exclude, with one URL per line. You can use full URLs, such as ’https://domain.com/about-us’, or partial URLs that match a specific page or set of pages, like ’/about-us’ or ’category/blog’. Partial URLs can be useful for targeting multiple pages with a similar structure or within the same directory.', 'sstxtdomain'); ?></div>
                      <div class="tooltip-icon">?</div>
                    </span>
                    <input type="checkbox" class="ss-checkbox" name="lazy_video_exclude_pages_cbx" id="lazy_video_exclude_pages_cbx" value="1" <?php echo get_option('lazy_video_exclude_pages_cbx') === '1' ? 'checked' : ''; ?>>
                    <label for="lazy_video_exclude_pages_cbx" class="ss-checkbox-label"><?php esc_html_e('Exclude lazy-loading videos on these pages:', 'sstxtdomain'); ?></label>
                  </div>
                  <div class="wrap-ta-and-btn">
                    <textarea class="cbx-dependant" name="lazy_video_exclude_pages_textarea" id="lazy_video_exclude_pages_textarea"><?php echo esc_textarea(get_option('lazy_video_exclude_pages_textarea')); ?></textarea>
                    <div class="wrap-ta-expander">
                      <?php echo $toggle_textarea_height; ?>
                    </div>
                  </div>
                </div>

                <div class="text-container" id="show_yt_video_html"></div>

              </div>
            </div>
          </div>
        </div>

      </div>
    </div>