<div id="ss-tab-5" role="tabpanel" aria-labelledby="ss-tab5" aria-expanded="false" tabindex="0">

  <div class="option-groups-wrap">

    <!-- Preload Links -->

    <div class="options-section" id="preload-links">
      <div class="options-group">
        <div class="ss-left-label">
          <h2 class="ss-option-label"><?php esc_html_e('Preload Links', 'sstxtdomain'); ?></h2>
        </div>

        <input type="checkbox" class="ss-checkbox" name="enable_preload_links" id="enable_preload_links" value="1" <?php echo get_option('enable_preload_links') === '1' ? 'checked' : ''; ?>>
        <label for="enable_preload_links" class="ss-checkbox-label enable-section">
          <div class="enabled"><?php esc_html_e('Enabled', 'sstxtdomain'); ?></div>
          <div class="disabled"><?php esc_html_e('Disabled', 'sstxtdomain'); ?></div>
        </label>

        <div class="ss-right-contents">
          <div class="disable-opacity">

            <div class="option-label"><?php echo nl2br(wp_kses(__('Enhance the user experience by lowering page load times by preloading files of the next page the user will visit.
The plugin intelligently prefetches CSS, JS, images, and font files based on user interaction, such as hovering over a link on desktop or when a link is in the viewport for a specified time on mobile devices.
To ensure optimal performance, the prefetching process will not start if the server is under heavy load, if the visitor’s device is slow, or if they are on a slow network. 
Use a caching plugin and a Content Delivery Network (CDN) to serve prefetched files even faster.
The "Preload Links" section of the Super Speed plugin offers advanced capabilities, all of which can be customized using the extensive set of options. ', 'sstxtdomain'), array())); ?></div>

            <div class="">
              <span class="tooltip-wrap">
                <div class="tooltip"><?php esc_html_e('When enabled, pages will be prefetched for logged-in admins, editors, subscribers, customers, etc. If the option is disabled, pages will only be prefetched for logged-out visitors.', 'sstxtdomain'); ?></div>
                <div class="tooltip-icon">?</div>
              </span>
              <input type="checkbox" class="ss-checkbox" name="preload_links_for_logged_in_users" id="preload_links_for_logged_in_users" value="1" <?php echo get_option('preload_links_for_logged_in_users') === '1' ? 'checked' : ''; ?>>
              <label for="preload_links_for_logged_in_users" class="ss-checkbox-label"><?php esc_html_e('Prefetch links for logged-in users.', 'sstxtdomain'); ?></label>
            </div>

            <div class="">
              <span class="tooltip-wrap">
                <div class="tooltip"><?php esc_html_e('The plugin places cookies onto the user’s device that contain information about: server load, device CPU and RAM, and network type. Pages will not be prefetched if any of these is insufficient. When Test Mode is enabled, the information is not stored, so that you can reload the page to perform tests and optimize. Also, hardware requirements are set to minimum, so that you can check the behavior on mobile devices, using the browser’s inspector tool by clicking on “Device Toggle Toolbar” in Chrome. Disable Test Mode once testing is complete to restore normal functioning.', 'sstxtdomain'); ?></div>
                <div class="tooltip-icon">?</div>
              </span>
              <input type="checkbox" class="ss-checkbox" name="preload_links_test_mode" id="preload_links_test_mode" value="1" <?php echo get_option('preload_links_test_mode') === '1' ? 'checked' : ''; ?>>
              <label for="preload_links_test_mode" class="ss-checkbox-label"><?php esc_html_e('Enable Test Mode. Turn off after testing to improve performance.', 'sstxtdomain'); ?></label>
            </div>

            <div class="cbx-numeric-label-wrp">
              <span class="tooltip-wrap">
                <div class="tooltip"><?php esc_html_e('This setting determines the maximum screen width (in pixels) at which a device is considered mobile. Devices with screen widths equal to or below this value will be treated as mobile devices, and the mobile-specific prefetching settings will be applied. Adjust this threshold to match your website’s responsive design breakpoints and ensure optimal prefetching behavior for your mobile visitors. The default value is 800 pixels, which is suitable for most websites.', 'sstxtdomain'); ?></div>
                <div class="tooltip-icon">?</div>
              </span>
              <?php
              // Fetch the current stored value
              $current_value = get_option('preload_links_mobile_width', '800'); // Default to '800' if not set
              ?>
              <select name="preload_links_mobile_width" id="preload_links_mobile_width">
                <?php for ($i = 400; $i <= 1000; $i += 100) : ?>
                  <option value="<?php echo $i; ?>" <?php selected($current_value, (string)$i); ?>><?php echo $i; ?></option>
                <?php endfor; ?>
              </select>
              <div class="option-label"><?php esc_html_e('Mobile Screen Width Threshold (pixels). Default = 800.', 'sstxtdomain'); ?></div>
            </div>

            <div class="cbx-numeric-label-wrp">
              <span class="tooltip-wrap">
                <div class="tooltip"><?php esc_html_e('This setting determines the maximum number of times the plugin will attempt to prefetch the files if the initial attempt fails due to network issues or slow server response times. Increasing this value can improve the likelihood of successful prefetching but may also increase server load and user wait times. Decreasing the value can reduce server load but may result in more failed prefetching attempts. The default value of 3 strikes a balance between performance and user experience.', 'sstxtdomain'); ?></div>
                <div class="tooltip-icon">?</div>
              </span>
              <?php
              // Fetch the current stored value
              $current_value = get_option('preload_links_max_retries', '3'); // Default to '3' if not set
              ?>
              <select name="preload_links_max_retries" id="preload_links_max_retries">
                <?php for ($i = 1; $i <= 6; $i += 1) : ?>
                  <option value="<?php echo $i; ?>" <?php selected($current_value, (string)$i); ?>><?php echo $i; ?></option>
                <?php endfor; ?>
              </select>
              <div class="option-label"><?php esc_html_e('Maximum Retry Attempts. Default = 3.', 'sstxtdomain'); ?></div>
            </div>

            <div class="cbx-numeric-label-wrp">
              <span class="tooltip-wrap">
                <div class="tooltip"><?php esc_html_e('This setting specifies the number of seconds the plugin will wait before attempting to retry a failed prefetch request. When a prefetch attempt fails due to network issues or slow server response times, the plugin will pause for the specified duration before initiating a retry attempt. Increasing this value can reduce server load by allowing more time for the server to recover between retries but may delay the prefetching process. Decreasing the value can speed up the prefetching process but may increase server load. The default value of 1 second provides a balance between performance and user experience.', 'sstxtdomain'); ?></div>
                <div class="tooltip-icon">?</div>
              </span>
              <?php
              // Fetch the current stored value
              $current_value = get_option('preload_links_retry_delay', '1'); // Default to '1' if not set
              ?>
              <select name="preload_links_retry_delay" id="preload_links_retry_delay">
                <?php for ($i = 0.5; $i <= 2; $i += 0.5) : ?>
                  <option value="<?php echo $i; ?>" <?php selected($current_value, (string)$i); ?>><?php echo $i; ?></option>
                <?php endfor; ?>
              </select>
              <div class="option-label"><?php esc_html_e('Time to wait before retrying a failed fetch (seconds). Default = 1.', 'sstxtdomain'); ?></div>
            </div>

            <div class="inner-section">

              <div class="inner-section-title">Desktop</div>

              <div class="">
                <span class="tooltip-wrap">
                  <div class="tooltip"><?php esc_html_e('When enabled, the plugin will prefetch the stylesheets (CSS files) associated with the linked pages, allowing the browser to download and cache them in advance. This can significantly improve the perceived loading speed of the target page, as the stylesheets will be readily available when the user navigates to the link. Prefetching stylesheets ensures that the page’s layout and design are loaded quickly, providing a seamless transition between pages and enhancing the overall user experience.', 'sstxtdomain'); ?></div>
                  <div class="tooltip-icon">?</div>
                </span>
                <input type="checkbox" class="ss-checkbox" name="preload_stylesheets_desktop" id="preload_stylesheets_desktop" value="1" <?php echo get_option('preload_stylesheets_desktop') === '1' ? 'checked' : ''; ?>>
                <label for="preload_stylesheets_desktop" class="ss-checkbox-label"><?php esc_html_e('Pre-fetch Stylesheets', 'sstxtdomain'); ?></label>
              </div>

              <div class="">
                <span class="tooltip-wrap">
                  <div class="tooltip"><?php esc_html_e('When enabled, the plugin will prefetch the JavaScript files associated with the linked pages, allowing the browser to download and cache them in advance. This can significantly improve the perceived loading speed of the target page, as the necessary scripts will be readily available when the user navigates to the link. Prefetching JavaScript files ensures that interactive elements, dynamic content, and functionality are loaded quickly, providing a smooth and responsive user experience.', 'sstxtdomain'); ?></div>
                  <div class="tooltip-icon">?</div>
                </span>
                <input type="checkbox" class="ss-checkbox" name="preload_javaScript_desktop" id="preload_javaScript_desktop" value="1" <?php echo get_option('preload_javaScript_desktop') === '1' ? 'checked' : ''; ?>>
                <label for="preload_javaScript_desktop" class="ss-checkbox-label"><?php esc_html_e('Pre-fetch JavaScript Files', 'sstxtdomain'); ?></label>
              </div>

              <div class="">
                <span class="tooltip-wrap">
                  <div class="tooltip"><?php esc_html_e('When enabled, the plugin will prefetch the images that are marked as preloaded in the code of the fetched page. The preloaded images will be downloaded and cached in advance, allowing them to appear quickly when the user navigates to the link. However, this feature only works on cached pages, since they have a generated HTML file that contains preload links.', 'sstxtdomain'); ?></div>
                  <div class="tooltip-icon">?</div>
                </span>
                <input type="checkbox" class="ss-checkbox" name="preload_images_desktop" id="preload_images_desktop" value="1" <?php echo get_option('preload_images_desktop') === '1' ? 'checked' : ''; ?>>
                <label for="preload_images_desktop" class="ss-checkbox-label"><?php esc_html_e('Pre-fetch preloaded Images. Works only on cached pages.', 'sstxtdomain'); ?></label>
              </div>

              <div class="cbx-numeric-label-wrp">
                <span class="tooltip-wrap">
                  <div class="tooltip"><?php esc_html_e('This setting determines the maximum number of seconds the plugin will wait for a response from the server before canceling a prefetch request. If the server fails to respond within the specified time, the plugin will consider the page as unresponsive, nonexistent, or corrupt, and will stop attempting to prefetch the associated files. Setting this value too low may cause the plugin to cancel requests prematurely, while setting it too high may cause the plugin to continue sending requests to an unresponsive page, potentially impacting the server’s performance.', 'sstxtdomain'); ?></div>
                  <div class="tooltip-icon">?</div>
                </span>
                <?php
                // Fetch the current stored value
                $current_value = get_option('preload_links_fetch_timeout_desktop', '5'); // Default to '5' if not set
                ?>
                <select name="preload_links_fetch_timeout_desktop" id="preload_links_fetch_timeout_desktop">
                  <?php for ($i = 1; $i <= 10; $i += 1) : ?>
                    <option value="<?php echo $i; ?>" <?php selected($current_value, (string)$i); ?>><?php echo $i; ?></option>
                  <?php endfor; ?>
                </select>
                <div class="option-label"><?php esc_html_e('Stop fetching an unresponsive page after X(seconds) of inactivity. Default = 5.', 'sstxtdomain'); ?></div>
              </div>

              <div class="cbx-numeric-label-wrp">
                <span class="tooltip-wrap">
                  <div class="tooltip"><?php esc_html_e('This setting determines the maximum server response time, in milliseconds, below which the plugin will prefetch linked pages. If the server response time for the current page exceeds this threshold, the plugin will not initiate any prefetch requests. This helps to prevent the plugin from adding additional load to an already slow-responding server, which could further degrade the user experience. By default, the threshold is set to 250 milliseconds, which is suitable for most servers. Adjust this value based on your server’s performance and the desired balance between prefetching benefits and server load management. Keep in mind that setting the threshold too low may prevent prefetching on slower servers, while setting it too high may allow prefetching to occur even when the server is under heavy load.', 'sstxtdomain'); ?></div>
                  <div class="tooltip-icon">?</div>
                </span>
                <?php
                // Fetch the current stored value
                $current_value = get_option('preload_links_server_response_desktop', '250'); // Default to '2' if not set
                ?>
                <select name="preload_links_server_response_desktop" id="preload_links_server_response_desktop">
                  <?php for ($i = 250; $i <= 2000; $i += 250) : ?>
                    <option value="<?php echo $i; ?>" <?php selected($current_value, (string)$i); ?>><?php echo $i; ?></option>
                  <?php endfor; ?>
                </select>
                <div class="option-label"><?php esc_html_e('Server Response Time Threshold (milliseconds). Default = 250.', 'sstxtdomain'); ?></div>
              </div>
            </div>

            <div class="inner-section">

              <div class="inner-section-title">Mobile</div>

              <div class="inner-section-tooltip">
                <span class="tooltip-wrap">
                  <div class="tooltip"><?php esc_html_e('When enabled, the plugin will prefetch files and resources for linked pages on mobile devices, based on the mobile-specific settings configured below. This can help improve the page loading speed and user experience for mobile users by preloading essential files in the background. However, keep in mind that mobile devices often have limited bandwidth, processing power, and battery life compared to desktop computers. Enabling preloading on mobile devices may consume additional resources, so it’s important to carefully consider and test the impact on your mobile users. If you notice performance issues or negative feedback from mobile users, you may want to disable this option or adjust the mobile-specific settings to find the right balance between performance and user experience.', 'sstxtdomain'); ?></div>
                  <div class="tooltip-icon">?</div>
                </span>
                <input type="checkbox" class="ss-checkbox inner-section-input" name="preload_links_enable_mobile" id="preload_links_enable_mobile" value="1" <?php echo get_option('preload_links_enable_mobile') === '1' ? 'checked' : ''; ?>>
                <label for="preload_links_enable_mobile" class="ss-checkbox-label inner-section-enable"><?php esc_html_e('Enable Preloading on Mobile Devices', 'sstxtdomain'); ?></label>
              </div>
              <div class="inner-section-active">

                <div class="">
                  <span class="tooltip-wrap">
                    <div class="tooltip"><?php esc_html_e('When enabled, the plugin will prefetch the stylesheets (CSS files) associated with the linked pages, allowing the browser to download and cache them in advance. This can significantly improve the perceived loading speed of the target page, as the stylesheets will be readily available when the user navigates to the link. Prefetching stylesheets ensures that the page’s layout and design are loaded quickly, providing a seamless transition between pages and enhancing the overall user experience.', 'sstxtdomain'); ?></div>
                    <div class="tooltip-icon">?</div>
                  </span>
                  <input type="checkbox" class="ss-checkbox" name="preload_stylesheets_mobile" id="preload_stylesheets_mobile" value="1" <?php echo get_option('preload_stylesheets_mobile') === '1' ? 'checked' : ''; ?>>
                  <label for="preload_stylesheets_mobile" class="ss-checkbox-label"><?php esc_html_e('Pre-fetch Stylesheets', 'sstxtdomain'); ?></label>
                </div>

                <div class="">
                  <span class="tooltip-wrap">
                    <div class="tooltip"><?php esc_html_e('When enabled, the plugin will prefetch the JavaScript files associated with the linked pages, allowing the browser to download and cache them in advance. This can significantly improve the perceived loading speed of the target page, as the necessary scripts will be readily available when the user navigates to the link. Prefetching JavaScript files ensures that interactive elements, dynamic content, and functionality are loaded quickly, providing a smooth and responsive user experience.', 'sstxtdomain'); ?></div>
                    <div class="tooltip-icon">?</div>
                  </span>
                  <input type="checkbox" class="ss-checkbox" name="preload_javaScript_mobile" id="preload_javaScript_mobile" value="1" <?php echo get_option('preload_javaScript_mobile') === '1' ? 'checked' : ''; ?>>
                  <label for="preload_javaScript_mobile" class="ss-checkbox-label"><?php esc_html_e('Pre-fetch JavaScript Files', 'sstxtdomain'); ?></label>
                </div>

                <div class="">
                  <span class="tooltip-wrap">
                    <div class="tooltip"><?php esc_html_e('When enabled, the plugin will prefetch the images that are marked as preloaded in the code of the fetched page. The preloaded images will be downloaded and cached in advance, allowing them to appear quickly when the user navigates to the link. However, this feature only works on cached pages, since they have a generated HTML file that contains preload links.', 'sstxtdomain'); ?></div>
                    <div class="tooltip-icon">?</div>
                  </span>
                  <input type="checkbox" class="ss-checkbox" name="preload_images_mobile" id="preload_images_mobile" value="1" <?php echo get_option('preload_images_mobile') === '1' ? 'checked' : ''; ?>>
                  <label for="preload_images_mobile" class="ss-checkbox-label"><?php esc_html_e('Pre-fetch preloaded Images. Works only on cached pages.', 'sstxtdomain'); ?></label>
                </div>

                <div class="cbx-numeric-label-wrp">
                  <span class="tooltip-wrap">
                    <div class="tooltip"><?php esc_html_e('This setting determines the number of seconds a link must be visible in the viewport on a mobile device before the plugin starts prefetching its associated files and resources. By introducing an initial delay, the plugin avoids prefetching files for links that the user quickly scrolls past, conserving bandwidth and processing power on mobile devices. The default value of 5 seconds ensures that only links that the user is likely to click on are prefetched. Adjust this value based on your mobile users’ browsing behavior and the specific layout of your website. A longer delay will reduce unnecessary prefetching but could also mean that fewer links are preloaded in advance. A shorter delay will consume more resources on mobile devices and your server.', 'sstxtdomain'); ?></div>
                    <div class="tooltip-icon">?</div>
                  </span>
                  <?php
                  // Fetch the current stored value
                  $current_value = get_option('preload_links_initial_delay_mobile', '5'); // Default to '5' if not set
                  ?>
                  <select name="preload_links_initial_delay_mobile" id="preload_links_initial_delay_mobile">
                    <?php for ($i = 1; $i <= 10; $i += 1) : ?>
                      <option value="<?php echo $i; ?>" <?php selected($current_value, (string)$i); ?>><?php echo $i; ?></option>
                    <?php endfor; ?>
                  </select>
                  <div class="option-label"><?php esc_html_e('Initial Delay (seconds). Default = 5.', 'sstxtdomain'); ?></div>
                </div>

                <div class="cbx-numeric-label-wrp">
                  <span class="tooltip-wrap">
                    <div class="tooltip"><?php esc_html_e('This setting determines the number of seconds the plugin waits before prefetching the next link in the queue on mobile devices. By introducing a delay between prefetching links, the plugin helps to manage the bandwidth and processing power consumption on mobile devices. Adjust this value based on your mobile users’ browsing behavior and the specific performance characteristics of your website. A longer delay will reduce the strain on mobile devices but could also mean that fewer links are preloaded in advance. A shorter delay will improve the loading speed for more links but could also consume more resources on mobile devices.', 'sstxtdomain'); ?></div>
                    <div class="tooltip-icon">?</div>
                  </span>
                  <?php
                  // Fetch the current stored value
                  $current_value = get_option('preload_links_next_file_delay_mobile', '5'); // Default to '5' if not set
                  ?>
                  <select name="preload_links_next_file_delay_mobile" id="preload_links_next_file_delay_mobile">
                    <?php for ($i = 1; $i <= 10; $i += 1) : ?>
                      <option value="<?php echo $i; ?>" <?php selected($current_value, (string)$i); ?>><?php echo $i; ?></option>
                    <?php endfor; ?>
                  </select>
                  <div class="option-label"><?php esc_html_e('Delay Between Preloading Links (seconds). Default = 5.', 'sstxtdomain'); ?></div>
                </div>

                <div class="cbx-numeric-label-wrp">
                  <span class="tooltip-wrap">
                    <div class="tooltip"><?php esc_html_e('This setting determines the maximum number of seconds the plugin will wait for a response from the server before canceling a prefetch request. If the server fails to respond within the specified time, the plugin will consider the page as unresponsive, nonexistent, or corrupt, and will stop attempting to prefetch the associated files. Setting this value too low may cause the plugin to cancel requests prematurely, while setting it too high may cause the plugin to continue sending requests to an unresponsive page, potentially impacting the server’s performance.', 'sstxtdomain'); ?></div>
                    <div class="tooltip-icon">?</div>
                  </span>
                  <?php
                  // Fetch the current stored value
                  $current_value = get_option('preload_links_fetch_timeout_mobile', '7'); // Default to '7' if not set
                  ?>
                  <select name="preload_links_fetch_timeout_mobile" id="preload_links_fetch_timeout_mobile">
                    <?php for ($i = 3; $i <= 10; $i += 1) : ?>
                      <option value="<?php echo $i; ?>" <?php selected($current_value, (string)$i); ?>><?php echo $i; ?></option>
                    <?php endfor; ?>
                  </select>
                  <div class="option-label"><?php esc_html_e('Stop fetching an unresponsive page after X(seconds) of inactivity. Default = 7.', 'sstxtdomain'); ?></div>
                </div>

                <div class="cbx-numeric-label-wrp">
                  <span class="tooltip-wrap">
                    <div class="tooltip"><?php esc_html_e('This setting determines the maximum server response time, in milliseconds, below which the plugin will prefetch linked pages. If the server response time for the current page exceeds this threshold, the plugin will not initiate any prefetch requests. This helps to prevent the plugin from adding additional load to an already slow-responding server, which could further degrade the user experience. By default, the threshold is set to 250 milliseconds, which is suitable for most servers. Adjust this value based on your server’s performance and the desired balance between prefetching benefits and server load management. Keep in mind that setting the threshold too low may prevent prefetching on slower servers, while setting it too high may allow prefetching to occur even when the server is under heavy load.', 'sstxtdomain'); ?></div>
                    <div class="tooltip-icon">?</div>
                  </span>
                  <?php
                  // Fetch the current stored value
                  $current_value = get_option('preload_links_server_response_mobile', '250'); // Default to '3' if not set
                  ?>
                  <select name="preload_links_server_response_mobile" id="preload_links_server_response_mobile">
                    <?php for ($i = 250; $i <= 2000; $i += 250) : ?>
                      <option value="<?php echo $i; ?>" <?php selected($current_value, (string)$i); ?>><?php echo $i; ?></option>
                    <?php endfor; ?>
                  </select>
                  <div class="option-label"><?php esc_html_e('Server Response Time Threshold (milliseconds). Default = 250.', 'sstxtdomain'); ?></div>
                </div>
              </div>
            </div>

            <div class="option-label"><?php echo nl2br(wp_kses(__('For testing and debugging purposes, the plugin includes a color-coding system that outlines links in different colors based on the current phase of the asset loading cycle. This visual feedback eliminates the need to monitor browser inspector tools, making it easier to track the prefetching process.', 'sstxtdomain'), array())); ?></div>



            <div class="cbx-numeric-label-wrp">
              <div class="">
                <span class="tooltip-wrap">
                  <div class="tooltip"><?php esc_html_e('Enable this option to display color-coded links to specific user groups. Use the dropdown to select who can see these color-coding on the links: Editing Permissions - only admins and editors, Everyone - All users, including visitors. Choose ’Everyone’ if you want to test the appearance in Incognito mode.', 'sstxtdomain'); ?></div>
                  <div class="tooltip-icon">?</div>
                </span>
                <input type="checkbox" class="ss-checkbox" name="preload_links_color_coding_enable" id="preload_links_color_coding_enable" value="1" <?php echo get_option('preload_links_color_coding_enable') === '1' ? 'checked' : ''; ?>>
                <label for="preload_links_color_coding_enable" class="ss-checkbox-label"><?php esc_html_e('Make the Color-coding visible to users with:', 'sstxtdomain'); ?></label>
                <?php
                // Fetch the current stored value
                $current_value = get_option('preload_links_color_coding_visibility', 'editing_permissions');
                ?>
                <select name="preload_links_color_coding_visibility" id="preload_links_color_coding_visibility">
                  <option value="editing_permissions" <?php selected($current_value, 'editing_permissions'); ?>><?php esc_html_e('Editing Permissions', 'sstxtdomain'); ?></option>
                  <option value="everyone" <?php selected($current_value, 'everyone'); ?>><?php esc_html_e('Everyone', 'sstxtdomain'); ?></option>
                </select>
              </div>
            </div>


            <div>
              <div class="preload-color-code-grid option-label">
                <div class="preload-color-code-labels">
                  <div class="">Aborted:</div>
                  <div class="">Waiting:</div>
                  <div class="">Loading:</div>
                  <div class="">Loaded:</div>
                </div>

                <div class="preload-color-code-colors">
                  <div class="color-code">Red</div>
                  <div class="color-code">Blue</div>
                  <div class="color-code">Orange</div>
                  <div class="color-code">Green</div>
                </div>

                <div class="preload-color-code-links">
                  <div class="preload-link red">link</div>
                  <div class="preload-link blue">link</div>
                  <div class="preload-link orange">link</div>
                  <div class="preload-link green">link</div>
                </div>
              </div>

              <div class="preload-color-code-grid option-label">
                <div class="preload-color-code-labels">
                  <div class="">Link To Page Section:</div>
                  <div class="">Link To Current Page:</div>
                </div>

                <div class="preload-color-code-colors">
                  <div class="color-code">Orange Dashed</div>
                  <div class="color-code">Green Dashed</div>
                </div>

                <div class="preload-color-code-links">
                  <div class="preload-link d-orange">link</div>
                  <div class="preload-link d-green">link</div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>


  </div>
</div>