<?php

namespace SuperSpeed;

class DB {
    
    // Add this function to create a custom table
    public static function create_wp_critical_css_repeater_fields_table() {
        global $wpdb;
        $table_name = $wpdb->prefix . 'critical_css_repeater_fields';

        if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") != $table_name) {

            $charset_collate = $wpdb->get_charset_collate();

            $sql = "CREATE TABLE $table_name (
                id mediumint(9) NOT NULL AUTO_INCREMENT,
                critical_css_page_templates varchar(255) NOT NULL,
                critical_css_page_url varchar(255) DEFAULT '' NOT NULL,
                critical_css MEDIUMTEXT NOT NULL,
                critical_css_radio varchar(255) DEFAULT 'critical_delay_all_links_css' NOT NULL,
                critical_exclude_links MEDIUMTEXT NOT NULL,
                critical_delay_specific_links MEDIUMTEXT NOT NULL,
                PRIMARY KEY  (id)
            ) $charset_collate;";

            require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
            dbDelta($sql);
        }
    }
}

// Define plugin activation callback
function superspeed_activate() {
    SuperSpeed\DB::create_wp_critical_css_repeater_fields_table();
}

// Register activation hook
register_activation_hook(__FILE__, 'superspeed_activate');

